reportbug (11.1.0) unstable; urgency=medium

  [ Nelson A. de Oliveira ]
  * reportbug/submit.py: include temp filename in resume message
    (Closes: #985727)

  [ Nis Martensen ]
  * checkversions.get_versions_available(): distinguish src and bin pkg versions
    (Closes: #873493)
  * reportbug/utils.py: add get_source_version()
  * bin/reportbug: improve version lookup for source packages (Closes: #984904)
  * man/reportbug.1: add hint about "src:" prefix
  * reportbug/utils.py: print apt error in get_source_version()
  * reportbug.utils.get_source_package: switch to python apt
  * reportbug.utils.get_source_package: also return source package
  * reportbug.utils.get_source_package: add option to match only src packages
  * test/test_utils.py: update and extend test for get_source_package
  * bin/reportbug: adapt to new version of utils.get_source_package
  * bin/reportbug: Do not ask for nonexistent packages (Closes: #431402)
  * reportbug/debbugs.py: try apt-cache after dpkg to get package info
    (Closes: #599290, #721212)
  * reportbug/utils.py: use dpkg-query instead of dpkg-internal database files
  * reportbug/debbugs.py: direct rm requests to the right pseudo-package
    (Closes: #994221)
  * reportbug/ui/gtk_ui.py: switch from spawn_sync to spawn_async
  * reportbug/debbugs.py: replace menu by yes/no question
  * reportbug/debbugs.py: drop unused msgfactory and parse_mbox_report
  * reportbug/debbugs.py: drop broken parse_html_report()
  * reportbug/debbugs.py: remove old fallback code
  * reportbug/debbugs.py: more broken code removal
  * test/test_debbugs.py: add tests for handle_* functions
  * reportbug/debbugs.py: drop unused imports
  * reportbug/debbugs.py: pep8 fixes
  * reportbug/ui/gtk_ui.py: recognize system information as "other info"
  * reportbug/debbugs.py: do not mention sarge release (Closes: #996654)
  * Gtk UI: switch from gtksourceview3 to gtksourceview4

 -- Nis Martensen <nis.martensen@web.de>  Mon, 18 Oct 2021 19:45:55 +0200

reportbug (11.0.0) unstable; urgency=medium

  [ Thomas Goirand ]
  * Update suite names vs stable/oldstable, so it's possible to request for
    bullseye-pu (Closes: #992332).

  [ Nis Martensen ]
  * man/reportbug.1: advise -H users to use --list-cc (Closes: #988391)

  [ Sandro Tosi ]
  * Release reportbug 11, matching Debian Bullseye release number
  * debian/control
    - run wrap-and-sort
    - switch Suggests to debconf, since we're using the binary debconf-show,
      included in that package; Closes: #990267

 -- Sandro Tosi <morph@debian.org>  Wed, 25 Aug 2021 23:54:19 -0400

reportbug (7.10.3) unstable; urgency=medium

  * reportbug/debbugs.py: handle installation-reports (Closes: #931438)

 -- Nis Martensen <nis.martensen@web.de>  Wed, 24 Feb 2021 22:32:29 +0100

reportbug (7.10.2) unstable; urgency=medium

  * autopkgtest: set a valid sender address

 -- Nis Martensen <nis.martensen@web.de>  Wed, 10 Feb 2021 21:45:34 +0100

reportbug (7.10.1) unstable; urgency=medium

  * reportbug/utils.py: fix crash without /etc/email-addresses

 -- Nis Martensen <nis.martensen@web.de>  Tue, 09 Feb 2021 19:02:10 +0100

reportbug (7.10.0) unstable; urgency=medium

  [ Logan Rosen ]
  * Add tags to existing bug (Closes: #694161)

  [ Nis Martensen ]
  * reportbug/utils.py: minor code cleanups
  * bin/reportbug: recognize 'src:' shortcut for --source option
    (Closes: #978398)
  * bin/reportbug, reportbug/utils.py: improve checks for invalid from address
    (Closes: #933006)
  * reportbug/utils.py: pseudo-package reports do not need system information
    (Closes: #922626)
  * reportbug/tempfiles.py: make tempfile names include time of day
    (Closes: #929972)
  * reportbug/debbugs.py: add affects for RFH, RFA, and O wnpp bugs
    (Closes: #904252)
  * bin/reportbug: exit if specified attachments do not exist (Closes: #671398)
  * reportbug/utils.py: add try..except in get_source_name() (Closes: #979333)
  * extend copyright notice to 2021
  * reportbug.utils.get_package_status: use one long description
  * reportbug/debbugs.py: handle upgrade reports
  * bin/reportbug: drop some severities for virtual packages
  * reportbug/ui/gtk_ui.py: don't cut off lines if there is no sysinfo
  * bin/reportbug: set up upgrade/installation-reports aliases w/o "s"
  * reportbug/utils.py: fix source package lookup for udebs.
    Thanks to David Kalnischkies for advice (Closes: #982281)

 -- Nis Martensen <nis.martensen@web.de>  Mon, 08 Feb 2021 18:47:18 +0100

reportbug (7.9.0) unstable; urgency=medium

  [ Roderich Schupp ]
  * reportbug/ui/gtk_ui.py: fix crash with Python 3.9 (Closes: #975398)

  [ Guillem Jover ]
  * reportbug/debbugs.py: Only Cc debian-boot on overrides on priority changes
  * reportbug/debbugs.py: Add appropriate usertags for overrides
  * reportbug/debbugs.py: Add golang as a known section for overrides

  [ Nis Martensen ]
  * bin/reportbug, reportbug/ui/*: unify yes_no question mark handling
  * bin/reportbug: wrap exceedingly long string lines
  * bin/reportbug: add -r / --resume-saved option (Closes: #328531, #702107)
  * man/reportbug.1, bin/reportbug: document new --resume-saved option
    (Closes: #712066)
  * man/reportbug.1: various minor manpage updates
  * reportbug/submit.py: clarify what to do with saved reports (Closes: #867269)
  * reportbug/ui/text_ui.py: preserve newlines in long_message()
  * reportbug/ui/gtk_ui.py: unify newlines in long_message()
  * reportbug/ui/urwid_ui.py: unify newlines in long_message()
  * reportbug/debbugs.py: include and pre-select default in menus
    (Closes: #855172)
  * add autopkgtest: debian/tests/control, debian/tests/runnable
  * conf/reportbug.conf, man/reportbug.conf.5: do not mention outfile
  * reportbug.conf, utils.py: add draftpath config file option
  * reportbug/submit.py: drop newlines from final_message text
  * bin/reportbug: error out if reportbug has no way to submit
    (Closes: #813660)
  * bin/reportbug: clarify comment about offline setting (Closes: #910712)
  * bin/reportbug: skip tags prompt with -r and mode > NOVICE
  * bin/reportbug: add missing replyto argument when just saving
    (Closes: #819570)
  * bin/reportbug: move MTA check from main() into UI()
  * debian/control: update standards-version (no changes needed)
  * reportbug/ui/gtk_ui.py: truncate long messages to avoid crashing

 -- Nis Martensen <nis.martensen@web.de>  Tue, 22 Dec 2020 11:39:14 +0100

reportbug (7.8.0) unstable; urgency=medium

  [ Anuradha Weeraman ]
  * reportbug/debbugs.py: Fix crash with stable-pu update request
    (Closes: #964987)

  [ Nis Martensen ]
  * mailer.py,submit.py: only run MUA in terminal if needed (Closes: #964846)
  * reportbug/submit.py: use message_from_binary_file to attach messages
    (Closes: #966480)
  * bin/reportbug:
    - use raw string for regexp
    - do not submit without pseudoheaders
    - Fix crash in offer_configuration (Closes: #965977)
    - drop empty recipients from listcc
    - Warn that X-Debbugs-Cc via headers are now unreliable
  * man/reportbug.conf.5: fix bts help hint
  * man/*: updates for list-cc* and headers
  * reportbug/ui/gtk_ui.py:
    - editor: fix report split
    - Make pseudoheaders editable in Editor
    - Update empty buffer string
    - Always set window title
    - switch editor: TextView → SourceView
    - editor: do not rewrap pseudoheaders
    - Editor: show other buffer in monospace font
    - fix GetListPage
    - fix crash in _get_multiline
    - show "Thanks" in message, not in title
  * debian/control:
    - update package description
    - add dependency on gir1.2-gtksource-3.0
  * reportbug/bugreport.py: add second newline to empty body
  * reportbug/utils.py:
    - get_init_system: detect OpenRC (Closes: #968096)
    - fix test failure in get_init_system
  * test/test_utils.py: fix test_get_init_system
  * bin/reportbug, reportbug/urlutils.py: fix proxy support
    (Closes: #717563, #877850)
  * New release

 -- Nis Martensen <nis.martensen@web.de>  Sun, 25 Oct 2020 09:21:16 +0100

reportbug (7.7.0) unstable; urgency=medium

  [ Bastian Venthur ]
  * Replace nosetests with pytest
  * replace pep8, pyflake, pylint with flake8
  * updated docs
  * removed references to non-existing coverage targets
  * removed remaining traces of nose

  [ Nis Martensen ]
  * reportbug/utils.py
    - support merged-/usr during file search; Closes: #942261
    - get_source_name: improve, use python apt
    - use a single global apt cache
    - simplify mua_is_supported
    - switch from pipes to shlex.quotes
    - simplify mua_exists, drop MUAVERSION
    - drop Mua.get_name()
    - add mua support via xdg-email
      (Closes: #532150, #788045, #865792)
    - protect against too long mailto argument
    - Mua.send: return commandline instead of calling ui.system
    - Mua: rename send → get_send_command
    - rename Xdg → Mailto
    - add direct support for a few more MUAs
      Closes: #271084, #922058
    - reportbug/utils.py: clean up cleanup_msg
    - fix get_source_name breakage from previous change
  * bin/reportbug
    - recognize source packages (and `src:linux`) when sending followup info;
      Closes: #946363
    - try to determine an unambiguous package name to pass to debsums;
      Closes: #940532
    - do not create an empty tempfile if the `outfile` option is given
    - fix re-execution after configuration;
      Closes: #620712, #730236, #780747, #926726
    - Query both binary and source package by default; Closes: #936061
    - minor update for STARTTLS clarification
    - Improved QuertBTSError handling
    - improve and simplify mailer selection in handle_editing
    - handle_editing: capitalize "print ..." menu option
  * reportbug/bugreport.py
    - correctly detect LANGUAGE; Closes: #946963
    - bugreport.py: fix missing cores → threads
  * reportbug/debbugs.py:
    - get_reports: also include bugs that affect the package;
      Closes: #544812
    - get_reports: add support for lists of packages
    - get_reports: drop one try..except
  * reportbug/submit.py:
    - use implicit SSL with port 465
    - show output file name after quitting mailer without sending
  * bin/reportbug, reportbug.utils, test_utils: drop mua_name function
  * reportbug/utils.py,submit.py: rename Mua.name → Mua.executable
  * urlutils.py, checkversions.py: use proxy and timeout;
      Closes: #961955
  * reportbug/ui/gtk_ui.py:
    - fix crash in handle_bts_query on non-Debian systems; Closes: #709862
    - Hide back button; Closes: #855380, #867663, #872772
    - handle_bts_query: Use QuertBTSError instead of NoBugs;
      Closes: #919102, #918989
    - drop broken/unused error_dialog function
    - fix argument order in _assert_context
    - fix crash when copying text to clipboard
    - do not change window title in final_message
  * reportbug/ui/text_ui.py:
    - use subprocess.Popen instead of os.popen; Closes: #961675
    - handle_bts_query: Use QuertBTSError
  * reportbug/ui/urwid_ui.py:
    - survive ancient encoding
    - handle_bts_query: Use QuertBTSError
  * Testsuite:
    - adapt to recent code changes
    - test get_source_name with astroid
    - test_debbugs.py: add ftbfs tag
    - test_utils.py: add test for new xdg-email Mua
    - test: adapt to splitting mailer off utils
    - test/test_mailer.py: do not require all MUAs to be installed
      (Closes: #843337)
    - test_mailer.py: extend for big messages and attachments
    - test_utils.py: dirtify test data for cleanup_msg
    - test_utils.py: complete test for cleanup_msg
    - test_utils.py: adapt cleanup_msg expected results
  * fix some minor typos in various files
  * manpages:
    - document that reportbug will exit after --configure
    - Update for SSL/TLS encrypted submission support
    - reportbug.1: mention how to obtain list of valid BTS systems
      (Closes: #964260)
  * doc/README.Users:
    - Clarify how to configure reportbug.debian.org
      (Closes: #963073)
    - document limitations of MUA support
    - some MUAs now support attachments
  * share/handle_bugscript: convert to UTF-8
  * Lintian fixes:
    - add override for desktop-command-not-in-package
    - d/control: suggest default mta
    - d/copyright: fix obsolete-field-in-dep5-copyright
    - d/copyright: fix dep5-copyright-license-name-not-unique
    - d/copyright: fix missing-license-paragraph-in-dep5-copyright
    - d/copyright: fix missing-field-in-dep5-copyright
    - d/copyright: GPL-any is equivalent to GPL-1+
  * debian/control:
    - switch to debhelper compat level 12
    - add Rules-Requires-Root (R³)
    - update standards-version (no changes needed)
  * split off MUA stuff from utils into new mailer submodule
  * reportbug/mailer.py:
    - Mailto Mua: fix payload decoding
    - Mailto Mua: multipart → mailto is not supported
    - Mailto Mua: not urlquoting "/" should be safe
    - mua_exists: invert logic
    - better attachment file check
  * reportbug/exceptions.py,mailer.py: use custom BadMessage exception
  * do not try to run graphical MUAs in text-only environments
  * Use X-Debbugs-CC as pseudoheader instead of header
  * bin/reportbug,reportbug/submit.py,mailer.py: support attachments with MUA
    Closes: #894794
  * bin/reportbug, reportbug/utils.py: minor regex improvements
  * bin/reportbug, reportbug/ui/gtk_ui.py: allow reply with -N in GTK ui
    (Closes: #687214)
  * bin/reportbug, reportbug.desktop: drop --exit-prompt option

  [ Fabrice BAUZAC ]
  * Improve code documentation

  [ Jens Korte ]
  * Update description of --bts option in reportbug.1 man page

  [ Paul Gevers ]
  * Add template to (o)pu release.debian.org bugs; Closes: #883346

  [ Josh Triplett ]
  * querybts: Use http_proxy when opening mbox URLs

  [ Ansgar ]
  * bugreport.py: "CPU cores" → "CPU threads"

  [ Bas Couwenberg ]
  * reportbug/debbugs.py: add the 'ftbfs' tag to make `-T ftbfs` work;
    Closes: #955809

  [ chrysn ]
  * reportbug/ui/gtk_ui.py: add hint to press Next of no bug matches;
    Closes: #871048

  [ mozbugbox ]
  * bin/reportbug: allow followups on ITP bugs; Closes: #657066

  [ Brian Murray ]
  * reportbug/ui/text_ui.py: launch browser for correct package type
    (Closes: #963762)

  [ Sandro Tosi ]
  * Add Nis Martensen to Uploaders, very much well deserved!
  * Extend copyright notice to 2020
  * New release

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Jul 2020 22:18:36 -0400

reportbug (7.6.0) unstable; urgency=medium

  [ Bastian Venthur ]
  * Update to debianbts 2.10
  * replace mock w/ unittest.mock (available since py3.3)

  [ Salvatore Bonaccorso ]
  * reportbug/debbugs.py
    - allow to fill stretch-pu updates against release.d.o; Closes: #938941

  [ Paul Gevers ]
  * reportbug/debbugs.py
    - Add template to unblock release.debian.org bugs

  [ Nis Martensen ]
  * show name of output file in GTK+ ui; Closes: #941257
  * reportbug/debbugs.py
    - do not show `newcomer` tag in novice mode; Closes: #941961
  * reportbug/ui/text_ui.py
    - fix the total bug count not to be equal only to wishlist bugs;
      Closes: #922014
  * reportbug/utils.py
    - query dpkg status with unambiguous package name; Closes: #932383

  [ Fabrice BAUZAC ]
  * reportbug/ui/urwid_ui.py
    - suggest to install python3-urwid for the urwid UI; Closes: #944562
  * reportbug/ui/gtk_ui.py
    - suggest to install reportbug-gtk for the GTK+ UI; Closes: #944515

  [ Andrei POPESCU ]
  * Download and use maintainer mbox whenever applicable; Closes: #933765

  [ Sandro Tosi ]
  * doc/README.developers
    - add a section describing why bugscripts are executed with LC_ALL=C;
      Closes: #946326

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Dec 2019 13:18:07 -0500

reportbug (7.5.3) unstable; urgency=medium

  * debian/control
    - replace emacs* Suggests with emacs-bin-common; Closes: #925422
    - bump Standards-Version to 4.4.0 (no changes needed)
    - add sensible-utils dep, patch by Nis Martensen
  * reportbug/debbugs.py
    - when handling ftp.d.o, dont look up package information if the package
      doesnt exist, fixing a crash; Closes: #923631
    - fix a crash with stable version lookup, patch by Nis Martensen;
      Closes: #935602
  * bin/reportbug
    - remove debug code when handling list-cc-me, patch by Josh Triplett
  * reportbug/utils.py
    - update release names, following Buster releases, patch by Nicolas
      Braud-Santoni; Closes: #932524, #931609
    - recognize versioned Provides; patch by Nis Martensen; Closes: #934472
  * man/reportbug.1
    - add default for --draftpath; patch by laokz

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Aug 2019 19:54:08 -0400

reportbug (7.5.2) unstable; urgency=medium

  * bin/reportbug
    - automatically add ftbfs tag for does-not-build severity, patch by Logan
      Rosen; Closes: #903865
    - fix UnicodeDecodeError crash with debconf-show output, patch by Nis
      Martensen; Closes: #892898
  * reportbug/utils.py
    - add listccme to CONFIG_ARGS, patch by Shengjing Zhu
  * add `outfile` option to reportbug.conf; patch by Jonathan Rubenstein;
    Closes: #916985
  * reportbug/debbugs.py
    - since 2.2, python-debianbts already parses bugs messages as `email`
      object, so dont parse them again
    - copy debian-boot@ ml for every ftp.debian.org override bugs;
      Closes: #893873
    - dont force binary->source package conversion in ftp.debian.org bug
      handling; Closes: #908650
    - remove `debian-maintainers` pseudo-package, it's been deprecated
  * bin/reportbug, reportbug/ui/__init__.py
    - be explicit on why a UI is unavailable when passing -u XYZ on the
      command-line; Closes: #876372
  * reportbug/{bugreport.py, utils.py}
    - add kernel taint flags information to bug report "System Information"
      section; Closes: #865153
  * Extend copyright years to 2019
  * Makefile
    - add `clean` target to remove python build artifacts, patch by Nis
      Martensen; Closes: #918537
  * conf/reportbug.conf
    - fix example for `mua`, patch by Nis Martensen; Closes: #918536
  * reportbug/ui/gtk2_ui.py
    - fix crash by accepting the `exitstatus` argument to `on_child_exited()`;
      patch by Nis Martensen; Closes: #916297
  * bin/reportbug, reportbug/utils.py
    - make sure to run bugscripts in a terminal even with the GTK UI; patch by
      Nis Martensen; Closes: #669038, #803675
  * Rename gtk2 UI to gtk, patch by Nis Martensen; Closes: #848207

 -- Sandro Tosi <morph@debian.org>  Thu, 31 Jan 2019 20:57:49 -0500

reportbug (7.5.1) unstable; urgency=medium

  * debian/control
    - mark reportbug-gtk as priority: optional; Closes: #910814
  * reportbug/debbugs.py
    - ftp.debian.org removal bugs should say "package(s)"; Closes: #912967
  * reportbug/utils.py
    - restore stderr messages on the terminal, as it's sometimes useful; patch
      by Nis Martensen; Closes: #882130
    - detect Runit as init system, patch by Lorenzo Puliti; Closes: #913236
    - recognize held packages as installed, patch by Nis Martensen;
      Closes: #905353
  * bin/reportbug
    - wildcard globbing for attachments should attach in alphabetical order,
      patch by Nis Martensen; Closes: #906990
  * reportbug/ui/urwid_ui.py
    - fix regression in opening editor from Urwid UI, patch by John Scott;
      Closes: #903969, #908515, #904391
  * Add --list-cc-me option to X-Debbugs-CC your detected email address, patch
    by Josh Triplett; Closes: #910697

 -- Sandro Tosi <morph@debian.org>  Sat, 24 Nov 2018 15:27:06 -0500

reportbug (7.5.0) unstable; urgency=medium

  * debian/control
    - update Vcs-* to point to salsa; drop Homepage pointing to alioth
  * migrate to debian-reportbug@lists.debian.org; Closes: #899684
  * reportbug/debbugs.py
    - fix a typo in the serious severity description; Closes: #894972
    - add contributors.debian.org to pseudo-packages list
    - since it's now in LTS status, comment out jessie-pu from the list of
      suites presented for release.debian.org; Closes: #902379
  * replace 999999@b.d.o with a more generic nnnnnn@b.d.o; Closes: #891144
  * reportbug-gtk package created
    - a new package now installs the desktop file only along with the
      dependencies to make it work; desktop install tasks should depend
      on the new reportbug-gtk package; patch by Stephen Paul Weber;
      Closes: #842018, #872300, #902593
  * remove utils.get_cpu_cores() in favor or os.cpu_count(), as available on
    python3; Closes: #894208
  * reportbug/submit.py
    - dereference symbolic links when detecting file type; patch by Nis
      Martensen; Closes: #885959
  * remove unused Python imports; patch by Markus Hackspacher; Closes: #867337
  * lookup package short description using apt python bindings; patch by Nis
    Martensen; Closes: #564112, #876373, #502860
  * reportbug/bugreport.py
    - dont add the novice bug template if the bug report body was provided on
      the command-line (even if in low-level modes); Closes #890793
  * dont add the 'System Information' section when running reportbug with the
    option --from-buildd; Closes: #865812
  * add explicit text to clarify the newer releases menu (some of which could be
    in in-development suites) is meant as a request to the reporter to verify if
    the bug has already been addressed; Closes: #900254, #880857
  * reportbug/ui/gtk2_ui.py
    - fix a crash when showing a changed config file; Closes: #902417

 -- Sandro Tosi <morph@debian.org>  Sun, 01 Jul 2018 14:37:45 -0400

reportbug (7.1.10) unstable; urgency=medium

  * debian/control
    - add python3-apt dep to python3-reportbug, needed by fix for #878088;
      Closes: #891626

 -- Sandro Tosi <morph@debian.org>  Tue, 27 Feb 2018 20:02:22 -0500

reportbug (7.1.9) unstable; urgency=medium

  * bin/reportbug
    - dont CC secure-testing-team@lists.alioth.debian.org anymore, the team
      didnt exit for a long time and the ML will disappear when Alioth will be
      deco'ed; patch by Moritz Muehlenhoff; Closes: #888832
  * bin/reportbug, reportbug/utils.py
    - notify the security team or TLS team if reporting a bug against an upload
      contaning a security fix, as a possible regression (upon user
      confirmation); patch by Markus Koschany and Nis Martensen; Closes: #878088
  * Extend copyright years to 2018

 -- Sandro Tosi <morph@debian.org>  Sat, 24 Feb 2018 20:56:22 -0500

reportbug (7.1.8) unstable; urgency=medium

  * reportbug/debbugs.py
    - add `a11y` tag
    - dont RFC2047-encode the Owner pseudo header when submitting a WNPP bug;
      patch by Nis Martensen; Closes: #872780
  * reportbug/utils.py, bin/*
    - fix invalid escape sequence deprecation warnings with Python 3.6; patch by
      Ville Skyttä; Closes: #878437
    - redirect stderr to stdout when running commands via get_command_output(),
      and this prevents errors to be sent to the terminal; Closes: #882130
  * reportbug/ui/gtk2_ui.py
    - typo fix; Closes: #875309
  * debian/control
    - add sensible-utils to reportbug depends, since we require sensible-*
      commands to be available; Closes: #871527
  * man/reportbug.1
    - fix reference to -A/--attach in the include-file section; patch by Alex
      Muntada; Closes: #871769, #878420
  * reportbug/{debbugs.py, utils.py}
    - add tailing new-line when processing strings line by line; patch by Nis
      Martensen; Closes: #866596
  * reportbug/submit.py
    - remove spurious print() of MIME type, introduced during the py3k porting;
      patch by Nis Martensen; Closes: #868154
    - use quoted-printable encoding for lines that are over 980 chars long;
      patch by Nis Martensen; Closes: #849765
  * fix some spelling errors; patch by Ville Skyttä; Closes: #878436
  * bin/reportbug
    - preserve attachments order; patch by Ville Skyttä; Closes: #878538
  * add Linux Security Model (LSM) information to the 'System info' section of
    the bug report (if any LSM is enabled on the system); patch by Laurent
    Bigonville and intrigeri; Closes: #773346
  * debian/source/options
    - use the default XZ compression algo by removing the custom setting to use
      bzip2; patch by Boyuan Yang; Closes: #863823
  * use context managers to avoid leaving unclosed file descriptors (which often
    results in users losing control of their terminal windows); patch by Nis
    Martensen; Closes: #695887, #849763, #882983
  * prevent Unicode(De|En)codeError with most open() calls by using
    'backslashreplace' in case of errors; patch by Nis Martensen;
    Closes: #877650, #883577, #868022
  * debian/copyright
    - leave only me as Upstream-Author and Packaged-By
  * debian/control
    - bump Standards-Version to 4.1.2 (no changes needed)
  * debian/rules
    - dont call dpkg-parsechangelog directly, use dpkg/pkg-info.mk instead

 -- Sandro Tosi <morph@debian.org>  Thu, 28 Dec 2017 23:25:43 -0500

reportbug (7.1.7) unstable; urgency=medium

  * reportbug/utils.py
    - fix description regex to match only textual description (and not the MD5);
      patch by Nis Martensen; Closes: #863322
    - switch to use apt-cache instead of dpkg --print-avail; patch by Nis
      Martensen
    - get_command_output() doesnt strip a trailing new-line, so deal with that
      behavior when running lsb_release and dpkg --print-architecture; patch by
      Nis Martensen; Closes: #861153
    - update suites names: fade out squeeze (wheezy is now oldoldstable) and
      introduce buster (testing), bullseye (next-testing); Closes: #862801
    - in search_path_for, split PATH directories using ':'; patch by Kamaraju
      Kusumanchi; Closes: #827088
    - strip arch-qualifier when looking up dependencies information; patch by
      Nis Martensen; Closes: #749884
    - fix a crash when parsing the config files lines in the package
      information; patch by Nis Martensen; Closes: #857013, #846053, #826534
  * reportbug/debbugs.py
    - add manpages.debian.org to pseudo-packages list; Closes: #861859
  * debian/control
    - update emacs dependencies to emacs24 (default) and emacs25 (alternative)
    - remove Chris Lawrence from Uploaders, thanks for all you've done for
      reportbug!!
    - switch Vcs-* URLs to HTTPS
  * remove double imports
  * debian/desktop
    - add Danish translation to desktop file; patch by scootergrisen;
      Closes: #855973
  * reportbug/bugreport.py
    - add LANGUAGE env var to locales bugreport section; Closes: #840898
  * bin/querybts
    - url_open() now returns a string, no need to read() it anymore; also
      replace URLError exception handling with NoNetwork; Closes: #859274
  * reportbug/debbugs.py, reportbug/utils.py
    - Finish open_url return type conversion: url_open() now returns a string
      and no longer an HTTPRespons object; patch by Nis Martensen; extends the
      fix for #859274
  * bin/reportbug
    - fix error formatting when printing the error for draft directory
      non-existing; patch by Gaetano Guerriero; Closes: #816375
  * doc/README.source
    - update README.source to the current source layout; Closes: #827002
  * debian/copyright
    - switch the Format field to the URL in the packaging-manuals

 -- Sandro Tosi <morph@debian.org>  Mon, 29 May 2017 16:00:17 -0400

reportbug (7.1.6) unstable; urgency=medium

  * reportbug/utils.py
    - wrap every command execution in a helper function to (eventually) decode
      the command output, this will prevent non-UTF-8 output to crash reportbug;
      patch by Nis Martensen; Closes: #857794
  * reportbug/submit.py
    - handle text attachments in different encodings, currently making reportbug
      crash; patch by Nis Martensen; Follow up for #848729

 -- Sandro Tosi <morph@debian.org>  Tue, 18 Apr 2017 21:12:02 -0400

reportbug (7.1.5) unstable; urgency=medium

  * reportbug/utils.py
    - handle correcly the situation where reportbug config file and dpkg status
      database have a different charset than current locale; patch by Nis
      Martensen; Closes: #848729
  * reportbug/ui/gtk2_ui.py
    - fallback gracefully to text UI if running GTK+ interface on a text
      console; patch by Nis Martensen; Closes: #853269
    - fallback gracefully to text UI in case some of the GTK+ deps are not
      available, by catching all the relevant exceptions; patch by Jakob Haufe;
      Closes: #854405
    - require also Cairo, required to render the GTK+ interface; patch by Nis
      Martensen; Closes: #852652

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Feb 2017 12:07:18 -0500

reportbug (7.1.4) unstable; urgency=medium

  * reportbug/submit.py
    - use the correct email.encoders modules when attaching binary files;
      Closes: #850317
  * debian/control
    - add python3-gi-cairo to reportbug Suggests; Closes: #851968
  * doc/README.Users
    - update GTK interface doc about which packages to install

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Jan 2017 18:16:04 -0500

reportbug (7.1.3) unstable; urgency=medium

  * debian/control
    - bump Standards-Version to 3.9.8 (no changes needed)
  * share/script
    - modify the bug script to cope with non-ascii characters; patch by Nis
      Martensen; Closes: #851322
  * man/reportbug.1
    - fix order of email environment variables; patch by Nis Martensen;
      Closes: #851355
  * bin/reportbug
    - output user from address in human-readable format; patch by Nis Martensen;
      Closes: 851361
  * reportbug/ui/urwid_ui.py
    - unbreak 'Read bug' functionality in urwid UI; patch by Ryan Kavanagh;
      Closes: #851055
  * debian/menu
    - removed, now obsolete in favor of XDG desktop files; patch by Boyuan Yang;
      Closes: #851415
  * debian/desktop
    - improve to the file and no longer hardcode the debian-swirl file location;
      patch by Boyuan Yang; Closes; #836253
  * reportbug/ui/gtk2_ui.py
    - fixes and improvements to GTK2 interface from James Clarke and Simon
      McVittie, thanks a lot! Closes: #850733

 -- Sandro Tosi <morph@debian.org>  Sun, 15 Jan 2017 20:30:27 -0500

reportbug (7.1.2) unstable; urgency=medium

  * reportbug/utils.py
    - fix the 'email' name clash in reportbug.utils functions by renaming their
      arguments to 'emailaddr', this fixes names with special characters in the
      address; patch by Didier 'OdyX' Raboud; Closes: #848692
    - capitalize, not uppercase, ampersend user replacement; patch by Nis
      Martensen; Closes: #849677
  * reportbug/ui/text_ui.py
    - use integer division when computing the max length for a name; suggestion
      by Ben Longbons; Closes: #848655
  * share/{bug, control}
    - port bug script and control file to py3k; patch by Nis Martensen;
      Closes: #849749
  * reportbug/debbugs.py
    - add jenkins.debian.org pseudopackage
  * Extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 04 Jan 2017 20:17:13 -0500

reportbug (7.1.1) unstable; urgency=medium

  * Upload to unstable
  * reportbug/debbugs.py
    - add sections for Rust and JavaScript, patch by Josh Triplett;
      Closes: #847537
    - update the list of pseudopackages (and fix & re-enable unittest);
      Closes: #831848
    - revert the description of www.debian.org to the official one (see also
      #813108); Closes: #813113
  * doc/README.Users
    - grammar fixes/improvements; patch by Vilius Panevėžys; Closes: #811193

 -- Sandro Tosi <morph@debian.org>  Sun, 18 Dec 2016 16:12:00 -0500

reportbug (7.1.0) experimental; urgency=medium

  * port GTK interface to GTK3; thanks to Simon McVittie for sending all the
    patches to implement this; Closes: #651590

 -- Sandro Tosi <morph@debian.org>  Wed, 14 Dec 2016 19:33:58 -0500

reportbug (7.0.1) experimental; urgency=medium

  * debian/control
    - add python3-requests to python3-reportbug Depends; Closes: #846657
  * reportbug/utils.py
    - dont remove the first character from the filename when calling an external
      MUA; Closes: #846778

 -- Sandro Tosi <morph@debian.org>  Wed, 07 Dec 2016 19:22:37 -0500

reportbug (7.0.0) experimental; urgency=medium

  * port reportbug to py3k

 -- Sandro Tosi <morph@debian.org>  Wed, 30 Nov 2016 20:25:52 -0500

reportbug (6.6.6) unstable; urgency=medium

  * reportbug/utils.py
    - Update the SUITES2DISTS mapping for the jessie release; patch by Paul Wise
    - 'Control' pseudo-header can be repeated/present multiple times in the
      report; Closes: #687679
  * man/querybts.1
    - document http_proxy environment variable in querybts manpage; report and
      patch by Jakub Wilk; Closes: #800092
  * Consolidate Debian release codenames handling in a single place, updating
    how release.d.o is using this information; Closes: #804504
  * bin/reportbug
    - rephrase slightly the orphan check warning; Closes: #544624
    - where there are modified conffiles, clarify the menu entry to view such
      files that a "q" is required to exit it, making it more clear in the GTK
      UI; Closes: #732334
    - default '--exitprompt' to False, should avoid a spurious message in GTK UI
      when reporting additional information; Closes: #745514
  * reportbug/submit.py
    - in paranoid mode, handle the case when the pager exists without having
      processed all the text we are sending and it generates a SIGPIPE;
      Closes: #777010, #686922
    - decode email addresses when printing the recipients recap at submit time;
      Closes: #546914
    - dont escape a single dot line surrounded by newlines (the End-Of-Message
      in SMTP), it is done by sendmail() automatically; Closes: #808742
    - print the "If you want to provide additional information" text only if an
      email is specified in sysinfo, this prevents a crash if we are sending
      reports to a non-debbugs instance; Closes: #789332
    - save a backup of the bug report, that will prevent data loss in case of
      crash or unexpected errors; Closes: #736214
  * debian/control
    - add dep on 'file' for python-reportbug; Closes: #803764
  * reportbug/ui/text_ui.py
    - dont crash when selecting "Providing additional information" after
      filtering the bugs list more than once; Closes: #804130
  * reportbug/ui/gtk2_ui.py
    - switch from gtkspell (now removed) to gtkspellcheck; Closes: #802387
  * man/querybts.1
    - remove reference to BROWSER env variable, we use xdg-open; Closes: #690759
  * reportbug/urlutils.py
    - remove handling of X11BROWSER and CONSOLEBROWSER, obsolete
    - explicitly set the timeout when requesting a URL, that happens in
      particular when checking for newer versions; Closes: #784840
  * reportbug/ui/*
    - dont crash if we cant access the BTS: Closes: #694634

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Jan 2016 01:47:46 +0000

reportbug (6.6.5) unstable; urgency=medium

  * reportbug/debbugs.py
    - use 'ANY' as an alias for "all architectures" when requesting a binNMU;
      thanks to Mehdi for report and patch; Closes: #795687
  * debian/control
    - set dep on python-debianbts to the version implementing the paged access
      to BTS; Closes: #796759
  * bin/reportbug, reportbug/{debbugs.py, exceptions.py}
    - in case of an error accessing the BTS, throw a new exception, and catch it
      in the main program, and display a message about it
  * bin/reportbug
    - special-case also the short alias -T along with --tag; this fixes a crash
      in 'debian-bug' in Emacs; thanks to Sven  Joachim for report and patch;
      Closes: #794590
  * reportbug/utils.py
    - correctly identify conffiles marked as obsolete; thanks to Jakub Wilk for
      the report; Closes: #791577
  * PEP8-fied the source code (except for "line too long", which we ignore)

 -- Sandro Tosi <morph@debian.org>  Fri, 18 Sep 2015 21:38:56 +0100

reportbug (6.6.4) unstable; urgency=medium

  * reportbug/debbugs.py
    - fix usage of singular they in RFH description; thanks to Doug Torrance for
      the report; Closes: #776015
    - clarify the menu for partial/all archs for binNMUs and RMs; thanks to
      Kamaraju Kusumanchi for the report; Closes: #773606
    - clarify to not select any item in the suite menu for ftp.debian.org to
      choose 'unstable', that should work on every UI available; thanks to
      Rafael Laboissiere for the report; Closes: #765546
    - extend release.d.o binNMUs handling to include a menu to request the suite
      the binNMU is for; thanks to Andreas Beckmann for the report and Niels
      Thykier, Adam D. Barratt from release team for help; Closes: #769355
  * share/script
    - report PAGER environment variable when filing a bug against reportbug
  * reportbug/ui/gtk2_ui.py
    - correctly acquire GDK mutual exclusion lock
  * reportbug/submit.py
    - correctly handle the case where there is not MTA or smtphost defined;
      Closes: #782319, #780825, #769055
    - use ui.final_message() when printing the last message and then exit
  * bin/reportbug
    - suggest to contact Debian support channels when reporting bugs against
      generic packages; thanks to Tomas Pospisek for the patch; Closes: #661563
    - set default encoding to UTF-8, should prevent all the "UnicodeDecodeError:
      'ascii' codec can't decode" bugs; Closes: #769013, #739507, #761367,
      #771833, #672487, #739507, #612712, #690882, #779200, #642096, #666116
    - --tag cli option now correctly generates the list of available tags based
      on the selected mode, which includes 'security'; Closes: #685826
  * reportbug/{debbugs.py, ui/text_ui.py}, test/test_{debbugs.py, urlutils.py}
    - use HTTPS when connecting to Debian BTS
  * bin/reportbug, reportbug/ui/urwid_ui.py
    - make the Cancel button in Urwid interface works for tags and severity
      lists; thanks to Ryan Kavanagh for report and patch; Closes: #702521
  * reportbug/utils.py
    - support LANG declined Description-xx field in package information; thanks
      to Robert Luberda for the report; Closes: #683116
  * bin/reportbug, man/reportbug.1
    - add --{no-}security-team, to declare to send (or not) the report only to
      the security team since it is (or not) an undisclosed vulnerability;
      Closes: #685829
  * bin/reportbug, reportbug/debbugs.py
    - remove 'base' pseudo-package, to be deprecated in BTS too; Closes: #761206

 -- Sandro Tosi <morph@debian.org>  Mon, 03 Aug 2015 20:46:01 +0100

reportbug (6.6.3) unstable; urgency=medium

  * reportbug/debbugs.py
    - when checking the version for a PU upload, pass a list of distributions;
      thanks to Ivo De Decker for spotting; Addresses: #774443

 -- Sandro Tosi <morph@debian.org>  Sun, 04 Jan 2015 10:41:18 +0000

reportbug (6.6.2) unstable; urgency=medium

  * reportbug/debbugs.py
    - introduce jessie-pu (removing now EOL squeeze-pu) tag for release.d.o;
      thanks to Matt Kraai for the report and patch; Closes: #773142

 -- Sandro Tosi <morph@debian.org>  Fri, 02 Jan 2015 20:48:12 +0000

reportbug (6.6.1) unstable; urgency=medium

  * reportbug/utils.py
    - don't split multiarch information on multiple lines; thanks to James
      Cowgill for the report; Closes: #759690
  * reportbug/{bugreport.py, utils.py}
    - include init system information in bug reports; thanks to Yves-Alexis
      Perez for the report and debian-devel ml for suggestions and inputs;
      Closes #741930
  * reportbug/debbugs.py
    - add 'newcomer' tag

 -- Sandro Tosi <morph@debian.org>  Tue, 02 Dec 2014 21:52:57 +0000

reportbug (6.6.0) unstable; urgency=medium

  * bin/reportbug, man/reportbug.1 share/reportbug.el
    - rename GNUS to Gnus; thanks to Tollef Fog Heen for the report and to Tomas
      Pospisek for the patch; Closes: #683325
  * reportbug/debbugs.py
    - fix vesion/version typo; thanks to Niels Thykier for the report and to
      Tomas Pospisek for the patch; Closes: #683277
    - use a future-proof URL for the rc_policy.txt document; thanks to Paul Wise
      for the report and patch; Closes: #673270
    - remove 'ROSRM' options from ftp.d.o removal requests; thanks to Scott
      Kitterman for the report and to Adam D. Barratt and Philipp Kern for
      ack'ing it (on IRC); Closes: #682105
  * man/reportbug.1
    - mention that deb-src lines has to be available in sources.list to populate
      apt cache with source packages too, needed for --src/--source option to
      work; thanks to Ian Bruce for the report; Closes: #684227
    - clarify that when using an external MUA, the attachment feature will not
      be able to send those files to the MUA, so they are actually discarded;
      thanks to Stefano Rivera for the report; Closes: #679907
  * reportbug/submit.py
    - properly handle ~/~user in --output cli option, expanding it to the user's
      homedir; thanks to Fritz Wuehler for the report; Closes: #680465
    - don't show the last menu (about how to provide additional info) if
      quitting or saving to file; thanks to Adrian Bunk for the report;
      Closes: #668838
  * reportbug/ui/gtk2_ui.py
    - hide 'Apply' button on the last screen of GTK+ UI; thanks to Samuel Hym
      for the report; Closes: #675735
    - remove indication that 'e' would edit the bug report in the last menu,
      it's text UI specific; thanks to David Smith for the report;
      Closes: #686168
  * bin/reportbug
    - suggests to contact debian-users@ in case of difficulties in identifying
      the package to associate the bug to; thanks to Jonathan Nieder for the
      report and patch; Closes: #661563
    - correctly identify source packages when presenting the packages menu,
      preventing from reporting bugs against unexisting source packages; thanks
      to Jakub Wilk and Andreas Beckmann for the report; Closes: #650386
  * reportbug/utils.py
    - identify also config files with spaces in the filename; thanks to Vincent
      Lefevre for the report; Closes: #669022
  * debian/control
    - update Suggests on emacs packages; thanks to Adrian Bunk for the report;
      Closes: #686165
    - bump Standards-Version to 3.9.6 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 29 Oct 2014 00:30:49 +0000

reportbug (6.5.1) unstable; urgency=medium

  * debian/rules
    - convert to dh sequencer
  * Switch to dh_python2
  * Bump compat to 9
  * man/reportbug.1
    - mark it explicitly that -N/--bugnumber must receive the bug number as an
      argument to the command; thanks to Ron Murray for the report;
      Closes: #741369
  * reportbug/{debbugs.py, utils.py}
    - check for valid (as per Policy) package name while handling WNPP; thanks
      to Paul Wise for the report; Closes: #748719
  * reportbug/ui/gtk2_ui.py
    - set monospace font when entering the bug body; thanks to Bob Bib for the
      report; Closes: #700032
  * Acknowledge NMU (thanks for that!); Closes: #757190
  * reportbug/ui/gtk2_ui.py
    - uninstall GTK+ readline hook, this prevent a crash in reportbug; thanks to
      Eric Valette for the report and to Simon McVittie for the GTK+-side
      analysis and patch; Closes: #758619

 -- Sandro Tosi <morph@debian.org>  Fri, 05 Sep 2014 22:34:23 +0100

reportbug (6.5.0+nmu1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2014-0479: Arbitrary code execution in compare_versions.
    A man-in-the-middle attacker could put shell metacharacters in the
    version number, causing execution of code of their choice.
    Thanks to Jakub Wilk <jwilk@debian.org>

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 03 Aug 2014 16:03:15 +0200

reportbug (6.5.0) unstable; urgency=low

  [ Sandro Tosi ]
  * bin/reportbug
    - changed to "No" the default to local MTA question in configuration mode;
      thanks to Hartmut Bruening for the report; Closes: #732789
  * reportbug/debbugs.py
    - improve the ITP template to ask for more information; thanks to Lucas
      Nussbaum for the report and patch; Closes: #719067
  * bin/reportbug, reportbug/utils.py, doc/README.developers
    - implement support for attachments in bugscripts; thanks to Joachim
      Breitner for the report and to Michael Stapelberg for the patch;
      Closes: #526110
  * reportbug/utils.py
    - improve the template provided to less-expert reporters to be clear the
      questions should be answered by the reporter themselves; thanks to Tony
      Houghton for the report; Closes: #690782
    - match 'Description-en' too when getting package description
  * reportbug/checkversions.py
    - if NEW has several versions of the given package, choose the bigger;
      thanks to Thorsten Glaser for the report; Closes: #704040
  * debian/control
    - use canonical URL for Alioth service
    - bump Standards-Version to 3.9.5 (no changes needed)
  * debian/copyright
    - extend copyright years

  [ Julien Cristau ]
  * Update codename/suite mapping for wheezy release
  * test: don't assert that unstable version is strictly greater than stable
  * checkversions: let rmadison do the architecture/suite filtering
  * debbugs: retire the opu tag for release.debian.org; Closes: #707631

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Jan 2014 20:40:56 +0100

reportbug (6.4.4) unstable; urgency=low

  * reportbug/ui/gtk2_ui.py
    - proper update GTK+ UI from threads, using gobject.idle_add(), possibily
      fixing the crashes seen with GTK+ reportbug UI; thanks to all the
      reporters and to Bruno Filipe Oliveira Ramos for the patch;
      Closes: #620225

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Mar 2013 23:45:13 +0100

reportbug (6.4.3) unstable; urgency=low

  * reportbug/debbugs.py
    - add a note to include/attach the debdiff in case of unblocks for
      release.d.o; thanks to Ulrich Dangel for the report and to Niels Thykier
      for ack'ing it on IRC; Closes: #681206
  * reportbug/utils.py
    - recognize Control as a pseudo-header; thanks to Paul Wise for the report;
      Closes: #684540
  * reportbug/ui/urwid_ui.py
    - fix a crash when selecting 'Quit' in the Urwid UI window presenting the
      list of bugs already filed; thanks to Ryan Kavanagh for the report;
      Closes: #668395
  * bin/reportbug
    - in Urwid UI, when cancelling on the list of packages matching the input
      package, don't present '-1' as resulting package, but that nothing was
      selected; thanks to Valentin Lorentz for the report; Closes: #667663

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Aug 2012 22:49:44 +0200

reportbug (6.4.2) unstable; urgency=low

  * reportbug/debbugs.py
    - remove 'freeze-exception' option for release.d.o package; thanks to Niels
      Thykier for the report; Closes: #683272

 -- Sandro Tosi <morph@debian.org>  Mon, 30 Jul 2012 18:55:52 +0200

reportbug (6.4.1) unstable; urgency=low

  * bin/reportbug
    - remove arch qualifier (for m-a) only if we're not reporting against the
      source package; thanks to Vincent Lefevre for the report; Closes: #681157

 -- Sandro Tosi <morph@debian.org>  Sun, 29 Jul 2012 11:10:25 +0200

reportbug (6.4) unstable; urgency=low

  * reportbug/checkversions.py
    - match version on the precise architecture, not just check string
      inclusiong; thanks to Nelson de Oliveira for the report; Closes: #650651
    - include arch:all in package versions lookup; thanks to Hilmar Preuße for
      the report; Closes: #673204
  * bin/reportbug
    - clarify the menu title when presenting more packages; thanks to Alois
      Mahdal for the report; Closes: #654165
  * reportbug/ui/{text, urwid}_ui.py
    - sort bug numerically; thanks to Matthias Urlichs for the report;
      Closes: #657616
  * reportbug/debbugs.py
    - initialize varibles needed to handle ftp.debian.org section change
      requests, so reportbug won't crash if proper values (for section and
      priority) is not found; thanks to James McCoy for the report;
      Closes: #658748
    - support release team generating "ben" files when requesting a transition;
      thanks to Niels Thykier for the report and patch; Closes: #672722
  * reportbug/utils.py
    - correctly report the installation status for each dependency packages, not
      just the last status applied to each pkgs; thanks to Piotr Engelking for
      the report; Closes: #657753
    - Fix crash when using claws-mail as a mailer; thanks to Valentin Lorentz
      for the report and (partial) patch: Closes: #667543
  * reportbug/utils.py, debian/control
    - updated claws-mail command to use the new cli switch to compose a mail
      from a file (adding a versioned depends); thanks to David Paleino for the
      report; Closes: #661221
  * debian/control
    - added python-mock to b-d-i, needed for the test suite
    - bump Standards-Version to 3.9.3 (no changes needed)
  * reportbug/{debbugs, utils}.py
    - report foreign architectures information (if m-a); thanks to Cyril
      Brulebois for the report; Closes: #658795
  * bin/reportbug, man/reportbug.*
    - fix several typos; thanks to Simon Kainz for the report and patch;
      Closes: #669249
  * bin/reportbug, reportbug/utils.py
    - initial support for multi-arch: keep arch-qualifier and remove it just
      before preparing the report body; Closes: #666469
  * Extend my copyright years to include 2012

 -- Sandro Tosi <morph@debian.org>  Wed, 06 Jun 2012 22:10:17 +0200

reportbug (6.3.1) unstable; urgency=low

  * bin/reportbug
    - don't blindly set (even empty) bugscript headers/pseudos, that will
      prevent spurious blank lines in bug pseudoheaders section; thanks to
      Andreas Beckmann and Jonathan Nieder for the report; Closes: #649956,
      #650723
    - force (once again) source report if --source is specified;
      Closes: #644194, #648719
  * reportbug/utils.py
    - remove tailing white spaces from dependencies list; thanks to Nelson A. de
      Oliveira for the report and patch; Closes: #650659
  * reportbug/debbugs.py
    - added new ftp archive sections: 'education', 'introspection' and
      'metapackages' as per msgid:<87iplw8px9.fsf@lennier.ganneff.de>
  * reportbug/checkversions.py
    - don't generate a traceback in case of checking for versions of
      non-existing packages (or if rmadison doesn't return anything); thanks to
      Jérémy Lal for the report; Closes: #649649

 -- Sandro Tosi <morph@debian.org>  Sun, 04 Dec 2011 22:48:02 +0100

reportbug (6.3) unstable; urgency=low

  * reportbug/utils.py
    - add 'oldstable' to the list of distributions, so not to confuse 'APT
      prefers' line; thanks to Jan Huijsmans for the report; Closes: #645870
  * share/control, setup.py
    - report python-reportbug dependencies information when filing a bug against
      reportbug
  * reportbug/ui/urwid_ui.py
    - is_mouse_event() is in urwid.util in urwid 1.0.0; thanks to Andrew O.
      Shadura for the report; Closes: #646943
    - fix a crash when willing to submit more information after having seen a
      report; thanks to Viet Nguyen for the report; Closes: #644815
  * bin/reportbug
    - report bug using the "Source" pseudo-header, if we've detected it's a
      source package (either by using --src cli option or by selecting the
      source pkg in the menu); thanks to Julian Andres Klode for the report;
      Closes: #644194
    - improved check for package name in the subject, now checking if the
      it's at the beginning of the subject, and even if provided via '--subject'
      cli option; thanks to Cyril Brulebois for noticing it; Closes: #579596
  * Implement a new --envelope-from cli option (and the corresponding one in the
    configuration file), to allow to select the Envelope From (aka Return-path)
    mail header different than the default, the From address. It reverts the
    change in #614879; thanks to Kevin Locke for the report and discussion;
    Closes: #640249
  * Use madison.cgi (from QA) to check for newer versions available; thanks to
    Bernd Zeimetz for the report; Closes: #601679
  * reportbug/ui/*_ui.py
    - show if the bug is already closed (it usually happens when the bug was
      closed recently and it's not archived yet); thanks to Elora HRanma for the
      report; Closes: #586155
  * reportbug/ui/gtk2_ui.py
    - rename the 'Cancel' button to 'Quit', so that it's clear it will close
      reportbug, also Alt+<code> will select the right button; thanks to Nathan
      A. Stine and Éric Araujo for the reports; Closes: #586475, #614160
    - remove reference to Ctrl+c when asking for subject: it won't work in GTK+
      UI; thanks to Mark Brown for the report; Closes: #562876
  * debian/control
    - set 2.6 as minimum python version
  * reportbug/debbugs.py, bin/reportbug
    - reports for release.debian.org about 'pu'/'opu' now tries to get the
      correct version querying madison (but only if querying is enabled); thanks
      to Jakub Wilk for the report; Closes: #563804
  * Bugscripts can now generate headers and pseudo-headers to be included into
    the bug report, refer to README.developers for additional details; thanks to
    Niels Thykier for the report; Closes: #611341

 -- Sandro Tosi <morph@debian.org>  Sun, 06 Nov 2011 18:04:26 +0100

reportbug (6.2.2) unstable; urgency=low

  * reportbug/utils.py
    - support claws-mail MUA; thanks to David Paleino for the report and patch;
      Closes: #532082
    - fix spelling error in email template; thanks to basile for the report;
      Closes: #643986
  * reportbug/checkversions.py
    - do a word match when parsing the suite name to get the available versions;
      thanks to Yann Dirson for the report; Closes: #642032
  * debian/docs
    - don't install TODO file, it's internal only; thanks to Tshepang
      Lekhonkhobe for the report; Closes: #643320
  * bin/reportbug
    - fix a crash when using -N nnnnnn and at the last menu answer 'Show other
      bug reports (return to bug listing).'; thanks to Ritesh Raj Sarraf for the
      report; Closes: #642939
  * reportbug/bugreport.py
    - don't add the bug report guidance template if the package is a special one
      (like wnpp, ftp.d.o and release.d.o); thanks to Arno Töll for the report;
      Closes: #643785
  * reportbug/ui/text_ui.py
    - when searching thru the bugs list, return a Bugreport instance instead of
      the bug number; thanks to Olivier Berger for reopening the bug; hopefully
      completely Closes: #640196
  * bin/reportbug, man/reportbug.conf.5
    - clarify TLS question in --configure and the manpage entry for conf file;
      thanks to Jakob Bohm for the report; Closes: #642554

 -- Sandro Tosi <morph@debian.org>  Sun, 16 Oct 2011 17:14:56 +0200

reportbug (6.2.1) unstable; urgency=low

  * bin/reportbug
    - be more explicit that Ctrl+c on subject menu exit reportbug without
      sending any report; thanks to simon for the report; Closes: #640213
    - use the bug number for the follow-up address, instead of the Bugreport
      instance; thanks to Jan Braun for the report; Closes: #640434
  * reportbug/utils.py
    - fix a crash when generating dependencies tables for long package name;
      thanks to Wouter Van Hemel for the report; Closes: #640512
  * reportbug/ui/text_ui.py
    - fix a crash after the bugs list, when selecting 'y' and then entering the
      item number; thanks to Jakub Wilki for the report; Closes: #640196
    - fix a crash after the bugs list, when filtering the result set, viewing a
      report and then wanting to follow it up; thanks to Michal Suchanek for the
      report; Closes: #640518

 -- Sandro Tosi <morph@debian.org>  Sat, 10 Sep 2011 23:07:33 +0200

reportbug (6.2) unstable; urgency=low

  * reportbug/debbugs.py
    - remove release tags; thanks to Kurt Roeckx for the report and to Julien
      Cristau for the confirmation; Closes: #613716
  * reportbug/utils.py
    - support "Debian Ports" in apt policy info section; thanks to Aurelien
      Jarno for the report and patch; Closes: #638357
    - remove the description from the dependencies list, leaving more space for
      the useful information (package name and version); thanks to Andreas
      Beckmann for the report; Closes: #582218
    - insert a greeting note in the bug report body template; thanks to martin f
      krafft for the report; Closes: #275660
    - expand the bug report body template to include some guiding questions for
      less experienced reporters; thanks to Enrico Zini for the report and the
      proposed questions; Closes: #321623
  * debian/desktop
    - remove deprecated 'Application' category + add GenericName; thanks to Pino
      Toscano for the report and patch; Closes: #638964
  * reportbug/checkversions.py
    - ignore if we can't compare the version of a currently installed package;
      thanks to Josh Triplett for the report; Closes: #638575
    - fix p.d.o parsing, it wasn't able to get new versions (due to changed
      format); thanks to Vincent Lefevre for the report; Closes: #630586
  * bin/reportbug
    - when using --src don't present the menu with possible binary packages (and
      also try to be smart and infer the version from the bin pkgs list); thanks
      to Vincent Lefevre for the report; Closes: #638616
    - don't gather information for "other" packages (like wnpp, ftp.d.o, etc),
      so actions like following up on one of their bugs skip that check; thanks
      to Adrian Glaubitz for the report; #614366
  * reportbug/submit.py
    - don't force the Envelope-From header to the From value; thanks to
      Francesco Poli for the report; Closes: #614880
    - if can't write to the selected output file, then don't crash but just
      select a temporary file instead; thanks to David A. Parker for the report;
      Closes: #617636
    - we don't need to create an empty file under /var/tmp in case a smarthost
      is used; thanks to Torquil Macdonald Sørensen for the report and support
      in debugging; Closes: #570385
  * reportbug/ui/text_ui.py
    - don't try to decode a unicode string; thanks to Vincent Bernat for the
      report; Closes: #638429
    - we need to sort also the (partial) bugs list of each section, else the
      hierarchy and the global bugs list are misaligned, hence selecting an item
      number will get the wrong bug report; thanks to Edward J. Shornock for the
      report; Closes: #639577
  * reportbug/debbugs.py + dependeciens
    - make get_report() return the Bugreport instance, containing all the bug
      information; now the UI does the visualization part, and we just pass
      objects around storing the info the UI will extract and display;
      implicitly Closes: #571983, #568761
  * introduce the new --latest-first cli options to sort the bug reports lists
    to show the latest bugs first; thanks to Marcelo Magallon for the bug report
    and the idea; Closes: #66917
  * reportbug/checkbuildd.py
    - fix buildd.d.o checks after the service changes layout; Closes: #612520
  * bin/reportbug, reportbug/utils.py
    - use a POSIX lexer to parse configuration files so that escaping double
      quotes for 'realname' can be parsed correctly; thanks to Paul "TBBle"
      Hampson for the report; Closes: #579891
  * conf/reportbug.conf, man/reportbug.conf.5
    - complete manpage and example config file with all the accepted options

 -- Sandro Tosi <morph@debian.org>  Tue, 30 Aug 2011 00:15:34 +0200

reportbug (6.1) unstable; urgency=low

  * reportbug/debbugs.py
    - mention that 'www.debian.org' pseudo-package is not to be used for alioth;
      thanks to Nelson A. de Oliveira for the report; Closes: #631165
    - clarify msg for 'other' option in release.d.o special package; thanks to
      Niels Thykier for teh report; Closes: #635071
    - added http://release.debian.org/wheezy/rc_policy.txt to 'serious'
      description; thanks to Daniel Dickinson for the report; Closes: #637053
    - in ftp.d.o override menu, if section and priority are not changed, allow
      to send the bug anyhow, because it's the override file outdated; thanks to
      Niels Thykier for the report; Closes: #628769
    - get_report(): add headers to the bug messages only if they are preset, fix
      a crash; thanks to Andrey Rahmatullin for the report; Closes: #637994
  * Use debian-swirl.svg (copied from gnome-icon-theme to avoid the dep) in the
    desktop file; thanks to Sérgio Cipolla for the report; Closes: #632383
  * bin/reportbug
    - at the last menu, saving the report to a file (instead of sending it) now
      saves all the emails headers and attachment, not only the report body;
      thanks to Ian Zimmerman for the report; Closes: #626656
    - ignore mua settings when running for --template; thanks to Jakub Wilk for
      the report; Closes: #632377
    - more verbose message when we can't find a package; thanks to Lionel Elie
      Mamane for the report; Closes: #628463
  * reportbug/submit.py
    - when sending/writing the report fails, output the message in the UI, so
      also GTK+ and urwid users can see the failure and where the report is
      saved; thanks to Stefan Monnier for the report; Closes: #626930
  * bin/reportbug, reportbug/utils.py
    - automatically select the package for the running kernel if selecting
      'kernel' or 'linux-image' packages; thanks to Ben Hutchings for the
      report; Closes: #619870
  * debian/rules
    - fix build* targets

 -- Sandro Tosi <morph@debian.org>  Wed, 17 Aug 2011 16:13:53 +0200

reportbug (6.0) unstable; urgency=low

  * reportbug/debianbts.py
    - don't try to convert the package to a source one if we are in 'override'
      selection of 'ftp.debian.org'; thanks to Luk Claes for the report;
      Closes: #620849
  * Rename reportbug/debianbts.py to reportbug/debbugs.py, pre-requisite to use
    python-debianbts to access BTS via SOAP
  * Remove all old CVS variable snippets
  * Use SOAP to retrive bugs information from Debian BTS; Closes: #415801
  * Use python-debianbts to interact with the Debian BTS; Closes: #490548

 -- Sandro Tosi <morph@debian.org>  Thu, 11 Aug 2011 01:33:11 +0200

reportbug (5.1.1) unstable; urgency=low

  * reportbug/ui/text_ui.py
    - remove spurious function call in text UI when there are no bug report;
      Thanks to Kan-Ru Chen for the report and patch; Closes: #624563

 -- Sandro Tosi <morph@debian.org>  Mon, 02 May 2011 08:52:51 +0200

reportbug (5.1) unstable; urgency=low

  * Makefile
    - add 'codechecks' target to run tools to check source code
  * reportbug/checkversions.py, debian/control
    - use new.822 to get information about NEW packages; Closes: #510171
    - added python-debian to python-reportbug Depends, needed to parse new.822
  * reportbug/debianbts.py
    - add support for 'wheezy' tag; thanks to Mehdi Dogguy for the report;
      Closes: #623375
    - offer 'security' tag also for users with mode >= ADVANCED; thanks to
      Moritz Muehlenhoff for the report; Closes: #617605
  * reportbug/ui/text_ui.py
    - check if there are no reports (or a problem occurred), than don't try to
      parse the bugs list; thanks to Erik de Castro Lopo for the report;
      Closes: #622338
  * reportbug/bugreport.py + unittests
    - the followup information must be an integer: try to convert it or raise an
      exception; prevents a crash when following-up to an existing report using
      GTK+ UI; thanks to all the reporters; Closes: #619801
  * reportbug/urlutils.py
    - make the 'xdg-open' existance check be silent also when sh=dash; thanks to
      RjY for the report and patch; Closes: #616523
  * bin/reportbug, reportbug/utils.py, man/reportbug.*
    - added a new cli options, --max-attachment-size (also available in the
      config file), to limit the size of any attachment (or --body-file) to the
      specified value, in byte; thanks to Lionel Elie Mamane for the report and
      to Carl Chanet for the initial patch; Closes: #528720
  * reportbug/utils.py
    - filter out packages in "installed ok not-installed" state before trying to
      retrieve their information; thanks to all the reporters; Closes: #616455
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)
    - removed Conflicts, no more needed (versions are lower than stable)
    - removed XB-P-V, it was never useful

 -- Sandro Tosi <morph@debian.org>  Thu, 28 Apr 2011 23:54:51 +0200

reportbug (5.0) unstable; urgency=low

  * Upload to unstable

 -- Sandro Tosi <morph@debian.org>  Tue, 01 Mar 2011 21:56:39 +0100

reportbug (4.99.0) experimental; urgency=low

  * Completely rewritten the unittest suite
  * reportbug/debianbts.py
    - automatically convert a partial removal from testing in a partial removal
      from unstable; thanks to Adam D. Barratt for support while developing the
      patch and Russ Allbery for the report; Closes: #597359
  * bin/reportbug, reportbug/{debianbts.py, utils.py}
    - added support for ftp.debian.org override requests; added support for
      'Section' information, reorganized ftp.d.o code to support 'override'
      along with normal RM requests; thanks to Emilio Pozuelo Monfort for the
      report; Closes: #568980
  * reportbug/utils.py
    - fixed a typo; thanks to Jakub Wilk for the report and patch;
      Closes: #599363
    - call dpkg with '--print-architecture' option to get the arch; thanks to
      Jakub Wilk for the report; Closes: #599362
    - commands.getoutput() strips tailing new line, so adding one to
      lsb_release_info; thanks to Yaroslav Halchenko for (partial) patch
    - pass follow-up information on the correct bugreport() argument, so that
      the message is correctly formatter (+unittests to check about that);
      thanks to Jakub Wilk for the report; Closes: #533914
    - check only if the package is in 'install' selection state, not if it's
      completely installed ('half-installed' state is ok), to retrive its
      information; thanks to Lionel Elie Mamane for the report; Closes: #579159
  * reportbug/debianbts.py, test/test_debianbts.py
    - fix os.uname() call in generic_infofunc() method, also adding unit tests
      for it; thanks to Yaroslav Halchenko for report and patch; Closes: #607849
  * bin/reportbug, reportbug/ui/gtk2_ui.py
    - warn that bug reports are publicly archive (email address included);
      thanks to Holger Levsen for the report; Closes: #605892
  * reportbug/ui/gtk2_ui.py
    - fix a crash in case when the pre-subject text contains '%', that got
      interpreted as special sequences; thanks to Mike Miller for the report and
      patch; Closes: #594354
    - some text is already "wrapped" in the code, so let's recompose it on a
      single-line so that GTK+ widgets wrap&fill shows a nice output; thanks to
      Éric Araujo for the report; Closes: #564449
  * add feature to retrieve a mbox of a bug report and open it in a MUA; thanks
    to Josh Triplett for the report and to Rafael Cunha de Almeida for the
    patch; Closes: #458735
  * bin/reportbug
    - don't specify 'ITP' when warning a WNPP bug has lines unchanged from the
      template; thanks to Jonas Stein for the report; Closes: #598161
    - reworded the request to insert bug report subject; thanks to A. Costa for
      the report and proposed text; Closes: #578033
    - now also 'recommends' and 'suggests' packages are reported when using
      'report-with' control file field; thanks to Mike Hommey fro the report;
      Closes: #570939
    - decode subject (if present) using the current charset; thanks to Jakub
      Wilk for the report; Closes: #539736
    - restore the notification of missing files when including attachement, it
      was lost when globbing was introduced
    - fixed a typo in attachment file detach message; thanks to Bernhard Kuemel
      for the report; Closes: #609021
  * reportbug/ui/text_ui.py
    - after filtering thru bugs, don't ask to choose one when there is only one
      bug left; thanks to Braun Gábor for the report; Closes: #600270
  * reportbug/ui/urwid_ui.py
    - errors are now reported as a message dialog (no more hidden in the console
      behind UI); thanks to Brett Nash for the report; Closes: #488071
  * debian/desktop
    - updated with Russian translations; thanks to Alexander Sashanov for the
      report and patch; Closes: #608889
  * man/reportbug.conf.5
    - escaped hyphen (to please lintian)
  * reportbug/bugreport.py
    - if BTS type is not 'debbugs' or 'launchpad', issue a warning and default
      to 'debbugs' instead of raising an exception; thanks to Paul Menzel for
      the report; Closes: #609423
  * extending my copyright information to 2011

 -- Sandro Tosi <morph@debian.org>  Tue, 18 Jan 2011 22:38:07 +0100

reportbug (4.12.6) unstable; urgency=low

  * reportbug/debianbts.py
    - fix a typo to properly recognize free-exception; thanks to Jakub Wilk for
      the report; Closes: #592138

 -- Sandro Tosi <morph@debian.org>  Sat, 07 Aug 2010 22:02:57 +0200

reportbug (4.12.5) unstable; urgency=low

  * bin/reportbug
    - add a warning we are actually working (and not blocked) when executing bug
      script; thanks to Arthur Marsh for the report; Closes: #587952
    - clarified that not specifying an SMTP host, the one from Debian will be
      used; thanks to Andrei Popescu for the report; Closes: #590306
  * reportbug/submit.py
    - fixed a typo: 'receive'/'received'; thanks to Joey Hess for the report;
      Closes: #588198
    - properly catch multiple exceptions; thanks to Jakub Wilk for spotting it
  * bin/reportbug, man/reportbug.1
    - support globbing when attachments are allowed (so both command-line args
      and sub-menus); thanks to Josh Triplett for the report: Closes: #452648
  * doc/README.Users
    - clarified the usage terms for reportbug.debian.org
  * debian/control
    - bump Standards-Version to 3.9.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 06 Aug 2010 15:15:41 +0200

reportbug (4.12.4) unstable; urgency=low

  * man/reportbug.1
    - fixed documentation for '--no-tags-menu', wrongly associated to
      '--no-bug-script'; thanks to Jakub Wilk for the report; Closes: #584964
  * bin/reportbug
    - fix the crash when asking for tags menu after editing of bug body; thanks
      to Christoph Anton Mitterer for the report; Closes: #586044

 -- Sandro Tosi <morph@debian.org>  Thu, 01 Jul 2010 20:56:57 +0200

reportbug (4.12.3) unstable; urgency=low

  * reportbug/utils.py
    - convert the config file name to UTF-8, avoinding a crash; thanks to Anders
      Lagerås for the report and to Carl Chenet for the patch; Closes: #578085
  * bin/reportbug
    - when configuring, show the complete text about SMTP host (part was hidden
      if using GTK+ UI); thanks to Elie De Brauwer for the report and patch;
      Closes: #583292
  * bin/reportbug, reportbug/{debianbts.py, utils.py}
    - don't present suite tags ('sid', 'lenny', etc) when running in modes lower
      than 'advanced'; thanks to Julien Cristau for the report; Closes: #583890
  * reportbug/ui/gtk2_ui.py
    - ask confirmation to user when closing reportbug using GTK+ UI; thanks to
      Matej Zary for the report; Closes: #574843
  * checks/compare_pseudo-pkgs_lists.py
    - make it work again, with a dirty trick (import 'utils' before 'debianbts')
  * reportbug/debianbts.py
    - removed some (commented) cruft for pseudo-packages list
    - added 'debian-maintainers' and 'snapshot.debian.org' to the
      pseudo-packages list

 -- Sandro Tosi <morph@debian.org>  Mon, 07 Jun 2010 20:59:28 +0200

reportbug (4.12.2) unstable; urgency=low

  * bin/reportbug
    - don't try to map package to source when using --from-buildd, and also
      force version set; thanks to Cyril Brulebois for reporting this (on IRC)
      and testing preliminary patches
    - correctly pass the 'timeout' parameter to 'check_built'; thanks to Daniel
      Bolton for the report and to Milan Vancura for the patch; Closes: #580382
  * reportbug/utils.py
    - generate a list of pseudoheaders (without duplicates), so that when
      writing them into the report body they are not repeated; thanks to Cyril
      Brulebois for the report; Closes: #579597
  * reportbug/ui/gtk2_ui.py
    - retrieve the 'presubj' keyword argument (passed when we have to show the
      presubj file), fixing a crash; thanks to Michael Schmitt for the report;
      Closes: #578711

 -- Sandro Tosi <morph@debian.org>  Wed, 12 May 2010 19:21:22 +0200

reportbug (4.12.1) unstable; urgency=low

  * reportbug/utils.py
    - only take file name and md5sum from Conffile from dpkg --status; thanks to
      all the reporters; Closes: #577986
  * reportbug/ui/text_ui.py
    - pass 'timeout' to search_bug, needed when filtering bugs; thanks to Matt
      Kraai for the report and patch; Closes: #578505

 -- Sandro Tosi <morph@debian.org>  Thu, 22 Apr 2010 21:59:02 +0200

reportbug (4.12) unstable; urgency=low

  * reportbug/debianbts.py
    - fix description for 'experimental' tag; thanks to Raphael Rigo for the
      report; Closes: #575044
    - check the available packages (not only the installed ones) when reporting
      a wnpp bug; thanks to Filippo Giunchedi for the report; Closes: #565435
  * bin/reportbug
    - removed the information that an empty subject would stop the report: it
      will continue until entered or Ctrl+c; thanks Torquil Macdonald Sørensen
      for the report; Closes: #575450
    - keep presenting the severity menu until one is selected (prevent a crash
      with urwid UI and Cancel button); thanks to Noah Slater for the report;
      Closes: #461908
    - treat every FTBFS bug (pseudo-severity 'does-not-build') as 'serious' but
      adding a note in the Justification pseudo-header if the package was built
      successfully in the past; thanks to Alexander Schmehl for the report;
      Closes: #390466
    - in case of a bug for an undisclosed vulnerability (tagged 'security'),
      report it to the private Security Team mailing list instead of to the
      public BTS (to coordinate the release of the fix); thanks to Chris
      Lawrence for the report and to the Sec Team for review; Closes: #474187
  * reportbug/submit.py
    - clarify that in case no acknowledge is received, then there was an error;
      thanks to mpapet for the report; Closes: #575418
  * reportbug/ui/gtk2_ui.py
    - pass 'buglist' to 'sync_pre_operation' method of 'HandleBTSQueryPage'
      class, needed to run querybts; thanks to Andrey Rahmatullin for the
      report; Closes: #565283
    - new method to correctly wrap the report body: before the text was all on a
      single line, now the long lines are wrapped but the paragraph formatting
      is preserved; thanks to Witold Baryluk for the report; Closes: #576116
  * bin/*, reportbub/*
    - add a user-configurable network timeout, adding the CLI option --timeout;
      thanks to Miles Bader for the report; Closes: #572316
  * man/*, doc/README.Users
    - added information about new --timeout CLI option, specifying that some
      network error might be due to a too low timeout; thanks to Michal Suchanek
      for the report; Closes: #571955
  * reportbug/ui/urwid_ui.py
    - encode bug summary lines to avoid crashed when using urwid UI due to
      unparsable UTF8 characters; thanks to Stefan Seide for the report;
      Closes: #552045
  * bin/reportbug, reportbug/utils.py
    - restore the functionality that includes changed conffile into the bug
      report, that went broken log ago; thanks to Håkon Stordahl for the report
      and patch; Closes: #503131
  * bin/reportbug, man/reportbug.1, reportbug/{bugreport.py, utils.py}
    - added the '--source/--src' command-line option, to report bugs against the
      source package instead of the binary one; thanks to Cyril Brulebois for
      the report; Closes: #560230
  * bin/reportbug, man/reportbug.1
    - added the '--from-buildd $SRC_$VER' option to make reportbug file the bug
      against the source package $SRC for the given $VER version; thanks to
      Cyril Brulebois for the report; Closes: #571970
    - added the '--no-bug-script' command-line option to not execute the bug
      script; thanks to Håkon Stordahl for the report and the (inspiring) patch;
      Closes: #511210
    - added the '--no-cc-menu' command-line option to not display the menu
      asking for additional CCs; part of #428113
    - added the '--no-tags-menu' command-line option to not display the menu
      asking for tags; thanks to Josh Triplett for the report and Carl Chenet
      for the (partial) patch; Closes: #428113
  * bin/reportbug, reportbug/ui/text_ui.py, share/presubj
    - append a notice to every 'presubj' script shown in UI text that 'q' is
      probably the key to press to exit the pager (updating reportbug 'presubj'
      script to remove that notice); thanks to Chris Walker for the report;
      Closes: #488414
  * debian/source/format
    - Switch to dpkg-source 3.0 (native) format
  * debian/source/options
    - options to compress the tarball with bzip2 (and max compression)

 -- Sandro Tosi <morph@debian.org>  Wed, 14 Apr 2010 17:30:48 +0200

reportbug (4.11) unstable; urgency=low

  [ Luca Bruno ]
  * reportbug/ui/gtk2_ui.py:
    - rename Forward button to Continue button; thanks to Matijs van Zuijlen for
      the report; Closes: #565140
    - more selectable labels and use text views for bug replies;
      thanks to Éric Araujo for the report; Closes: #564447
    - wrap text to be 79 chars width in the editor; thanks to Mark Brown for
      the report; Closes: #562878
    - fix focus stealing issues; thanks to Eduard Bloch for the report;
      Closes: #564418

  [ Sandro Tosi ]
  * share/presubj
    - specified the pager exit key doesn't apply to GTK+ UI; thanks to Éric
      Araujo for the report; Closes: 568196
    - clarified to not repot bugs against reportbug in case of GTK+ crashes
  * bin/reportbug, reportbug/utils.py
    - identify the pseudo-headers passed on the command-line and don't merge
      them in the mail headers, but add them to the bug "standard"
      pseudo-headers; thanks to Piotr Engelking for the report; Closes: #552167
    - add a very simple check for email validity, to rule out basic cases;
      thanks to Cyril Bouthors for the report and to Carl Chenet for the patch;
      Closes: #221548
  * doc/README.Users
    - document how to add a pseudo-header
  * reportbug/utils.py
    - recognize also files in /var/lib/dpkg/info/, identifying the package they
      belong to; thanks to Dan Jacobson for the report; Closes: #230582
    - added 'Forwarded' to the list of supported pseudo-header
  * bin/reportbug, reportbug/submit.py
    - use 'draftpath' anytime a temporary file needs to be used; thanks to
      Vincent Lefevre for the report; Closes: #564704
  * bin/reportbug
    - fix spelling error when alerting of attachments drop when spawning a MUA;
      thanks to gregor herrmann for the report and patch; Closes: #572894
    - in the last menu, if cancelling from selecting a MUA to edit the report,
      just go back to the menu and don't crash; thanks to Elie Roux for the
      report; Closes: #562853
    - don't ask to choose a UI when there is only one choice; thanks to Olaf van
      der Spek for the report and to Carl Chenet for the patch; Closes: #567501
    - remove release critical severities when running in 'novice' mode; thanks
      to Steve Langasek for the report; Closes: #295386
    - exit if -K/--keyid is specified without a sign method specified (either
      --pgp or --gpg); thanks to Jonathan Wiltshire for the report;
      Closes: #573558
  * bin/reportbug, reportbug/{debianbts.py, ui/urwid_ui.py}
    - reorganized how BTS tags are retrieved and used
    - create a get_tags() method to return the tags depending on severity of bug
      report (for example, 'security' is available only if severity is RC)
    - remove TAGLIST and EXTRA_TAGS, no more used
    - update the tags list, including all those supported by BTS, not restricted
      to Release Team and meaningfull at report time; thanks to Ido Kanner and
      to martin f krafft for the reports; Closes: #286745, #498919, #524511
  * reportbug/submit.py
    - in case of SMTP error when submitting the report, ask to retry or else to
      save the report and exit; thanks to Stuart Young for the report;
      Closes: #293266
  * debian/control
    - bump Standards-Version to 3.8.4 (no changes needed)
  * debian/NEWS
    - remove asterisks from NEWS file, as recommended by dev-ref

 -- Sandro Tosi <morph@debian.org>  Tue, 16 Mar 2010 19:31:44 +0100

reportbug (4.10.2) unstable; urgency=low

  * reportbug/utils.py
    - allow 'Source' as pseudo-header; thanks to Cyril Brulebois for the report;
      Closes: #566989

 -- Sandro Tosi <morph@debian.org>  Tue, 26 Jan 2010 23:51:23 +0100

reportbug (4.10.1) unstable; urgency=low

  * bin/reportbug
    - import LICENSE from reportbug, so --license won't trigger an error
  * reportbug/utils.py
    - fix broken '--mutt' CLI/config-file option by using a new variable, adding
      the 'mutt' 'if' branch, and the 'get_name()' in MUA class; thanks to
      Julien Cristau for the report; Closes: #564253

 -- Sandro Tosi <morph@debian.org>  Mon, 11 Jan 2010 19:56:44 +0100

reportbug (4.10) unstable; urgency=low

  * conf/reportbug.conf, man/reportbug.conf.5
    - added 'keyid' documentation; thanks to gregor herrmann for the report and
      to Carl Chenet for the partial patch; Closes: #558364
  * bin/querybts
    - use optparse instead of getopt to parse CLI options and arguments;
      Closes: #559677
    - warn users for options not available in querybts (because they are
      reportbug-only); thank to Marc-Jano Knopp, Josh Triplett and Tim Connors
      for the reports and to Carl Chenet for the patch; Closes: #501285
  * reportbug/ui/text_ui.py
    - if help option is selected in debconf values inclusion menu, the second
      message doesn't contain newline, it's fixed now; thanks to Miroslaw
      Zalewski for the report; Closes: #560302
    - retrieve the package information from the report using doing a lower-case
      check; thanks to Dan Greene for the report; Closes: #562912
    - expanded the previous fix to consider either bugs submitted against the
      binary (pseudo-header 'Package') or the source (pseudo-header 'Source')
      package; thanks to Laurent Fousse for the report; Closes: #559065
  * share/presubj
    - refer to reportbug.d.o instead of bugs.d.o as SMTP server; thanks to Karl
      Goetz for the report and patch; Closes: #561802
  * doc/README.{developers, source}
    - fix them to be valid reStrucuturedText files; thanks to Jakub Wilk for the
      report; Closes: #563051
  * debian/{control,rules,source.lintian-overrides}, man/reportbug.ja.1, po4a/*
    - removed l10n contents: they were always outdated and just a restrict set
      of the languages Debian supports
  * man/{querybts.1, reportbug.1}
    - removed NOTE about Python's getopt: both tools are now using optparse
      module to retrieve CLI parameters
  * bin/reportbug
    - notify the user that editing the report with a MUA in the last menu will
      loose every attachements; thanks to Guido Trotter for the report and to
      those that follow it up; Closes: #211808
    - add the possibility to specify the X-Debbugs-CC in the menu before report
      submission; thanks to Sean Finney, Michael Gilbert and Branden Robinson
      for the report and to Carl Chenet for the patch; Closes: #349690
    - clarified that the saved report to a temporary file can also be recovered
      copying the text into a MUA and send the bug from there; thanks to Nelson
      A. de Oliveira for the report; Closes: #405093
    - don't present configuration if using '-f' cli option; thanks to Ross
      Boylan for the report and to Carl Chenet for the patch; Closes: #372250
    - in case the package bug script exited with a non-0 return code, reportbug
      now asks if still reporting or stop; thanks to martin f krafft for the
      report; Closes: #382010
  * man/reportbug.conf.5
    - clarified the configuration files has to be UTF-8 documents; thanks to
      Anders Lageras for the report; Closes: #417054
  * reportbug/ui/urwid_ui.py
    - when retrieving a string, also show a default text (if preset), useful in
      particular with --configure to see the current values for realname and
      email; thanks to Andrei Popescu for the report; Closes: #526631
    - clarified the menu showing bugs already present, changing the title and
      the buttons; thanks to Nick for the report; Closes: #462614
  * reportbug/{submit.py, utils.py}, share/reportbug.el, doc/README.Users,
    debian/control
    - MUA handling now done with a OO-style, reworked emacs integration to use
      emacsclient to reuse an existing emacs instance (if any); thanks to Dan
      Jacobson for the report and Håkon Stordahl for the patch; Closes: #367298
  * bin/reportbug, man/reportbug.1
    - clarified the option -o/--output output the full mail dump (headers and
      body) and how to use to report a new bug; thanks to Alan W. Irwin for the
      report; Closes: #323483
  * doc/HowToReportGoodBugs.txt, debian/doc
    - add a document listing some web resources for providing good bug reports;
      thanks to martin f krafft for the report; Closes: #446168
  * bin/reportbug, man/reportbug.1
    - introduce the new option '--draftpath' to specify an alternative location
      where to save report drafts; thanks to Kokushoku Karasu for the report and
      to Carl Chenet for the (partial) patch; Closes: #309273
  * bin/reportbug, man/*
    - updated all the manpages to reflect the actual cli options accepted by
      reportbug and querybts, removing outdated information and also applying
      some stylistic changes; Closes: #559678
  * debian/control
    - added ${misc:Depends} to binary packages
    - bump Standards-Version to 3.8.3, removal or outdated localized contents
      and manpages updated of CLI options were needed
  * debian/copyright
    - update location of `handle_bugscript`
  * debian/control, *
    - extending my copyright notices to 2010
  * debian/pycompat
    - removed, not needed
  * reportbug/__init__.py
    - release 4.10

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Jan 2010 11:43:20 +0100

reportbug (4.9) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/rules
    - check if versions are in sync only when releasing (allowing for easier
      development)
  * reportbug/ui/gtk2_ui.py
    - replace python-gnome2-extras with python-gtkspell when suggesting what
      package to install for spell checking; thanks to David Steiner for the
      report; Closes: #551046
    - clarified the dialog message that requires installation of additional
      packages; thanks to Filipus Klutiero for the report; Closes: #554589
  * debian/control
    - added a Conflicts on 'debsums (<< 2.0.47)', to properly require the
      correct version of debsums; thanks to Flavio Stanchina for the report;
      Closes: #552364
  * reportbug/ui/urwid_ui.py
    - added missing arguments to handle_bts_query call; thanks to David Bremner
      for the report; Closes: #542309
  * reportbug/submit.py
    - don't encode email addresses when print report of mail recipients (after
      mail being sent); thanks to Raphaël Hertzog for the report and Carl Chenet
      for the patch; Closes: #546914
  * bin/querybts
    - enable '-u' options, along with '--ui'; thanks to David Bremner for the
      report and to Carl Chenet for the patch; Closes: #542312
  * bin/reportbug
    - '--template' option forces the 'text' UI (it's only useful with that);
      thanks to Johan Kullstam for the report; Closes: #543281
    - clarified the message displayed when reporting a bug against an orphaned
      packages, requesting to still report the bug if it exists; thanks to Ryan
      Niebur for the report; Closes: #544623
  * man/reportbug.1
    - clarify that if dlocate is installed, the parameters to --filename are
      actually regexp; thanks to Dan Jacobson for the report; Closes: #547091
  * bin/reportbug, man/reportbug.1, reportbug/ui/text_ui.py
    - add '-N/--bugreport' option to run reportbug against a bug number (useful
      when the bug is already known and want to followup on it); thanks to all
      the people requesting it (too many to list) and Carl Chenet for the patch;
      Closes: #214103, #223335, #232829, #244763, #363156, #433323, #517989

  [ Luca Bruno ]
  * reportbug/ui/gtk2_ui.py
    - cleaner way of handling the response in error/info dialogs; thanks to
      Julian Andres Klode for the report; Closes: #527259
    - open a terminal when falling back to text mode if stdout is not available
      (usually when run through the menu); thanks to Filipus Klutiero and
      Philipp Kern for the reports; Closes: #554504, #543147
    - don't show back button as it's not possible to go back;
      thanks to all the people reporting the bug; Closes: #532467
  * bin/reportbug, reportbug/ui/*_ui.py:
    - introduce the can_input() UI method, to know whether the UI is able to
      receive input or not; thanks to Sebastian Dalfuß for the report;
      Closes: #531803

 -- Sandro Tosi <morph@debian.org>  Fri, 27 Nov 2009 20:12:38 +0100

reportbug (4.8) unstable; urgency=low

  [ Sandro Tosi ]
  * reportbug/__init__.py
    - bump reportbug version
  * reportbug/debianbts.py
    - fix error message in case no package is specified for release.d.o; thanks
      to Joachim Breitner for the report; Closes: #545747
  * bin/reportbug
    - use LC_ALL=C when calling bug scripts (to avoid localized messages);
      thanks to Alexander Galanin for the report; Closes: #546276
    - pass '--ignore-permissions' to debsums (because it's easier to workaround
      problems than fixing them); thanks to Davide Prina for the report;
      Closes: #539695
    - improved wording of debsums checks preamble; thanks to Jari Aalto for the
      report; Closes: #322567
  * debian/control
    - added version (>= 2.0.47) to depends on debsums, to have the latest
      features

  [ Pierre Habouzit ]
  * Fix small issues with the release.debian.org binNMU template.

 -- Sandro Tosi <morph@debian.org>  Wed, 16 Sep 2009 22:56:10 +0200

reportbug (4.7) unstable; urgency=low

  [ Sandro Tosi ]
  * reportbug/__init__.py
    - bump reportbug version
  * debian/control
    - replace python-gnome2-extras with python-gtkspell in Suggests; thanks to
      Josselin Mouette for the report; Closes: #541598
  * reportbug/ui/text_ui.py
    - nomore use writelines() when filtering, but loop over lines then decode an
      print one by one; thanks to Jakub Wilk for the report and Carl Chenet for
      the patch: Closes: #541791
    - correctly call search_bugs() when filtering bugs (now passing package
      too); thanks to Vincent Lefevre for the report and Carl Chenet for the
      patch: Closes: #541408, #542119
  * reportbug/utils.py
    - 'ldap' and 'no-ldap' options now issue a "Unrecognized token" warning:
       LDAP support is gone since years; thanks to martin f krafft for the
       report; Closes: #271057

  [ Luca Bruno ]
  * reportbug/ui/gtk_ui.py
    - wrap words when editing bug reports
    - workaround possible GTK+ regression to show the intro page
    - fix to menu to always display all menu options
  * bin/reportbug, reportbug/ui/*.py
    - fallback to text interface if a different UI can't be initialized; thanks
      to Colin S. Miller for the report; Closes: #534876

  [ Pierre Habouzit ]
  * Add support for the release.debian.org pseudo-package.

 -- Sandro Tosi <morph@debian.org>  Wed, 02 Sep 2009 23:12:16 +0200

reportbug (4.6) unstable; urgency=low

  * reportbug/__init__.py
    - bump reportbug version
  * bin/querybts
    - allows to specify multiple bugs number with --mbox; thanks to Trent Buck
      for the report and Carl Chenet for the patch: Closes: #427560
  * reportbug/submit.py
    - added support for gnupg-agent with signing emails; thanks to Mathias
      Brodala or the report and Carl Chenet for the patch: Closes: #435818
  * bin/reportbug
    - allow ENTER to exit from file detaching menu (and enforced file checking);
      thanks to Rodrigo Campos for report and (partial) patch; Closes: 535789
    - do not exit if no subject is entered for new bugs, but keep asking it;
      thanks to Olaf van der Spek for the report and Carl Chenet for the patch;
      Closes: #537449
    - do not exit if no subject is entered for additional information, but keep
      asking it; thanks to Carl Chenet for the report and patch: Closes: #537624
    - configuration asks also if 'smtptls' is needed or not; thanks to Jerome
      Reybert for the report; Closes: #538021
    - allow to add tags to the bug even in the last menu (right before sending);
      thanks to Enrico Zini for the report and Carl Chenet for the patch;
      Closes: #304006
  * bin/querybts, man/querybts.1, reportbug/ui/text_ui.py
    - querybts is now able to handle multiple bug numbers, package names or any
      mix of them when using --mbox option; thanks to Carl Chenet for the report
      and patch; Closes: #535560
    - added -b/--buglist option to display a bugs list for the given package;
      thanks to Andrew Ferrier for the report and Carl Chenet for the patch;
      Closes: #222621
  * bin/reportbug, reportbug/ui/text_ui.py
    - provide a default reply subject ('Re: ' + <original subject>) when
      providing additional information to a bug report; thanks to Carl Chenet
      for the report and patch; Closes: #537929
  * reportbug/ui/text_ui.py
    - allow to open a browser with the complete packages' bugs list; thanks to
      Eduard Bloch for the report and to Carl Chenet for the patch;
      Closes: #166168
    - expand the ~ or any other environment variables in attachment file name;
      thanks to Andreas Pakulat, Raúl Sánchez Siles, Emil Nowak for the reports
      and to Carl Chenet for the patch; Closes: #376810, #414554, #451041
  * reportbug/submit.py, reportbug/ui/text_ui.py
    - if MUA returns an error, notify the user allowing to re-edit the mail
      (without loosing the mail); thanks to Raphaël Hertzog for the report and
      to Carl Chenet for the patch; Closes: #529251
  * reportbug/urlutils.py, debian/control
    - use xdg-open instead of sensible-browser to open URLs: it uses the
      selected browser in the desktop environment, else it falls back to s-b;
      thanks to Alexandre Fournier for the report; Closes: #536873

 -- Sandro Tosi <morph@debian.org>  Wed, 12 Aug 2009 10:57:03 +0200

reportbug (4.5) unstable; urgency=low

  [ Sandro Tosi ]
  * reportbug/__init__.py
    - bump reportbug version
  * reportbug/debianbts.py
    - force to enter the package name and short description while reporting a
      wnpp bug; thanks to Sam Morris for the report and to Carl Chenet for the
      idea about how to fix it; Closes: #456344
  * bin/reportbug
    - offer a default value (text) for UI at configuration time; thanks to Carl
      Chenet for the report and patch; Closes: #529981
    - make clear reportbug can work without smtphost, while proposing
      configuration; thanks to Andrei Popescu for the report and to Carl Chenet
      for the patch; Closes: #526630
    - in case of multiple packages selection, clarified that pressing ENTER only
      will exit reportbug; thanks to Carl Chenet for the report and patch;
      Closes: #532260
    - add possibility to specify a proxy server when '--configure'; thanks to
      Chris Chiappa for the report and to Carl Chenet for the patch;
      Closes: #247885
  * bin/reportbug, conf/reportbug.conf, debian/control, man/reportbug.*,
    po4a/po/*, reportbug/utils.py
    - removed support for 'af' mail user agent, since it's no more in Debian;
      thanks to Carl Chenet for the report and (partial) patch; Closes: #529987
  * reportbug/utils.py
    - improved checks for MUA with commands name different from MUA name; thanks
      to Carl Chenet for the report and patch; Closes: #531741
  * debian/{compat, control}
    - use debhelper 7
  * debian/rules
    - use dh_prep instead of "dh_clean -k"
    - improved clean rule
    - removed dh_desktop call (no-op now)
  * debian/control
    - moved python to b-d (needed for clean) removing python-dev (not needed)
    - bump Standards-Version to 3.8.2 (no changes needed)
  * share/presubj
    - clarified to include the reportbug output when reporting bug agains us;
      thanks for the suggestion to Reuben Thomas (from #532295)
  * reportbug/{debianbts.py, ui/text_ui.py}
    - try to decode BTS page as they are parsed, replacing bad UTF-8 character;
      this will solve all those UTF-8 conversion problems; thanks to Alexandre
      Rossi for the report and patch; Closes: #531911
  * debian/copyright
    - correctly link to GPL-2 for GPLv2+ licensed files (lintian warning)

  [ Luca Bruno ]
  * reportbug/ui/gtk2_ui.py:
    - add get_password() support; thanks to Arian Sanusi for the report;
      Closes: #530685
    - check whether the progress bar is present or not before dropping it in
      the bug page; thanks to Arian Sanusi for the report; Closes: #530686

 -- Sandro Tosi <morph@debian.org>  Mon, 29 Jun 2009 18:14:33 +0200

reportbug (4.4) unstable; urgency=low

  * reportbug/__init__.py
    - bump reportbug version
  * bin/reportbug, reportbug/utils.py
    - enforce mua check; thanks to Carl Chenet for the patch; Closes: #530499

 -- Sandro Tosi <morph@debian.org>  Mon, 25 May 2009 20:09:10 +0200

reportbug (4.3) unstable; urgency=low

  [ Luca Bruno ]
  * reportbug/ui/gtk2_ui.py:
    - fix crash when showing menu options; Closes: #526628
    - make the textbox containing error information wider
    - implement show_report() : it allows querybts to work with gtk2 UI; thanks
      to James Vega for the report;  Closes: #525762

  [ Sandro Tosi ]
  * reportbug/__init__.py
    - bump reportbug version
  * reportbug/submit.py
    - skip to show the ack message if fails to send the email to all the
      recipients; thanks to Cyril Brulebois for the report and to Carl Chenet
      for the patch; Closes: #524640
    - limit tries to max 3 (1 try + 2 retries) to deliver the message; thanks to
      alecs1 for the report and to Carl Chenet for the patch; Closes: #489447
  * reportbug/utils.py, bin/reportbug
    - added 'mua_exists' function to check existence of the selected MUA; thanks
      to Bernhard R. Link for the report and to Carl Chenet for the patch;
      Closes: #363920
  * debian/control
    - tight dependency of reportbug package to python-reportbug to be the same
      of source version
  * bin/reportbug
    - display the correct message when saving the report into a file (using the
      '-o' option); thanks to Timo Juhani Lindfors for the report and to Carl
      Chenet for the patch; Closes: #496083
    - added a menu option to detach attachment files; thanks to Michael Beattie
      for the report and to Carl Chenet for the patch; Closes: #206318
    - allow '--debug' to be used with '--kudos'; thanks to Branden Robinson for
      the report and to Carl Chenet for the patch; Closes: #152425
  * reportbug/bugreport.py
    - decode UTF-8 body text to avoid encoding issues; thanks to nathael for the
      report and to Carl Chenet for the patch; Closes: #496210
  * doc/README.Users
    - added explanation about what modules are needed to let GTK+ UI works;
      thanks to Leonardo Meira for the report; Closes: #527994
  * po4a/po/fr.po
    - proof-read version of French manpage; thanks to Sylvain Cherrier for the
      report and patch; Closes: #528956
  * bin/reportbug, reportbug/{bugreport.py, utils.py}
    - include debsums output into bug report; thanks to Michael Biebl for the
      report and to Carl Chenet for the patch; Closes: #458572
    - added debsums output also for --template (non interactive) executions
  * debian/{control, rules}
    - added '--install-layout=deb', to prepare for Python 2.6 introduction,
      updating python requirements to >= 2.5; thanks to Kenneth E Drake for the
      report and getting back to Debian; Closes: #529660

 -- Sandro Tosi <morph@debian.org>  Sun, 24 May 2009 21:54:21 +0200

reportbug (4.2) unstable; urgency=low

  [ Sandro Tosi ]
  * reportbug/__init__.py
    - bump reportbug version
  * bin/reportbug
    - resolved regression about not being able to select ui from cli, moving the
      check for attachments existance out of the ui check code. Now all the
      attachment files are checked for existance and it won't exit at the first
      missing. Thanks to Michael Meskes, Goncalo Marrafa and Florentin Duneau
      for the reports; Closes: #525407, #524857, #526054
    - added max number of characters allowed for report subject; thanks to Hong
      Jen Yee for the report and Carl Chenet for the patch; Closes: #364626
    - decode also email address (previously only realname was) when offering
      configuration; thanks to James Vega for the report and to Carl Chenet for
      the patch: Closes: #524297
    - clarified in the warning message that reportbug.debian.org superseded
      master|bugs.d.o as smtphost; also merged the check fo the previous 2
      hosts; thanks to Goswin von Brederlow for the report; Closes: #525856
  * reportbug/utils.py
    - fixed a typo in redirecting to /dev/null when calling lsb_release; thanks
      to Carl Chenet for the report and patch; Closes: #523684
    - handle import of pwd and tempfile in a try..catch, since they are platform
      specific, so that there is a minimum of functionalities available even if
      those modules are not present; thanks to Ritesh Raj Sarraf for the report
      and patch; Closes: #523816
  * bin/querybts
    - replaced the exit messages, with a less confusing one; thanks to A Costa
      for the report and to Carl Chenet for the patch; Closes: #358555

  [ Luca Bruno ]
  * reportbug/ui/gtk2_ui.py
    - display report message in a dialog at the end, in substitution of pager
      and stdout
    - forward page when the user hits ENTER either on an entry or a menu
    - respect given order in menus
    - wrap text in menus and disable the horizontal scrollbar; partially fixes
      #521162
    - ui focus and layout improvements

  [ Y Giridhar Appaji Nag ]
  * Remove Y Giridhar Appaji Nag from Uploaders

 -- Sandro Tosi <morph@debian.org>  Fri, 01 May 2009 19:22:23 +0200

reportbug (4.1) unstable; urgency=low

  [ Sandro Tosi ]
  * reportbug/__init__.py
    - bump version
  * debian/{desktop, dirs, rules}
    - install desktop file; thanks to Fabian Greffrath for the report and file;
      Closes: #521186
  * debian/rules
    - cleanup
  * debian/{extract_version, rules}
    - parse changelog version removing any '+.*' part (to allow rebuild with
      binNMU version style); thanks to Daniel Schepler for the report;
      Closes: #522010
  * reportbug/ui/text_ui.py:
    - exit (with error) in case of locale not available; thanks Nico Schottelius
      for the report and Carl Chenet for the patch; Closes: #512506
  * bin/reportbug
    - check if all the files passed on the CLI are present, if not quitting;
      thanks to Jari Aalto for the report and Carl Chenet for the patch;
      Closes: #445443
  * reportbug/utils.py
    - correctly recognize the CPUs number on Alpha systems; thanks to Juhana
      Helovuo for the report and Carl Chenet for the patch; Closes: #512675
  * reportbug/submit.py
    - better handling of file with UTF8 name, using subprocess.Popen; thanks to
      Sam Morris for the report and Carl Chenet for the patch; Closes: #491869

  [ Luca Bruno ]
  * bin/reportbug
    - fix default when choosing for realname and email at configuration time
    - offer interface configuration on explicit configuration or when no
      interface is being specified (the used interface is set as default)
    - specify whether the get_string result can be empty or not
  * reportbug/debianbts.py
    - use ui proper functions instead of ewrite; thanks to Jan Hauke Rahm for
      the report; Closes: #521113
  * reportbug/utils.py
    - stronger check when opening files, so that it won't crash if files can't
      be read; thanks to Carl Chenet for the report and patch; Closes: #521496
  * reportbug/ui/gtk2_ui.py
    - added VTE to handle bugscripts and mutt
    - support for spell checking in the bug report editor
    - fix display_failure handling
    - make BTS query tree columns sortable
    - ui layout improvements
  * reportbug/ui/urwid_ui.py
    - fix default severity (to normal) in non-multiple menus; Closes: #496969
  * debian/control
    - added suggests for python-vte and python-gnome2-extras (for spell check)
  * debian/copyright, reportbug/ui/gtk2_ui.py
    - bump copyright years
  * man/{querybts.1, reportbug.1, reportbug.conf.5}, conf/reportbug.conf
    - update frontends list, removing newt; thanks to Raphaël Hertzog for the
      report; Closes: #522290
  * bin/querybts
    - do not try to import newt ui as default ui, since it's removed now; use
      text ui instead

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Apr 2009 14:33:23 +0200

reportbug (4.0) unstable; urgency=low

  * Uploading to unstable, since Lenny has been released
  * reportbug/__init__.py
    - updated version number
  * conf/reportbug.conf, debian/rules
    - moved reportbug.conf to conf/ dir
  * share/{handle_bugscript, presubj, reportbug.el, script}, setup.py
    - moved files installed in /usr/share/... into share/ to clean up top level
      directory
  * reportbug/test_hiermatch.py, test/test_hiermatch.py
    - removed reportbug/test_hiermatch.py, partially merget into
      test/test_hiermatch.py
  * bin/*, reportbug/*, reportbug/ui/*, debian/copyright
    - updated copyright information, in particular adding me
  * reportbug/urlutils.py
    - added a timeout of 1 minute for url retrieving; thanks to Michal Suchanek
      for the report; Closes: 516449
  * debian/{control, rules}
    - switch from python-central to python-support
  * debian/control
    - bump Standards-Version to 3.8.1 (no changes needed)
    - updated Vcs-* fields, we are now using Git
    - removed 'DM-Upload-Allowed' flag, we are all DDs now
  * bin/reportbug
    - clarified that '<host>:<port>' is the way to specify and alternative port;
      thanks to Apelete Seketeli for the report; Closes: #519452

 -- Sandro Tosi <morph@debian.org>  Tue, 24 Mar 2009 17:43:07 +0100

reportbug (3.99.1) experimental; urgency=low

  * reportbug/__init__.py
    - updated version number
  * reportbug/ui/{__init__.py,newt_ui.py}, test/test_reportbug_ui_newt.py
    - removed newt UI, since unused, broken, unmaintained
  * bin/reportbug
    - call the correct method for sign a message; thanks to Chris Taylor for the
      report; Closes: #503425
  * reportbug/submit.py
    - get_email_addr is from utils, fixed the import and the instruction
  * bin/querybts
    - replaced 'ewrite' (since not defined) with 'print'; thanks to Jiří
      Paleček for the report and Luca Bruno for the patch; Closes: #492908
  * reportbug/debianbts.py
    - added 'buildd.debian.org' pseudo package
  * reportbug/debianbts.py, bin/reportbug
    - removed 'kernel' and 'linux-image' pseudo packages, since now 'linux-2.6'
      source package is to be used, adding a warning and replacing those old
      packages with 'linux-2.6' automatically; thanks to Moritz Muehlenhoff for
      the report; Closes: #510690

 -- Sandro Tosi <morph@debian.org>  Thu, 15 Jan 2009 11:10:48 +0100

reportbug (3.99.0) experimental; urgency=low

  [ Chris Lawrence ]
  * Split off python-reportbug into a separate package.

  [ Sandro Tosi ]
  * Split off python-reportbug into a separate package
    - bin/reportbug
      + fixed VERSION and COPYRIGHT import
      + hacked the way to identify working ui
      + remove module name from some methods call, since we import selectively
        some methods only
    - setup.py
      + added reportbug.ui to packages to install UI files
    - bin/querybts
      + hacked the way to identify working ui
    - reportbug/ui/{text.py,urwid.py}
      + replaced relative imports with absolute ones
      + removed reportbug.utils import to avoid circular import (and because
        it's not needed)
    - reportbug/ui/{newt.py,text.py,urwid.py}
      + renamed to <file>_ui.py because from <file>.py you cannot import <file>
        (urwid UI had this problem)
    - reportbug/{submit.py,utils.py}, bin/{querybts,reportbug}
      + fixed for ui file rename
    - reportbug/{utils.py,ui/__init__.py}
      + moved UIs list to ui.__init__, where it belongs; Closes: #497024
    - bin/{querybts,reportbug}
      - changed for new UIs list location
  * reportbug/debianbts.py
    - added buildd.emdebian.org and debian-i18n pseudo-packages
  * man/{querybts.1,reportbug.1,reportbug.conf.5}
    - added UI information; thanks to Luca Bruno's patch
  * checks/compare_pseudo-pkgs_lists.py
    - updated location of canonical pseudo-packages list from ftpmaster to
      bugs.d.o; thanks to Josip Rodin for the patch; Closes: #498663
  * doc/README.*, debian/docs
    - moved README.* files under doc/ dir
  * TODO
    - updated
  * debian/control
    - updated my email address
  * debian/source.lintian-overrides
    - added to override the warning about po4a wrong build-dep (we need it
      because it's used in clean debian/rules target)

  * Added GTK+ UI
    [ Luca Bruno ]
    - reportbug/ui/gtk2_ui.py
      + GTK+ interface

    [ Sandro Tosi ]
    - debian/control
      + added python-gtk2 to suggests
    - debian/copyright
      + added gtk2 ui copyright
    - debian/{control.greportbug,greportbug.menu}
      + removed since no more needed
    - debian/menu
      + added entry for GTK+ ui

 -- Sandro Tosi <morph@debian.org>  Thu, 23 Oct 2008 16:04:28 +0200

reportbug (3.48) unstable; urgency=low

  [ Don Armstrong ]
  * Patch to use reportbug.debian.org MX instead of bugs.debian.org; in the same
    change, we set port to 587 for reportbug.d.o to avoid ISP filtering 25 port;
    Closes: #508659

  [ Sandro Tosi ]
  * debian/NEWS
    - added an entry to explain the changes in this version

 -- Sandro Tosi <morph@debian.org>  Sun, 14 Dec 2008 15:39:20 +0100

reportbug (3.47) unstable; urgency=low

  * reportbuglib/reportbug_ui_text.py
    - added filter for bugs reports, removing all the additional info not
      needed; thanks to Ryo Igarashi for the report; Closes: #504424

 -- Sandro Tosi <morph@debian.org>  Wed, 12 Nov 2008 16:28:40 +0100

reportbug (3.46) unstable; urgency=low

  * debian/control
    - updated my email address
  * reportbuglib/reportbug_ui_text.py
    - convert BTS output from UTF-8 to local encoding; thanks to Mark Hobley,
      Gregor Herrmann and Klaus Ethgen for the bug reports and to Vincent
      Fourmond for the patch; Closes: #497641, #496159, #504005

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Nov 2008 12:54:33 +0100

reportbug (3.45) unstable; urgency=low

  * reportbuglib/reportbug_ui_urwid.py
    - added get_password function; thanks to Torsten Wiebke and Jan Muszynski
      for the reports; Closes: #494509, #491328
  * reportbuglib/debianbts.py
    - added removal of cruft from BTS parsed page; thanks to Davide Prina, Dan
      Greene and Paul Menzel for the reports; Closes: #494545, #495018, #495050

 -- Sandro Tosi <matrixhasu@gmail.com>  Sat, 16 Aug 2008 15:20:38 +0200

reportbug (3.44) unstable; urgency=medium

  [ Chris Lawrence ]
  * reportbug
    + Yet another character set issue fix.  (Closes: #492240)

  [ Sandro Tosi ]
  * debian/control
    - changed build-dep-indep from python-dev to python
    - bump required Python version to >= 2.5; thanks to Gilles Sadowski for
      the report; Closes: #492490 (RC bug, hence urgency set to medium)

 -- Sandro Tosi <matrixhasu@gmail.com>  Sat, 26 Jul 2008 19:17:44 +0200

reportbug (3.43) unstable; urgency=medium

  [ Ben Finney ]
  * reportbuglib/reportbug_ui_urwid.py
    + Ensure 'spawn_editor' is available for 'urwid' interface
      (closes: #488928).

  [ Sandro Tosi ]
  * reportbuglib/reportbug.py, reportbug
    - reports status of suggested packages; thanks to Ari Pollak for the
      report; Closes: #441056
  * reportbug
    - fixed packages list generation for a file search if run not in a tty (or
      via --template); thanks to Dan Jacobson for the report; Closes: #489515
    - for serious bugs, clearly states that "unknown" section downgrades to
      normal; thanks to Michael Meskes for the report; Closes: #362947
    - --template now includes "Package-specific info"; thanks to Marc Haber
      for the report; Closes: #396899
  * reportbuglib/reportbug.py
    - show system information only if the bug is not against wnpp; thanks to
      Francois Marier for the report; Closes: #448806
    - reinforce that RM bugs for testing are for testing only; thanks to
      Adeodato Simó for the report; Closes: #491013
  * README.Users
    - added how to usertag a bug at submit-time
  * TODO
    - removed CVS location (outdated and now supported with Vcs-Svn in
      debian/control)
    - removed item for migration to python-btsutils, filed a bug instead:
      #490548
  * debian/copyright
    - shortened Format-Specification, removing the GET parameter on the URL
      (lintian warning)

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 17 Jul 2008 20:19:34 +0200

reportbug (3.42) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - bump Standards-Version to 3.8.0 (no changes needed)
  * checks/compare_pseudo-pkgs_lists.py
    - updated ftp-master url (previous was on brz, but ftp-master moved to
      git and there is no web file access)
  * reportbug
    - do not ask for additional tags if the user is filing a bug against
      ftp.debian.org; thanks to Bernd Zeimetz for the report; Closes: #486753
    - all fields of ITP bugs must contain valid data and not template lines;
      thanks to Adeodato Simó for the bug report; Closes: #293361
  * README.Users
    - added to contain suggestions or some info helpful to users
  * checks/compare_pseudo-pkgs_lists.py
    - updated due to new reportbuglib format

  [ Sandro Tosi, Ben Finney ]
  * reportbug
    - Changed shebang to Debian standard "/usr/bin/python", removing "-S"
      parameter. Now urwid is imported; thanks to Neil Mayhew for the hint.
      (Closes: #484534)

  [ Ben Finney ]
  * reportbug
  * querybts
  * script
    - Standardise all Python programs to same shebang line as per Debian
      Python policy §1.3.2.
  * reportbug_submit.py
  * checks/compare_pseudo-pkgs_lists.py
    - Remove shebang line from non-executable modules.
  * Tidy up imports.
    - reportbug, querybts, *.py
      - Remove redundant imports.
      - Import names explicitly.
      - Use '__import__' for importing dynamically-named modules,
        instead of 'exec' + 'eval'.
    - reportbug_submit.py
      - Don't munge sys.path unnecessarily.
    - test/*.py
      - Ensure programs and modules don't cause ImportError.
  * Move library modules to new 'reportbuglib' Python package.
  * debian/rules
    - Install library modules from current location.

 -- Sandro Tosi <matrixhasu@gmail.com>  Mon, 30 Jun 2008 00:39:27 +0200

reportbug (3.41) unstable; urgency=high

  [ Sandro Tosi ]
  * Security bugfix release, hence urgency is set to high
  * querybts, reportbug_submit.py
    - os.curdir is not added to sys.path anymore, thanks to Thomas Arendsen
      Hein <thomas@intevation.de> for the report; Fixes: CVE-2008-2230;
      Closes: #484311

  [ Chris Lawrence ]
  * debian/control
    - Added self to Uploaders
    - Set Maintainer to new list on alioth.

  [ Y Giridhar Appaji Nag ]
  * debianbts.py
    - Remove kde, ximian (and helixcode) and mandriva, they use bugzilla
    - Remove grml, they use roundup
  * --body-file doesn't allow preview of report, don't suggest using it with
    saved files.  Thanks Shai Berger <shai@platonix.com> for the bug report
    (Closes: #484245)
  * remove calls to sys.path.append('/usr/share/reportbug') from reportbug

 -- Sandro Tosi <matrixhasu@gmail.com>  Wed, 04 Jun 2008 18:07:23 +0200

reportbug (3.40) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - added Giridhar and me to Uploaders
    - added "DM-Upload-Allowed: yes"
    - bump Standards-Version to 3.7.3
    - moved python-central to Build-Depends-Indep and version bump to >= 0.5.14
    - updated Conflicts with python-central version lower than 0.5.13 (Closes:
      #418166)
    - added Vcs-{Svn,Browser} fields
    - added Homepage field
  * debian/copyright
    - clear separation of author, copyright and license notices
  * debian/menu
    - section updated to "Applications/System/Administration"
  * debian/rules
    - removed export DH_COMPAT
    - now using binary-indep since it's and arch: all package
    - doesn't remove 'test' dir anymore, since now it's used for unittests
      files
  * debian/compat
    - added with value = 5
  * reportbug.conf.5, po4a/add_fr/{reportbug.add,querybts.add}
    - escaped minus sign to be an hyphen
  * reportbug.ja.1
    - fixed some formatting errors
  * debianbts.py
    - added 'nm.debian.org' pseudo-package, Giridhar's patch (Closes: #478414)
    - removed Gnome BTS from bugs forward; Giridhar's patch (Closes: #439351)
    - removed [cruft-report] option from ftp.debian.org RM template;
      Giridhar's patch (Closes: #474970)
    - reintroduced 'kernel' pseudo-package, but just to fall back to
      'linux-image' (Closes: #423197)
    - added 'wiki.debian.org', 'release.debian.org' and 'spam' pseudo-packages
  * reportbug.py
    - uses dpkg when dlocate can't find the package's file (Closes: #429824,
      #422369, #322983, #408834)
  * reportbug.el
    - applied patch to let Gnus work; thanks to Håkon Stordahl for it (Closes:
      #227153)
  * reportbug
    - explained how to reuse a saved file (generated by not submitting a bug
      report); (Closes: #328531)
    - (get_other_package_name) even if 'kernel' pseudo-package is chosen, we
      will default on 'linux-image'
    - cleared that the summary will be used for bug subject; thanks to Bart
      Massey <bart@cs.pdx.edu> for the report (Closes: #426942)
  * reportbug.1
    - fixed a little typo in "-i FILE, --include=FILE" options, as suggested
      in #328531
    - reordered "REPORTBUGEMAIL, DEBEMAIL, EMAIL" to match selection order;
      thanks to Jari Aalto <jari.aalto@cante.net> for report and (partial)
      patch; (Closes: #472296)
  * checks/compare_pseudo-pkgs_lists.py
    - added to compare local pseudo-packages list with the one on ftp-master
  * Makefile
    - added "checks" target to run scripts under "checks/" dir

  [ Ben Finney ]
  * Makefile, */module.mk
    - Begin a modular makefile structure for package development and build
      tasks
  * test/*
    - Begin unit test suite
    - Add make target so 'make test' runs the unit test suite
  * debian/control
    - Build-Depends-Indep on 'python-nose' for the unit test suite
  * debian/copyright
    - Convert to machine-parseable format.
  * README.developers
    - Describe new unit test suite capabilities
    - Describe new makefile targets 'test', 'test-continuous', 'coverage',
      'pyflakes', 'pylint'
  * reportbug
    - Remove ancient workaround for 'import site' (originally introduced
      for bug #290043), no longer needed in any supported Python version.
    - Clean up temp file always during mail message generation
      (closes: #340560).
  * debianbts.py
    - Put ITP template in named module attribute for access elsewhere.

  [ Y Giridhar Appaji Nag ]
  * Use singular they instead of he/she.  Thanks Adeodato Simó
    <dato@net.com.org.es> (Closes: #458356)
  * Add security-tracker to the list of pseudo-packages, re-org the list to be
    in alphabetical order (like it was earlier).
  * Updated French manpage, thanks Sylvain Cherrier <sylvain.cherrier@free.fr>
    (Closes: #481775)
  * Specified local path for GPL license
  * Change help text for 'q' and 'n' in the final step after exiting the
    editor.  Retain both options in the interest of making minimal changes to
    existing UI (Closes: #483063)
  * Specified the license for files under checks/ dir

 -- Sandro Tosi <matrixhasu@gmail.com>  Tue, 27 May 2008 23:41:21 +0200

reportbug (3.39-0.1) unstable; urgency=low

  * Non-maintainer upload
  * Add templates for ftp.debian.org removal (RM) requests (Closes: #459333)
  * Add a -P option to allow setting pseudo-headers, useful for setting
    usertags.  Thanks Lucas Nussbaum <lucas@lucas-nussbaum.net> for the patch
    (Closes: #445144)
  * Raise an error and indicate to the user in case of any network errors
    (Closes: #302103)
  * CC: secure-testing-team@lists.alioth.debian.org when a security issue is
    reported (Closes: #448874)
  * Indicate that in mode > standard incoming and NEW are also checked with
    --check-available (Closes: #450523, #447380)

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Sat, 22 Mar 2008 15:33:23 +0530

reportbug (3.39) unstable; urgency=low

  * Add man page for reportbug.conf, thanks to Y Giridhar Appaji Nag.
    (Closes: #437473)
  * Cope (hopefully) with non-ASCII realnames in .reportbugrc when
    reportbug --help is invoked.  (Closes: #434011, #432505)
  * Get rid of duplicate listings for uninstalled packages due to multiple
    appearances in the available file.  (Closes: #424433, 427660)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 16 Aug 2007 17:40:08 -0500

reportbug (3.38) unstable; urgency=low

  * Use apt-cache showsrc and apt-cache show to eliminate churns of the
    available database.  (Closes: #414487)
  * Another Unicode cleanup in offer_configuration().  (Closes: #421613)
  * Conflict with broken version of python-central.  (Closes: #418166)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 11 May 2007 21:00:36 -0500

reportbug (3.37) unstable; urgency=low

  * More Unicode cleanups (Closes: #420038)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 19 Apr 2007 13:21:39 -0500

reportbug (3.36) unstable; urgency=low

  * Fix urwid select_multiple() call to return an empty list when cancel
    is selected.  (Closes: #418411)
  * Allow submitting additional information in queryonly mode.
    (Closes: #265014)
  * Clear the pipe from apt-cache dumpavail before shutting it down.
    (Closes: #418209)
  * Don't crash when in newt UI and browsing bugs that are fixed.
    (Closes: #419275)
  * Update display_message() for Urwid 0.9.8; conflict with previous
    versions which will no longer work.  (Closes: #419469)
  * Remove os.curdir from sys.path.  (Closes: #419466)
  * Unicode cleanups with wnpp Owner: header handling.  (Closes: #407122)
  * Update the pseudo-packages list.  (Closes: #418759).  Note that reportbug
    uses 'linux-image' instead of 'kernel' since the former will resolve using
    virtual packages to the user's installed kernel (or a choice thereof),
    providing more accurate reports than simply falling into the 'kernel'
    bucket.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 17 Apr 2007 15:19:16 -0500

reportbug (3.35) unstable; urgency=low

  * Include # of cores for SMP kernels in system information section.
    (Closes: #417383)
  * More dumpavail cleanups.  (Closes: #418209)

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  2 Apr 2007 11:14:49 -0500

reportbug (3.34.2) unstable; urgency=high

  * Test if the realname is a str or unicode before trying to decode it.
    (Closes: #416883)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 31 Mar 2007 21:25:05 -0500

reportbug (3.34.1) unstable; urgency=high

  * Decode non-ASCII characters in .reportbugrc rather than trying to
    encode them.  (Closes: #416518)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 28 Mar 2007 11:11:46 -0500

reportbug (3.34) unstable; urgency=low

  * The "why can't I make Python assume the user is sane and using UTF-8
    instead of 7-bit ASCII" release?
  * Fix check for nonexistent/bogus package names.  (Closes: #407587)
  * Avoid crash with Unicode maintainer names.  (Closes: #409445)
  * Avoid crash with Unicode crap in debconf output.  (Closes: #386659)
  * Fiddle with more Unicode crap in hopes of avoiding crashes.
    (Closes: #407133)
  * Use fancy iterator to avoid caching apt-cache dumpavail and the status
    database.  Downside: more disk thrashing.  Upside: less memory used.
    (Closes: #404249)
  * Urwid UI patches: fix wide buttons and add question marks to yes/no
    prompts.  Thanks to Rafael Laboissiere.  (Closes: #415339, #415340)
  * Kudos go to packages.debian.org directly if smtphost is set to
    bugs.debian.org; we also send all kudos to package@p.d.o.
    (Closes: #412766)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 19 Mar 2007 17:14:06 -0500

reportbug (3.33) unstable; urgency=low

  * Fix French translation of man page.  (Closes: #404900)
  * Use text interface password input in urwid interface.
    (Closes: #398420)
  * Disable mouse reporting in urwid interface.  (Closes: #390465, #394477)
  * Don't check available version for configured but not installed packages.
    (Closes: #406150)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 14 Jan 2007 14:48:28 -0600

reportbug (3.32) unstable; urgency=low

  * Remove recommendations of python-{cjkcodecs,iconvcodec}.
    (Closes: #401870)
  * Encode unicode strings before output in text interface's ewrite()
    function.  (Closes: #404165)
  * More unicode fixups.  (Closes: #397357, #403385)
  * Fix typo in help message.  (Closes: #397983)
  * Bail out immediately if no subject specified in a followup.
    (Closes: #403668)
  * Update French man page.  (Closes: #400276)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 23 Dec 2006 00:44:51 -0600

reportbug (3.31) unstable; urgency=low

  * Add po4a support for translating man pages.  (Closes: #392458)
  * More ehlo/helo madness.
  * Change default for get_string() in the urwid interface to ''.
    (Closes: #392608)
  * Add BIG CAPS WARNINGS to the reportbug presubj about the new default
    behavior of exim4.  (Closes: #392609)
  * Warn user that email addresses may be harvested by spambots in
    offer_configuration().
  * Remove bogus documentation that '-v' == '--version' in reportbug(1).
    (Closes: #397204)
  * Don't crash if package-specific info is non-UTF-8.
    (Closes: #393657, #397206)
  * Suggest python-urwid.  (Closes: #394579)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  5 Nov 2006 17:31:45 -0600

reportbug (3.30) unstable; urgency=low

  * Put bugs that are fixed in subsequent releases at the top of the bug
    browser; this should hopefully reduce the incidence of duplicate
    reports.  (Note that some bugs that are closed may appear at the top
    due to known problems in debbugs.)
  * Don't allow tab-expansion of the realname in offer_configuration(); this
    should resolve the encoding issues that some people have been bumping
    into.
  * When some recipients are refused, inform the user and dump the report
    in a temporary file.  (Closes: #387691)
  * Bypass vi nag when $EDITOR is set.  (Closes: #388437)
  * Add an extra EHLO when doing STARTTLS, since (contrary to the smtplib
    documentation) smtplib seems to need it.  (Closes: #3226523)
  * Fix crash when bugtitle lacks a colon.  (Closes: #389259)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 28 Sep 2006 21:16:38 -0500

reportbug (3.29.5) unstable; urgency=low

  * Fix missing parenthesis in offer_configuration.  (Closes: #386737)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 10 Sep 2006 13:53:12 -0500

reportbug (3.29.4) unstable; urgency=low

  * Fixup handling of "any_ok" dialogs in urwid interface.
    (Closes: #385810)
  * Handle non-ASCII encodings better in offer_configuration().
    (Closes: #385597)
  * Also handle them better when dealing with the editor.
    (Closes: #386463)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  3 Sep 2006 19:21:48 -0500

reportbug (3.29.3) unstable; urgency=low

  * Fix crash when the maintainer field is unavailable.  (Closes: #384778)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 26 Aug 2006 11:37:17 -0500

reportbug (3.29.2) unstable; urgency=medium

  * Fallback gracefully when the selected UI can't be imported.
    (Closes: #384648)
  * Fix split in reportbug_ui_urwid.  (Closes: #384617)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 25 Aug 2006 21:05:19 -0500

reportbug (3.29.1) unstable; urgency=low

  * Fix crashes when maintainer name is UTF-8 encoded.
    (Closes: #384423, #384547)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 24 Aug 2006 20:17:42 -0500

reportbug (3.29) unstable; urgency=low

  * Send the version header in BTS queries.
  * Include version in which closed bugs were fixed in the bug listing.
  * Handle bug reports that don't exist (like #2).  (Closes: #376245)
  * Fix ewrite() failure when % in message but no arguments.
    (Closes: #384167)
  * Improvements to character set handling: available and status
    information are assumed to be in UTF-8; avoid crashes with weird
    characters in realname.  (Closes: #337276)
  * If an Origin header is detected, ensure that the proper system
    information is looked up for filing the bug report.  (Closes: #341618)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 22 Aug 2006 13:45:04 -0500

reportbug (3.28) unstable; urgency=low

  * Actually search sys.path for available UIs.  (Closes: #383665)
  * The urwid interface is mostly functional in this release; feel free
    to test it.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 18 Aug 2006 17:02:08 -0500

reportbug (3.27) unstable; urgency=medium

  * Fix string formatting bug in the SMTP username prompt in
    offer_configuration().  (Closes: #383583)
  * Ask the user if the bug still exists in that version to avoid
    automatically reopening reports.  (Closes: #383503)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 18 Aug 2006 11:04:23 -0500

reportbug (3.26) unstable; urgency=medium

  * The "don't be more clever than the patch-writer" release.
  * Instead of importing uis, search sys.path for them.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 16 Aug 2006 21:14:39 -0500

reportbug (3.25) unstable; urgency=low

  * Remove superfluous postinst and prerm scripts; python-central takes
    care of this now.  (Closes: #383024)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 14 Aug 2006 16:41:47 -0500

reportbug (3.24) unstable; urgency=low

  * Apply updated patch from Phillip Kern to work with the GNOME interface
    (which should appear in experimental soon).

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 13 Aug 2006 10:17:27 -0500

reportbug (3.23) unstable; urgency=medium

  * Fix reportbug_ui_text.get_multiline().  (Closes: #382486)
  * Document that handling scripts must use #!/bin/bash to use getkey and
    yesno--this has always been the case since the days of bug, but never was
    documented anywhere.  (Closes: #294954)
  * Document pseudo-packages (and how to see the list recognized by
    reportbug) in reportbug(1).  (Closes: #379919)
  * Request a version number if reporting a bug against a source package.
    (Closes: #330339)
  * Call ehlo() after starttls(), as the smtplib documentation says we should.
    (Closes: #322523)
  * If a smtphost is specified in offer_configuration, ask for smtpuser.
    (Closes: #295997)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 11 Aug 2006 18:16:50 -0500

reportbug (3.22) unstable; urgency=low

  * Apply patches from Philipp Kern to provide better hooks for the GNOME
    interface.
  * Update for Python transition.  (Closes: #380934)
  * Now works with Python 2.4.  (Closes: #341974)

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  9 Aug 2006 21:36:43 -0500

reportbug (3.21.2) unstable; urgency=low

  * Fix SMTP retry code not to loop forever.  (Closes: #371095)

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  7 Jun 2006 12:54:04 -0400

reportbug (3.21.1) unstable; urgency=low

  * The "test patches before releasing" release.
  * Fix SMTP retry code to actually work.  (Closes: #370593)

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  5 Jun 2006 20:33:43 -0400

reportbug (3.21) unstable; urgency=low

  * Parse the NEW queue for new packages; patch from Bastian Kleineidam.
    (Closes: #370443)
  * Avoid metapackage bug reporting crash.  (Closes: #345699, #345402)
  * Retry if SMTP password fails; patch from Adam Porter.
    (Closes: #318787)
  * Improve "Kernel" line on kFreeBSD, Hurd.  (Closes: #264042)

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  5 Jun 2006 08:57:00 -0400

reportbug (3.20) unstable; urgency=low

  * Remove the experimental tag.  (Closes: #360662)
  * Autotagging experimental is thus silly.  (Closes: #229579)
  * Fix spelling of "overridden" in reportbug(1).  (Closes: #360839)
  * Fix matching of "i386" to architectures in checkversions.py.
    (Closes: #361359, #361641)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  9 Apr 2006 12:34:44 -0400

reportbug (3.19) unstable; urgency=low

  * Include --tag=patch example in man page.  (Closes: #355821)
  * Include programming language in WNPP template.  (Closes: #328415)
  * Fix checkversions.py to actually work; it's been broken for a while,
    apparently.

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  2 Apr 2006 01:15:42 -0500

reportbug (3.18) unstable; urgency=high

  * The "take this job and shove it" release.
  * Update smtphost setting for bug reporting.  reportbug now generates
    .reportbugrc files with 'bugs.debian.org' as the smtphost, and noisily
    overrides any 'master.debian.org' settings it sees.  (Closes: #338900)
  * s/kernel-image/linux-image/ (Closes: #336871)
  * Generate a Message-ID for every message sent by reportbug.
    (Closes: #341325)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 29 Nov 2005 23:29:24 -0500

reportbug (3.17) unstable; urgency=low

  * Validate package names.  Patch from Brett Smith.  (Closes: #325356)
  * Update parsing of BTS summary pages to omit "Summary" and "Options"
    headers.  (Closes: #325024, #324660)
  * Add security tag to critical/grave reports with security justifications,
    and X-Debbugs-CC security-tagged reports to team@security.debian.org.
    (Closes: #323374)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 27 Aug 2005 22:38:17 -0400

reportbug (3.16) unstable; urgency=low

  * The "widows and orphans" release (aka hopefully the last release
    before I start hacking on reportbug 4).
  * Use mbox format when accessing the Debian BTS.  This will hopefully
    avoid breakage due to presentation changes--at least for report pages;
    summary pages are a different story.  (Closes: #322720 et al.)
    You will now see relevant mails to the control@b.d.o address too.
  * Don't store realname/email unless non-default on config run.
    (Closes: #324341)
  * Fix typo in orphaned-package message.  (Closes: #324006, #323070)
  * Fix WNPP reporting for orphaning packages.  (Closes: #323801)
  * vi nag now includes how to disable it.  (Closes: #322852)
  * Better handling for the case where $HOME doesn't exist during a
    config run.  (Closes: #323595)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 22 Aug 2005 01:57:31 -0400

reportbug (3.15) unstable; urgency=low

  * Initialize recommends, so -V works again.  (Closes: #314715)
  * Improve wording of part of README.developers.  (Closes: #313418)
  * Don't execute bug scripts if --template is specified, since they may
    be interactive.  (Closes: #314695)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 19 Jun 2005 22:32:54 -0500

reportbug (3.14) unstable; urgency=low

  * Fix package-status inclusion.  (Closes: #313421)
  * Recognize Ubuntu-origin entries in apt-cache policy output.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 16 Jun 2005 16:42:21 -0500

reportbug (3.13) unstable; urgency=low

  * Fix redirects in urlutils under Python 2.4.  (Closes: #309671)
  * Really quit when using 'q' at editor prompt.  (Closes: #299425, #313516)
  * Skip vi nag if in template mode.  (Closes: #309717)
  * Fix grammar in "specify bug by number" message in querybts.
    (Closes: #310723)
  * Fix crash when bug control file contains both submit-as and
    report-with lines.  (Closes: #313403)
  * Include status for recommended packages as well.  (Closes: #310856)
  * Add support for including status of packages that aren't dependencies.
    (Closes: #313421)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 14 Jun 2005 14:47:22 -0500

reportbug (3.12) unstable; urgency=low

  * Really install French man page.  (Closes: #297998)
  * Add Japanese man page, from Ippei Tamura.  (Closes: #306955)
  * Fix typo in querybts man page.  (Closes: #306370)
  * Include /bin/sh symlink's target.  (Closes: #296421)
  * Send presubj messages through the pager.  (Closes: #294697)
  * Add upgrade-reports pseudo package.  (Closes: #294822)
  * Add 'q' to the editor prompt.  (Closes: #299425)
  * Use dlocate if available instead of dpkg --search.  (Closes: #289228)
  * Nag novice users if they use vi.  (Closes: #299172)
  * When calling an MTA, separate addresses with spaces rather than
    commas.  (Closes: #308293, #308543)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 10 May 2005 17:24:01 -0500

reportbug (3.11) unstable; urgency=low

  * Fix UnboundLocalError introduced in fix for 306343. (Closes: #306518)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 27 Apr 2005 01:37:00 -0500

reportbug (3.10) unstable; urgency=low

  * Suppress package-provided information if --no-config-files is
    specified.  (Closes: #306343)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 25 Apr 2005 22:33:24 -0500

reportbug (3.9) unstable; urgency=medium

  * Respect Bccs when using MTAs and MUAs; note that broken MUAs may fail
    to suppress the Bcc field when they send, and that's not my
    problem--blame the MUA author.  However, this code works around broken
    MTAs.  Note that smtphost behavior was correct in 3.8.
    (Closes: #298919, #297452)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 20 Mar 2005 18:10:35 -0600

reportbug (3.8) unstable; urgency=medium

  * Create .reportbugrc with mode 600.  (Closes: #295407)
  * Drop references to bug(1) from man page.  (Closes: #293188)
  * Don't send Bcc field in messages to any external programs.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 15 Feb 2005 11:50:53 -0600

reportbug (3.7.1) unstable; urgency=low

  * Import sys call was forgotten in fix for #292340.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 27 Jan 2005 08:01:06 -0600

reportbug (3.7) unstable; urgency=low

  * Actually exit when user decides to abort after network connection is
    not detected.  (Closes: #292348)
  * Better error message (than traceback) when user supplies invalid
    $http_proxy.  (Closes: #292340)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 26 Jan 2005 19:58:59 -0600

reportbug (3.6) unstable; urgency=low

  * Add support for owner tags in WNPP bugs.  (Closes: #288268)
  * Trap IOError in call to pager.  (Closes: #289331)
  * Always issue presubj message, even if -s specified.  (Closes: #289516)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 19 Jan 2005 22:56:02 -0600

reportbug (3.5) unstable; urgency=low

  * Fix line endings in reportbug.conf inclusion code.
  * Allow reporting bugs on dummy/dependency packages with single
    dependencies in advanced and expert modes.  (Closes: #286159)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 17 Dec 2004 22:00:56 -0600

reportbug (3.4) unstable; urgency=low

  * Parse 'lsb_release -si' to decide what BTS to use if nothing else fits;
    any Origin or Bugs information in the control file will be obeyed first.
    (This should be the final bit needed for transparent Ubuntu support.)
  * Fix options.bts bug introduced in fixing #283035.  (Closes: #284811)
  * reportbug.conf was fixed in 3.3.  (Closes: #284692)

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  8 Dec 2004 19:38:17 -0600

reportbug (3.3) unstable; urgency=low

  * Correct option name for SMTP password in reportbug.conf.
    (Closes: #284277)
  * Omit smtppasswd value from reportbug.conf included in bug reports
    filed against reportbug.  (Closes: #284391)
  * Check attachments at prompt for readability and "fileness".
    (Closes: #284528, #283148)
  * Update patter to indicate that bug acks may take longer than a "few
    minutes" to appear.  (Closes: #283644)
  * Add French manual page.  (Closes: #281505)
  * Add support for 'reportbug other'.  (Closes: #283035)

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  7 Dec 2004 05:41:55 -0600

reportbug (3.2) unstable; urgency=low

  * Apply patch from Ian Wienand to improve the failure mode when an
    attachment can't be included in the outgoing message.
    (Closes: #226729, #265112)
  * Fix another corner case where version numbers were being assumed for
    uninstalled packages (although I can't completely confirm it fixes the
    problem reported since the submitter foolishly removed the name of the
    package that he had a problem with from his report).
    (Closes: #279917)

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  8 Nov 2004 02:22:05 -0600

reportbug (3.1) unstable; urgency=low

  * Trap message send failure in the pipe.write() call.  (Closes: #277870)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 24 Oct 2004 13:37:40 -0500

reportbug (3.0) unstable; urgency=low

  * Apply locale information patch from Adeodato Simo.  (Closes: #277445)
  * Prompt again for package version of uninstalled packages; this was an
    unintentional bug.  (Closes: #276961)
  * Clarify that the filter option is also a search option in the help.
    (Closes: #277745)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 22 Oct 2004 06:18:29 -0500

reportbug (2.99.6) unstable; urgency=low

  * Initialize src_name.  (Closes: #276260)
  * Use from address instead of to address when calling sendmail -f.
    (Closes: #275925)
  * Fix package/filename search bug.  (Closes: #275677, #276222)
  * Show the NEWBIELINE in standard mode.  (Closes: #275695)
  * Revise SMTP server prompt yet again.  (Closes: #275576)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 14 Oct 2004 21:44:59 -0500

reportbug (2.99.5) unstable; urgency=low

  * Use source package name to query BTS when querying on source.
    (Closes: #273209)
  * Ensure shell parameters are escaped by calling commands.mkarg().
    (Closes: #272897)
  * Search for "all" architecture in addition to machine architecture at
    packages.debian.org.  Thanks to Wolfgang Rohdewald for the patch.
    (Closes: #274189, #271552)
  * Document SMTP options in reportbug.conf.  (Closes: #274280)
  * Don't check packages.debian.org if options.bts is set to something
    other than "debian".
  * Incorporate applicable changes in 2.62ubuntu1 to this tree.

    (Main advantage: --bts=ubuntu works now.  If someone will kindly tell
    me an easy way to tell a Ubuntu system from a Debian one, I will
    incorporate code to eliminate the need for the forked package.  Same
    goes for any other Debian fork, BTW...)

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  1 Oct 2004 03:23:05 -0500

reportbug (2.99.4) unstable; urgency=low

  * Add "paranoid" mode; shows the exact message that will be sent via
    SMTP before it happens.  Also include a bit more chatter to clarify
    how messages are being sent.  (Closes: #272306)
  * Include additional arguments in BTS query string to suppress the
    headers and footers, in case a proxy (e.g. Privoxy) rewrites the
    User-Agent header.  (Closes: #226491)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 19 Sep 2004 19:46:37 -0500

reportbug (2.99.3) unstable; urgency=low

  * Move back to uploading to unstable, since any updates to sarge would
    go through testing-proposed-updates.
  * Use from address as envelope sender when using an MTA.
    (Closes: #270333)
  * Include package name and date in all temporary file names.
    (Closes: #270583)
  * Document the removal of the severity-inflation code.
    (Closes: #271067)
  * Add quit possibility to all "yes/no" prompts.  (Closes: #271073)
  * Fix wording of SMTP server information prompt.  (Closes: #270078)
  * Add example X-Debbugs-No-Ack header to reportbug.conf.
    (Closes: #271316)
  * Add X-Debbugs-CC prompting with mode >= Advanced.  (Closes: #271135)
  * Add HTTPBasicAuth and HTTPDigestAuth support in urlutils.py.
    Patch from Bastian Kleineidam. (Closes: #269322)
  * Change "pithy" to "concise" in the subject prompt.  (Closes: #267907)
  * Improve ITP/RFP package found prompt.  (Closes: #267800)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 12 Sep 2004 21:19:04 -0500

reportbug (2.99.2) experimental; urgency=low

  * Fix problem where a package with no dependencies, if in the
    Report-With list for a package, would pull in version info of
    everything installed on your system.  (Closes: #264466)
  * Warn that --gpg/--pgp is ignored in MUA and printonly modes.

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  8 Aug 2004 21:23:10 -0400

reportbug (2.99.1) experimental; urgency=low

  * Fix stupid typos.  (Closes: #263459, #263460)

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  4 Aug 2004 17:54:48 -0400

reportbug (2.99.0) experimental; urgency=low

  * Upload to experimental since sarge is now frozen for base packages
    (and there may be a need for a future RC upload).
  * Fix redirection problem in handle_bugscript that emerged due to bash
    3.0.  (Closes: #262557)
  * Add support for "RFH" in the WNPP codepath.  (Closes: #262593)
    Per discussion on debian-devel, a X-Debbugs-CC header will be included
    to debian-devel for these posts.
  * Use dh_installman in rules file instead of dh_installmanpages.

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  2 Aug 2004 17:18:20 -0400

reportbug (2.64) unstable; urgency=low

  * Fix incorrect detection of some uninstalled binaries as source
    packages.  (Closes: #259001)
  * Fix incorrect attachment/inclusion filenames leading to spawning the
    editor.  (Closes: #259463)
  * If signing fails, don't bail out; instead, send the message unsigned.
    (Closes: #259649)
  * Hide the security tag with severities < grave.  (Closes: #258333)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 28 Jul 2004 20:28:24 -0400

reportbug (2.63) unstable; urgency=low

  * Refactor email and signing code into a separate module.  Thanks to Ha
    Shao for doing most of the work.
  * Submit-As headers are now treated as a special case of Report-With.
    (Closes: #257546)
  * reportbug_ui_text.ewrite() now flushes output.  (Closes: #257534)
  * Make things more POSIXly-sound.  (Closes: #256101)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  4 Jul 2004 07:54:29 -0500

reportbug (2.62) unstable; urgency=low

  * Cope better with Origin fields in Packages file, since there seem to
    be a lot more coming through now.  (Closes: #255754)
  * Remove severity-inflation reduction code in novice mode; it was too
    confusing, apparently.  Maybe reportbug should just refuse to run in
    novice mode... (Closes: #254327, #255479)
  * Don't include severity info or other cruft in bug followups.
    (Closes: #255550)
  * Hide sid tag, as it's not generally useful for end users.
    (Closes: #252275)
  * keyid was left out of CONFIG_ARGS accidentally.  (Closes: #255044)
  * Just because debsums can't read a file doesn't stop reportbug from
    working (unless you tell it to stop).  (Closes: #250397)
  * Fix undefined locals when --package-version is used.  (Closes: #254818)
  * Barf if no subject is found after calling the editor.
    (Closes: #254687)
  * Fix choose mailer menu.  (Closes: #253003)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 22 Jun 2004 17:53:43 -0500

reportbug (2.61) unstable; urgency=low

  * Add support for the "report-with" header in bug control files.  Thanks
    to Chris Halls and Andrew McMillan for the idea and implementation.
    (Closes: #251327)
  * Convert README.developers to Unicode UTF-8.
  * Convert maintainer fields from UTF-8 to local character set.
    (Closes: #244478)
  * Remove "bts debian" setting from reportbug.conf.
  * Clarify "will send report to X" chat.  (Closes: #247773)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 28 May 2004 23:29:39 -0500

reportbug (2.60) unstable; urgency=high

  * Properly set installed flag when reporting bugs on source packages.
    (Closes: #250186)
  * Changed -d so it now mails bug reports to the detected from address,
    rather than me.
  * Bumped priority so this should get into testing before the
    new Python hits testing (see #249084).

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 21 May 2004 05:43:55 -0500

reportbug (2.59) unstable; urgency=low

  * Replace some substring indexing with .endswith() calls.  This should
    fix problems with the latest Python release.  (Closes: #249084)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 14 May 2004 18:35:58 -0500

reportbug (2.58) unstable; urgency=low

  * I forgot to add the new smtp* options to CONFIG_ARGS.
    (Closes: #244989)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 20 Apr 2004 22:37:35 -0500

reportbug (2.57) unstable; urgency=low

  * Document that reportbug's --smtphost option also accepts an optional
    port (e.g. '--smtphost mail.debian.org:3125').  (Closes: #243266)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 20 Apr 2004 17:34:28 -0500

reportbug (2.56) unstable; urgency=medium

  * Improve the robustness of the attachment code.  (Closes: #240815)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 29 Mar 2004 16:59:51 -0600

reportbug (2.55) unstable; urgency=low

  * Add --exit-prompt option and use it in the menu entry.
    (Closes: #239272)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 26 Mar 2004 18:31:01 -0600

reportbug (2.54) unstable; urgency=low

  * Fix smtpuser code path: smtpuser -> options.smtpuser.
    (Closes: #238728)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 19 Mar 2004 20:43:19 -0600

reportbug (2.53) unstable; urgency=medium

  * Properly handle the "no bugs found" case in the newt interface of
    querybts.  (Closes: #237956)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 15 Mar 2004 03:00:17 -0600

reportbug (2.52) unstable; urgency=medium

  * Support new packages.debian.org pages.  (Closes: #237068)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 11 Mar 2004 16:21:34 -0600

reportbug (2.51) unstable; urgency=low

  * Support reporting bugs in source packages that have exactly one binary
    package (e.g. debian-installer).  (Closes: #236672)

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  8 Mar 2004 01:15:24 -0600

reportbug (2.50) unstable; urgency=low

  * Add support for completing package names at the enter a package name
    prompt.
  * Move the calls to /usr/share/bug/* after the package check.
    (Closes: #236251)
  * Add support for SMTP TLS and authentication.  (Closes: #236335)

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  5 Mar 2004 14:47:35 -0600

reportbug (2.49) unstable; urgency=low

  * Skip the unknown policy warning, as snapshot.debian.net confuses this
    code.  (Closes: #233587)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 28 Feb 2004 05:09:05 -0600

reportbug (2.48) unstable; urgency=medium

  * Add --body and --body-file options.  These options are provided to
    make scripting of reportbug easier; they are strongly *discouraged*
    for routine use.  (Closes: #233210)
  * Add --keyid option.  (Closes: #232896)
  * Improve wording of the "serious" severity.  (Closes: #233300)
  * Fix crashers related to #232590.  (Closes: #233026, #233299)
  * Wrap the "check your email for the bug number" message.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 17 Feb 2004 20:21:53 -0600

reportbug (2.47) unstable; urgency=medium

  * The "It was Valentine's Day and all I did was hack on reportbug"
    release.
  * Downgrade python2.3-iconvcodec to a recommendation.
  * Recommend python2.3-cjkcodecs; since non-CJK users don't need the 1 MB
    CJK codec for proper operation, a strict dependency on cjkcodecs is
    inappropriate.  (Closes: #232642)
  * Warn if the locale's specified encoding can't be handled by Python's
    detected codecs.
  * Document the recommendations in the control file and NEWS.Debian.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 14 Feb 2004 15:21:56 -0600

reportbug (2.46) unstable; urgency=medium

  * Behave properly when told not to search for files.  (Closes: #232590)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 13 Feb 2004 17:45:46 -0600

reportbug (2.45) unstable; urgency=medium

  * Use message.as_string() one place where message is still an email
    object.  (Closes: #232318)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 12 Feb 2004 04:56:49 -0600

reportbug (2.44) unstable; urgency=medium

  * Catch exceptions in os.rename() calls.  (Closes: #231883)
  * Properly handle potential exceptions in get_debian_release_info()
    due to unknown releases.  (Closes: #232220)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 11 Feb 2004 13:15:17 -0600

reportbug (2.43) unstable; urgency=low

  * Don't include the full path in the attachment filename sent in bug
    reports.  Avoids nastiness with certain MUAs (*cough* mutt) that don't
    truncate the path provided by the sender.
  * Handle exceptions properly in the newt interface.
    (Closes: #218455, #230000)
  * Reorder the prompts so packages that no longer exist but are still in
    the database don't block the ability to search for packages containing
    particular files.  (Closes: #218041, #218384)
  * Add extra text to the description of the 'serious' severity that
    indicates that non-severe policy violations may be normal, minor, or
    wishlist bugs.  (Closes: #225156)
  * Allow no-check-uid config file option to work if reportbug is in a mode
    less than "expert."  (Closes: #222228)

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  7 Feb 2004 00:00:26 -0600

reportbug (2.42) unstable; urgency=low

  * 'os' wasn't being imported in urlutils.py (for some reason, I thought
    it was...)  (Closes: #231042)

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  4 Feb 2004 04:09:34 -0600

reportbug (2.41) unstable; urgency=low

  * Fix brown-paper-bag bug in 2.40.
  * Improved debugging support.
  * Reduce Kernel: output to OS and Release components; consolidate
    Architecture line to include utsname.machine.

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  1 Feb 2004 22:36:06 -0600

reportbug (2.40) unstable; urgency=low

  * Skip bug number prompt if only one bug displayed.  (Closes: #229837)
  * Include APT policy information in the footer of bug reports.
    Suggestions on how to make this info clearer or more useful are
    welcome.  (Closes: #223667)
  * Use sensible-browser in reportbug/querybts when a browser is
    requested.  (Closes: #171559)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 30 Jan 2004 20:43:04 -0600

reportbug (2.39) unstable; urgency=medium

  * Update copyright year to 2004.
  * Better handling of tags; --tags argument, which never worked properly
    with more than one tag anyway, is now replaced with "--tag".  See man
    page for details.  (Closes: #228998)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 22 Jan 2004 02:38:43 -0600

reportbug (2.38) unstable; urgency=low

  * If dpkg can't be run, suppress the Architecture: line of reports.
    (dpkg-architecture is only in dpkg-dev, so we can't depend on it being
    available; further, its output may be misleading if the environment is
    set for cross-compiling).  (Closes: #228507)
  * Add support for l10n tag.  (Closes: #228322)
  * Support additional pseudopackages.  (Closes: #228016)
  * Allow reporting bugs on "dependency" packages in advanced and expert
    modes.  The prompt is also clarified.  (Closes: #225373)
  * Ignore smtphost when in printonly mode.  (Closes: #223962)
  * Replace '&' in /etc/passwd with capitalized logname.  (Closes: #224231)
  * Don't crash if /etc/email-addresses is unreadable.  (Closes: #224223)
  * Warn if running without a configuration file.  (Closes: #223979)
  * Treat kate as a background editor.  (Closes: #225022)
    (Also added jump-to-line support for kate.)
  * Suggest exim4 instead of exim as an alternative for
    mail-transport-agent.  (Closes: #226617)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 20 Jan 2004 08:07:35 -0600

reportbug (2.37) unstable; urgency=low

  * Depend on python2.3-iconvcodec, to permit use with locales (mostly,
    but not exclusively, CJK) not handled by the default Python codecs.
    (Closes: #220361)
  * Ignore epochs when comparing between installed versions and those in
    incoming, as the filenames in incoming don't include epochs.
    (Closes: #222798)

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  5 Dec 2003 11:02:57 -0600

reportbug (2.36) unstable; urgency=medium

  * Have gpg/pgp sign temporary files, instead of trying to use pipes, as
    this fails under some circumstances.  (Closes: #217357)
  * Remove documentation of the dead LDAP options; LDAP query support has
    been gone over a year.  (The options will still be silently ignored if
    found in .reportbugrc/reportbug.conf.)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 26 Oct 2003 20:09:16 -0600

reportbug (2.35) unstable; urgency=low

  * Ignore $VISUAL or $EDITOR if set to an empty string.  (Closes: #216399)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 22 Oct 2003 13:11:20 -0500

reportbug (2.34) unstable; urgency=low

  * Don't go through the file search path if there is a package in the
    status file with the name (even if it's not installed).
    (Closes: #214209)
  * Remove spurious "File:" pseudo-header that would be inserted in some
    reports when find_packages_for() was called.  (Closes: #214212)

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  7 Oct 2003 00:35:44 -0500

reportbug (2.33) unstable; urgency=low

  * Solve another crasher in --template mode.  (Closes: #213870)
  * Fix typos in the man page.  (Closes: #213955)

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  3 Oct 2003 19:02:50 -0500

reportbug (2.32) unstable; urgency=low

  * Resolve UnboundLocalError when using --template mode.
    (Closes: #213545)

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  1 Oct 2003 13:51:08 -0500

reportbug (2.31) unstable; urgency=medium

  * Fix crasher in querybts --ui=newt.  (Closes: #213000)
  * Force editing to take place in the foreground in vim variants.
    (Closes: #213162)
  * Try to search for packages containing a file with the specified name
    if a package with that name can't be found.  (Closes: #212276)
  * Warn submitters of bugs on orphaned packages that their report may not
    be answered right away, and encourage submitters to consider adopting
    the package.  (Closes: #208096)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 29 Sep 2003 02:58:18 -0500

reportbug (2.30) unstable; urgency=low

  * Only include the Version header when we get a real version and omit
    the (uninstalled) caveat.  (Closes: #212717)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 25 Sep 2003 10:16:08 -0500

reportbug (2.29) unstable; urgency=high

  * Use hand-rolled temporary file code (based on new tempfile code)
    to simplify things, and move that stuff to a new module.
  * Handle new Debian pkgreport.cgi page format, which apparently broke
    some of the assumptions in reportbug.  Grr.
    (Closes: #211489, #211481, #211482)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 18 Sep 2003 15:00:47 -0500

reportbug (2.28) unstable; urgency=medium

  * Recognize the "interface" option in .reportbugrc files in querybts.
    (Closes: #208902)
  * Fix crasher in reportbug wnpp when exiting at a prompt.  (Closes: #209073)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  7 Sep 2003 10:03:45 -0500

reportbug (2.27) unstable; urgency=high

  * Ship email module from Python 2.3 in unstable to work around brokenness
    of Python 2.3 in testing.  (Closes: #207780, #208740)
    This will be removed when the Python transition is complete for testing.
  * Don't wrap debsums and package versions output either.
  * Python 2.3 cleanup:
    + Replace uses of 'y.find(x)' with 'x (not) in y'.

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  5 Sep 2003 01:03:48 -0500

reportbug (2.26.1) unstable; urgency=low

  * Fix the depends line in the control file (got my >> and >= confused).

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 26 Aug 2003 16:40:54 -0500

reportbug (2.26) unstable; urgency=low

  * Make the Python dependency stricter, since the version in testing is
    b0rked.  This resolves three duplicate reports.
    (Closes: #207284, #207287, #207311)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 26 Aug 2003 13:26:37 -0500

reportbug (2.25) unstable; urgency=low

  * COMPATIBILITY NOTE: -P option has changed.  If you need to invoke pgp,
    use the long form of the option (--pgp).
  * Improve handling of glob metachars with the -f option (e.g. /usr/bin/[).
    (Closes: #206840)
  * Don't wrap the debconf prompt.  (Closes: #206810)
  * Clairify --filename description on the man page.  (Closes: #172433)
  * New --path (-P) option makes -f only search the path.  (Closes: #174261)
  * Fix editor prompt.  (Closes: #203122)
  * Blank line after debconf prompt.  (Closes: #202660)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 25 Aug 2003 23:48:15 -0500

reportbug (2.24) unstable; urgency=high

  * Fix automatic stop introduced when #206282 was fixed.
  * Import MIMEMessage class so you can actually attach an email message
    to a report.  (Closes: #206565)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 21 Aug 2003 20:10:06 -0500

reportbug (2.23) unstable; urgency=low

  * Change example bug number.  (Closes: #202658)
  * Add --no-check-installed.  (Closes: #205776)
  * Stop if the user says "N" at the "package already exists" prompt in
    wnpp.  (Closes: #206282)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 21 Aug 2003 01:09:30 -0500

reportbug (2.22) unstable; urgency=low

  * Fix postinst Python call.  (Closes: #204779)
  * There no longer is any dependency on python-newt.  (Closes: #192209)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 10 Aug 2003 01:23:47 -0400

reportbug (2.21) unstable; urgency=low

  * Depend on python2.3 instead of python2.2.
  * Keep the stored temporary file around when exiting normally.
    (Closes: #203137, #197883)
  * Properly ignore attachments when an MUA is specified.
    (Closes: #204429)
  * Load GNUS when using the GNUS elisp fragment.  (Closes: #202616)
  * Clarify parts of the man page.  (Closes: #203120)
  * Note conflicting LC_ALL setting.  (Closes: #204356)
  * Get rid of the confusing src:... when querying.  (Closes: #204463)
  * Hide the upstream tag.  (Closes: #202957)
  * Note the default self-CC in the man page.  (Closes: #203126)

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  8 Aug 2003 18:17:59 -0400

reportbug (2.20) unstable; urgency=low

  * Fix wrongheaded list comprehension that stopped readline completion
    from working.  (Closes: #202211)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 21 Jul 2003 13:40:21 -0400

reportbug (2.19) unstable; urgency=low

  * Compile the right directory.  (Closes: #199751)
  * Don't check for new upstream versions if in query-only mode.
  * Ignore smtphost if an outfile (-o) is set.  (Closes: #200668)

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  9 Jul 2003 18:15:00 -0500

reportbug (2.18) unstable; urgency=high

  * Fix typo introduced when fixing #199432.  (Closes: #199644, #199658)

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  2 Jul 2003 09:58:16 -0500

reportbug (2.17) unstable; urgency=low

  * Fix bug in handling email headers.  (Closes: #199432)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 30 Jun 2003 23:53:12 -0500

reportbug (2.16) unstable; urgency=low

  * Fix minor buglet introduced in novice mode when adding #190865.
    (Closes: #198824)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 26 Jun 2003 20:56:54 -0500

reportbug (2.15) unstable; urgency=low

  * The "I'm feeling much better now that I'm not dealing with the email
    module" release.
  * Add a second newline after the "xxx bug reports found" line.
    (Closes: #198748)
  * Prompt for the patch file if (a) no attachments are found, (b) the
    "patch" tag is given, and (c) we aren't using an MUA.
    (Closes: #190865)
  * Don't check for newer versions if options.offline is set.
  * Add readline completion for filenames at filename prompts.
  * Slightly improve the inclusion of package-specific info.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 25 Jun 2003 13:05:42 -0500

reportbug (2.14) unstable; urgency=low

  * The "why the f*ck isn't the Internet 8-bit clean by now?" release.
  * I think I've worked around the QP problems by forcing the body to not
    be encoded and then munging the charset header to the one appropriate
    for your locale.  If your MTA doesn't like this, get a better MTA.
    It's 2003 already.  BTW, your MTA (or someone else's) may decide to
    QP-encode the message anyway just to be friendly.  (Closes: #198663)
  * As a side effect while debugging, I also fixed a crasher where your
    locale says you're in us-ascii but you decide to put 8-bit chars in
    your headers just for entertainment value.  Fallback on iso-8859-15
    (aka Latin9 or "iso-8859-1 with the euro"), since that's as good a
    guess as any these days.  But you really should set your locale...
  * The Overfiend Memorial Changelog Entry (aka your LART prophylactic):
    Issue a stern warning if you try to file a report on a version of a
    package that isn't yet in Debian *cough* X4.3.  (Closes: #194615)
  * Add option for "completely stupid smtphost mode" in the initial
    config.  This forces no-cc and sets smtphost to master.debian.org,
    which should enable bug reporting from even the most basic system.
    This path will also allow configuring the smtphost setting.
  * Output improvements at options prompts.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 24 Jun 2003 20:51:21 -0500

reportbug (2.13) unstable; urgency=low

  * The "I can't believe reportbug is over four years old" release.
  * Remove the "wishlist/minor to maintonly" prompt.  See #173773.
  * Catch IOError (broken pipe) when calling pager.  (Closes: #177697)
  * Add mbox support to querybts.  (Closes: #171790)
  * Prefix subject with the found file if --filename is specified.
    (Closes: #169822)
  * Fix NameError introduced when fixing #172001.  (Closes: #198379, #198460)
  * Conflict with the broken python2.2 2.2.3-1 to avoid repeats of #194716.
  * Try to supply the _charset parameter to MIMEText() again.  Hopefully
    the new BTS code can cope with QP-encoding better than it did
    before...  As part of this change, the detected charset from the
    locale will be output on startup.  (Closes: #177781)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 22 Jun 2003 21:48:34 -0500

reportbug (2.12) unstable; urgency=low

  * The "I really shouldn't take a long vacation from this package" release.
  * Remove mention of KDE from man page.  (Closes: #183145)
  * Since bug is gone, the merge request is de facto done.  (Closes: #38690)
  * Remove double-negative in setup offline prompt.  (Closes: #187001)
  * Handle socket.error better.  (Closes: #181133)
  * Ignore 500 errors from HTTP servers.  (Closes: #179793)
  * Properly wrap text in reportbug_ui_text.long_message().  (Closes: #172001)
  * www.debian.org includes all websites in .debian.org (like
    packages.debian.org) not otherwise listed.  (Closes: #178315)
  * Call os.path.expanduser() on filenames specified at the prompt.
    (Closes: #180644)
  * #178324 was fixed by the patch for #192245.  (Closes: #178324)
  * Fix empty backup message problem when GnuPG fails.  (Closes: #188671)
  * Ignore various environment variables if realname is specified in a
    config file.  (Closes: #173562)
  * Drop the constructed body from followups to special reports like WNPP.
    (Closes: #172003)
  * Include the package name at the editor prompt.  (Closes: #176107)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 20 Jun 2003 15:08:46 -0500

reportbug (2.11) unstable; urgency=low

  * Maintainer release.  Thanks to Peter Galbraith and Martin Loschwitz
    for their NMUs.  (Closes: #182752, #175811)
  * Thanks to Joonas Paalasmaa for several of the following patches.
  * More fixes should be forthcoming soon.
  * Ignore junk output from /usr/bin/file when making attachments.
    (Closes: #185498)
  * Behave more nicely when mailing fails.  (Closes: #192245, #196206)
  * #194605 was apparently the result of #194604.  (Closes: #194604)
  * Document that "novice" mode is the default.  (Closes: #174909, #175859)
  * Fix typo in noninteractive mode.  (Closes: #182628)
  * #183093 isn't a bug (in reportbug, at least).  (Closes: #183093)
  * Close all of the origins files read in debianbts.py.  (Closes: #188793)
  * Use example.org instead of some.org in WNPP reports.  (Closes: #179971)
  * The "use ? for help" message is now printed earlier.  (Closes: #191876)
  * Don't allow attachments when using an MUA.  (Closes: #172036)
  * Don't crash on bad regular expressions.  (Closes: #172073)
  * Put the "Please type" line in the right place in followups.  (Closes: #175217)
  * Avoid Ctrl-C tracebacks.  (Closes: #181475)
  * Rerun reportbug after the initial configuration.  (Closes: #195636)
  * Fix browser launch from newt interface.  (Closes: #180791)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 20 Jun 2003 02:24:06 -0500

reportbug (2.10.2) unstable; urgency=low

  * NMU
  * bug182752.patch: New file that holds the patch from the BTS (modified
    to work on template version of reportbug in build tree).  The patching
    is done in the build target of debian/rules.

 -- Peter S Galbraith <psg@debian.org>  Wed, 18 Jun 2003 20:59:11 -0400

reportbug (2.10.1) unstable; urgency=low

  * NMU
  * Applied patch from BTS to fix the locales problem (Closes: #175811)
  * debian/control: Fixed Build-Dependency for debhelper

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 14 Mar 2003 19:15:00 +0100

reportbug (2.10) unstable; urgency=low

  * The Feliz Navidad release.
  * Consolidate multiple X-Debbugs-CC headers.
  * Export YESNO in handle_bugscript.  (Closes: #169495)
  * Fix socket.gaierror exceptions.  (Closes: #173005, #172368)
    (Thanks for the patch.)
  * Add extra handholding to wnpp, since people seem to be confused and
    using it to file bug reports on packages...
  * Default operating mode is now 'novice'.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 23 Dec 2002 04:32:52 -0600

reportbug (2.9) unstable; urgency=low

  * Remove the email module from what we ship; the following changes get
    around the stock version's annoying "features."
  * Don't declare a character set on anything we send.  This should
    resolve all of the following...
    (Closes: #165720, #166495, #166248, #166819)
    (The right thing to do is figure out what character set is used, but
    I'm not writing a full-blown MUA here...)
  * Rewrite to use MIMEMultipart instead of MIMEBase.
    (Closes: #165856, #167222)
  * Use set_payload instead of attach.  (Closes: #166116)
  * DeprecationWarnings should be long gone.  (Closes: #165531)
  * Add hint to only choose one option at a time at select_multiple()
    prompts.  (Closes: #166408)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 31 Oct 2002 16:11:53 -0600

reportbug (2.8) unstable; urgency=low

  * Ship a fixed email module.  "Fixed" is defined as "generates stuff
    crappy MUAs and the BTS can handle", not "generates stuff that is
    RFC-compliant."  In its defense, the old code generates legal messages
    (although you wouldn't believe it from the raw output).

    + Do not, under any circumstances, base64-encode message bodies, no
      matter what character set is claimed.  (Closes: #165356, #165498)
    + Do not, under any circumstances, base64-encode message headers.
    + Do not QP-encode headers unless they contain special characters or
      exceed line-length limitations.
    + Still QP-encode message bodies, since nobody's complained about
      that yet.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 19 Oct 2002 16:56:29 -0500

reportbug (2.7) unstable; urgency=low

  * I need a freaking vacation...
  * Fix crash when --no-query-dpkg is specified.
  * Disable DeprecationWarnings because they encourage people
    to file bug reports.  (Closes: #165440)
  * Apparently I did back off on the overaggressive q-p encoding of
    message bodies after all... left hand not knowing what the right hand
    is doing, apparently.  At least this closes a severity-inflated
    report, resulting from yet another symptom of mutt's FUBAR draft
    facility.  (Closes: #165356)
  * Does anyone want to write a mailer that actually pays attention to RFCs?
  * More bugs like these and I'm going to Conflict with python 2.2.2 (or
    start shipping 2.2.1's email module in reportbug).
  * On the bright side, I think we can at least stop shipping our own
    urllib2.py.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 18 Oct 2002 23:50:01 -0500

reportbug (2.6) unstable; urgency=low

  * The "I thought Python 2.2 was feature-frozen" release.
  * Back off on the email module's overaggressive quoting of ASCII
    characters in headers.  (Something like reportbug::encode_if_needed
    probably should migrate into the email module for everyone's sanity.)
  * I should also back off on the overaggressive q-p encoding of message
    bodies, but we get a lhuvely DeprecationWarning if we do that...
  * Did I mention I thought Python 2.2 was feature-frozen?

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 17 Oct 2002 20:00:53 -0500

reportbug (2.5) unstable; urgency=low

  * Conflict with broken python-optik 1.4-1.
  * Fix reporting of attachment names.  (Closes: #165117)
  * Fix inclusion of text files from editor prompt.  (Closes: #165089)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 17 Oct 2002 04:07:24 -0500

reportbug (2.4) unstable; urgency=low

  * Remove yet another "Followup-For: #-1" issue.  (grr...)
  * Skip whitespace-only lines in .reportbugrc when including it in reports.
  * Require Python 2.2.2 final or later.  This avoids a buglet in 2.2.2b1
    that broke all sorts of things.  (Closes: #164575, #164723, #164806)
  * Avoid deprecated calls in Python 2.2.2.  (Closes: #164655)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 15 Oct 2002 15:15:23 -0500

reportbug (2.3) unstable; urgency=low

  * Fix comparison in attachment code.  (Closes: #163970)
  * List current attachments at editing prompt.  (Closes: #163972)
  * Make the "debsums detected problems" prompt a bit more neutral.
    (Closes: #163733)

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  9 Oct 2002 15:18:52 -0500

reportbug (2.2) unstable; urgency=low

  * Expand the search if 'libc' is specified as the package to find.
    (Closes: #163640)
    [Please check if this also finds libc under the Hurd and *BSD]

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  7 Oct 2002 10:28:50 -0500

reportbug (2.1) unstable; urgency=low

  * Set DEBCONF_SYSTEMRC=1 when calling debconf-show.  (Closes: #163440)
  * Fix silly copy & paste error in attaching binary attachments.
    (Closes: #163551)
  * Handle message/* attachments correctly.

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  6 Oct 2002 18:23:47 -0500

reportbug (2.0) unstable; urgency=low

  * reportbug 2 is now feature-frozen while I attend to other things, like
    the mythical menu rewrite.  Version number updated accordingly.
  * If you want reportbug 2 in testing, see #162467.  (Note my kindness in
    providing a patch for the override file.)
  * Correct variable name in attaching/including files from menu.
    (Closes: #163125)
  * I think #163121 and #161767 are both proxy issues; someone who uses
    proxies will have to figure them out...

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  4 Oct 2002 02:48:19 -0500

reportbug (1.99.64) unstable; urgency=low

  * Suppress "include debconf output" prompt when in template mode.
    Also fix up a few other similar occurances.

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  1 Oct 2002 11:34:24 -0500

reportbug (1.99.63) unstable; urgency=low

  * Require Python 2.2.1, since we use True/False.  (Closes: #162738)
  * Fix thinko in header passthrough code.  (Closes: #162732)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 29 Sep 2002 17:32:08 -0500

reportbug (1.99.62) unstable; urgency=low

  * Only encode characters outside the 0x20-x7E range.  This may break RFC
    2047, but I really can't tell...  (Closes: #162555)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 27 Sep 2002 23:06:38 -0500

reportbug (1.99.61) unstable; urgency=medium

  * Fix inclusion of miscellaneous headers that are passed in.
    (i.e. X-Debbugs-CC in wnpp reports.)
  * Fix related problem with continuation lines.  (Closes: #161814)
  * Track down a leftover magic return value.  (Closes: #161874, #162351)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 26 Sep 2002 12:37:16 -0500

reportbug (1.99.60) unstable; urgency=low

  * Fix breakage in 'querybts -w'.  (Closes: #161250)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 17 Sep 2002 17:43:46 -0500

reportbug (1.99.59) unstable; urgency=low

  * Fix missing comma.  (Closes: a whole lot of duplicate reports that
    will be filed in the next 24 hours.)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 15 Sep 2002 15:30:14 -0500

reportbug (1.99.58) unstable; urgency=low

  * Support multiple query by ID in querybts.  (Closes: #143708)
  * Suggest file (used by attachment support if installed).
  * Fix mua checking.
  * Add attachment prompt in handle_editing.
  * Allow choosing an mua in the editor prompt.  (Closes: #127530)
  * Allow changing the editor at the prompt.  (Closes: #159539)
  * Allow dumping the message to stdout or piping through the $PAGER at
    the prompt.  (Closes: #152073)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 14 Sep 2002 21:48:32 -0500

reportbug (1.99.57) unstable; urgency=low

  * Revised man page.
  * Don't encode headers if an MUA is in use; works around mutt's failure
    to properly decode passed-in headers.  (Closes: #160821)
  * Omit comments from .reportbugrc when included in bug reports.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 14 Sep 2002 12:57:59 -0500

reportbug (1.99.56) unstable; urgency=low

  * Remove deletion of no-longer present variable.  (Closes: #160656)
  * Add more characters to the passthrough-without-encoding list.
    (Closes: #160660)
  * Convert nl_langinfo's "ansi_x3.4-1968" to the more standard "us-ascii".

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 12 Sep 2002 14:44:50 -0500

reportbug (1.99.55) unstable; urgency=low

  * Optionally suppress user ID checking.  Root will still be checked,
    even if no-check-uid is set in .reportbugrc or /etc/reportbug.conf,
    however.  (Closes: #160496)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 11 Sep 2002 17:17:24 -0500

reportbug (1.99.54) unstable; urgency=low

  * Add pattern matching support for searching bugs.  Many, many thanks to
    Ha Shao for the patch!  (Closes: #109674)
  * Better handling for 8-bit characters in headers.  (Closes: #156074)
  * Now defaults to using your locale's character set as the character set
    of the outgoing message.
  * Support MIME attachments.  (Closes: #146329)
    (This may confuse some MUAs, although at least mutt should handle it.)
  * Support gzip-encoded HTTP.  Thanks to Bastian Kleineidam for the
    patch.  (Closes: #160310)
    I added deflate (zlib) support and code to send the headers to request
    compressed pages by default (although Apache at bugs.debian.org
    doesn't yet support this).

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 10 Sep 2002 17:00:30 -0500

reportbug (1.99.53) unstable; urgency=low

  * Fix bug introduced in .52.  (Closes: #160128, #160124)
    (Not really sure how this one got into the release...)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  8 Sep 2002 14:42:22 -0500

reportbug (1.99.52) unstable; urgency=low

  * Fix newt interface code to work again since changes in .51.
  * Suppress menu of metapackages unless requested.  (Closes: #159316)
  * Prompt for a version number if the package isn't installed.
    (Closes: #157753)

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  5 Sep 2002 07:58:59 -0500

reportbug (1.99.51) unstable; urgency=low

  * Fix bug reporting with packages that include extra information in the
    bug report.  (Closes: #158394)  Thanks to Andrew Ferrier for diagnostics.
  * Removed LDAP support code.
  * Add code to show followups to existing bugs.  (Closes: #107892)
    Thanks to Ha Shao for the HTML parser improvements.
    (The newt interface hasn't been updated for this change.)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 28 Aug 2002 16:53:43 -0500

reportbug (1.99.50) unstable; urgency=low

  * Despite severity inflation, fix relatively minor bug in the
    metapackage code.  (Free hint: if something doesn't work with one
    particular command line option, that is not a GRAVE bug.  Perhaps you
    should run in novice mode from now on...)  (Closes: #155686)

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  6 Aug 2002 16:26:07 -0400

reportbug (1.99.49) unstable; urgency=low

  * Support the "sarge" and "experimental" tags added to the BTS.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 22 Jul 2002 11:06:13 -0500

reportbug (1.99.48) unstable; urgency=low

  * Solve problem with lines that begin with . when in smtphost mode.
    (Closes: #153567)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 19 Jul 2002 20:25:45 -0500

reportbug (1.99.47) unstable; urgency=low

  * The "WLANs are cool" release.
  * Better support for disconnected operation when --offline is not
    specified.  (Closes: #152109)

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  6 Jul 2002 11:54:37 -0400

reportbug (1.99.46) unstable; urgency=low

  * The 'Stuck at 56k in Toronto' release.
  * 'S'kip is now permitted in the BTS browser always, even if you're on
    the last page.  (Closes: #151755)
  * Retain case of character in reportbug_ui_text.select_options() help.
  * In MODE_NOVICE, helpfully provide a prompt where you are supposed to
    type the bug text in the editor.  This prompt is stripped from the
    message after editing.
  * Cleaned up external script support.

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  4 Jul 2002 17:49:11 -0400

reportbug (1.99.45) unstable; urgency=low

  * The Toronto Minus 1 release.
  * aka The "Why doesn't gnome-terminal 2 show 8-bit characters?" release.
  * Massively clean up the gpg/pgp code by using the miracle of pipes.
    Also make it work again in the process.  (Closes: #151723)
  * A vague implementation of GNUS support in reportbug, courtesy of
    Tollef Fog Heen - much appreciated!  (Closes: #128193)
    (Probably doesn't cope with --header or --list-cc yet.)
  * Only include the signature in kudos if options.mua is empty.
  * Move the signing code so bailing out in it won't send bogus empty
    messages to your MTA.

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  3 Jul 2002 01:27:08 -0500

reportbug (1.99.44) unstable; urgency=low

  * The Toronto Minus 2 release.
  * Added kudos option.  (Closes: #145250)
  * The sid tag is now displayed (it was hidden before).
  * Since the "kernel" metapackage is no longer offered (we offer
    kernel-image instead), detecting the kernel with /proc/version is not
    useful.  Instead, file reports on kernel-image and choose the relevant
    kernel on your system when prompted.  (Closes: #146123)

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  2 Jul 2002 16:27:19 -0500

reportbug (1.99.43) unstable; urgency=low

  * The Toronto Minus 7 release.
  * Include upstream in the list of available tags.  (Closes: #151166)
  * Remove superfluous debugging output.  (Closes: #150952)
  * Minor code cleanups in option processing.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 27 Jun 2002 12:15:36 -0500

reportbug (1.99.42) unstable; urgency=low

  * Fix uninitialized variable introduced when fixing #150671.
    (Closes: #150795)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 23 Jun 2002 23:27:54 -0500

reportbug (1.99.41) unstable; urgency=low

  * The "USA 2, Mexico 0" and "USA 0, Germany 1" release.
    (Somehow this release was finalized Tuesday and never uploaded... grr.)
  * Find lost changes to reportbug_ui_text.py that never got checked into
    CVS.  (Closes: #150012, #150687)
  * Clarify man page description of --proxy.  Note that the http_proxy
    environment variable is also honored.  (Closes: #149956)
  * Remove -L from man page.  (Closes: #150709)
  * Only invoke debsums if state is installed.  (Closes: #150671)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 22 Jun 2002 17:28:07 -0500

reportbug (1.99.40) unstable; urgency=low

  * Include patched urllib2.py in the package to (hopefully) fix proxy
    issues.  (Closes: #149446, #144480)
    [This will go away when fixed in the python2.2 package.  Note that we
    don't divert the existing file; it's just dumped in /usr/share/reportbug]
  * Add /usr/share/reportbug to the beginning of the module search path.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 12 Jun 2002 22:58:18 -0500

reportbug (1.99.39) unstable; urgency=low

  * Fix no-cc config file option; patch from Robert Luberda.  (Closes: #149644)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 11 Jun 2002 03:38:49 -0500

reportbug (1.99.38) unstable; urgency=low

  * Make source bug reporting work again.  (Closes: #149527)
  * Fix maintonly reports when prompted.  (Closes: #149465)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 11 Jun 2002 00:41:18 -0500

reportbug (1.99.37) unstable; urgency=low

  * More dependency code fixups.

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  8 Jun 2002 21:52:58 -0500

reportbug (1.99.36) unstable; urgency=low

  * The "USA 3, Portugal 2" release.
  * Make 'querybts -w' work again.  Also fixed launch a browser options in
    reportbug_ui_{newt,text}.py, even though nobody noticed those :-)
    (Closes: #149130)

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  5 Jun 2002 12:57:46 -0500

reportbug (1.99.35) unstable; urgency=low

  * Add x-window-system{,-core} to the metapackage list.  (Closes: #148939)
  * Fix odd issues in dependency printing code with libcomerr and the like.
  * Fix query problem where a package's Source: line has a version number
    in it.  (Closes: #149000)

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  4 Jun 2002 15:13:03 -0500

reportbug (1.99.34) unstable; urgency=low

  * Fix handling of "or" depends resulting from change in .32.
  * Fix default prompt code when selecting tags.

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  2 Jun 2002 12:03:35 -0500

reportbug (1.99.33) unstable; urgency=low

  * Improve questions for name and email address, and remove some corner
    cases where None might be displayed instead of the detected name and
    email address.  (Closes: #148722)

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  1 Jun 2002 18:22:26 -0500

reportbug (1.99.32) unstable; urgency=low

  * Now offer configuration of the offline setting in --configure.
  * Include all the operating modes in --configure.
  * Clean up the depends code (pass around a list instead of a silly string).
  * Add support for "dependency packages" (i.e. packages that only exist
    to provide dependencies that vary by platform, like gcc-defaults).
    Note that this support is in addition to the existing virtual package
    support.  (Closes: #148602)
    ATM gcc-defaults is the only such package I know about; please let me
    know any others by filing a wishlist bug.
  * Cache get_package_status() results so we don't query multiple times on
    the same package.
  * ui.menu() and ui.select_options() now tolerate blank input when there
    is no default setting.

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  1 Jun 2002 16:33:21 -0500

reportbug (1.99.31) unstable; urgency=low

  * Remove debugging code from handle_editing().
  * Fix reference to http_proxy.  (Closes: #148713)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 31 May 2002 21:37:59 -0500

reportbug (1.99.30) unstable; urgency=low

  * Fix -o option; thanks to Robert Luberda for the patch.
    (Closes: #148347)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 28 May 2002 14:33:04 -0500

reportbug (1.99.29) unstable; urgency=low

  * Include missing import of re in urlutils.py.  (Closes: #148202)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 26 May 2002 06:37:00 -0500

reportbug (1.99.28) unstable; urgency=low

  * Fix error message reporting in verify_option().
  * Properly honor --list-cc.
  * Fix traceback when X-Debbugs-CC header is used.  (Closes: #148072)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 25 May 2002 20:42:21 -0500

reportbug (1.99.27) unstable; urgency=low

  * Supply --local-user to gpg.  (Closes: #147923)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 23 May 2002 19:19:00 -0500

reportbug (1.99.26) unstable; urgency=low

  * Fixed a minor typo in the man page.
  * Cleaned up the rc file processing of toggles.
  * does-not-build actually works again.  (Closes: #147713)
  * Change mta -> options.mta.  (Closes: #147685, I hope)
  * Added "advanced" mode, which is like "standard" but not.  (The main
    difference is that "standard" now ignores incoming, for better or for
    worse.)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 22 May 2002 06:28:08 -0500

reportbug (1.99.25) unstable; urgency=low

  * -T none now works correctly.
  * Re-editing bug reports now works properly.  (Closes: #147545)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 20 May 2002 18:25:14 -0500

reportbug (1.99.24) unstable; urgency=low

  * Make --offline work like a toggle, like it should.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 18 May 2002 19:49:40 -0500

reportbug (1.99.23) unstable; urgency=low

  * Added warning about not-fully-implemented interfaces (and reporting
    bugs therein).
  * Added --license option, for completeness.
  * Added --offline option.  (Closes: #147375)
  * Ignore mua setting if --template is specified.  (Closes: #147343)
  * Extra logic to make 'none' and 'done' work properly in
    ui.select_multiple.  (Closes: #147339)
  * Always set realname and email in .reportbugrc after running
    --configure, rather than commenting them out if they are identical to
    the settings discovered in the environment.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 18 May 2002 18:15:31 -0500

reportbug (1.99.22) unstable; urgency=low

  * Only check package integrity if it is installed.  (Closes: #147215)
  * Don't spawn tty; instead, use sys.stdin.isatty().
  * Set options.editor to something by default.  (Closes: #147199)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 16 May 2002 16:38:55 -0500

reportbug (1.99.21) unstable; urgency=low

  * In MODE_NOVICE, ignore incoming as newbies probably don't know or care
    about it.
  * Document in the man page that you can use an absolute path instead of
    a package name for filing a report.  (--file is probably more fun to
    use in the general case, though.)  (Closes: #147139)
  * Fixup a few import issues that arose while fixing #147133.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 16 May 2002 02:04:10 -0500

reportbug (1.99.20) unstable; urgency=low

  * Fix import cyclic loop.  (Closes: #147133)
  * Fix buglet introduced in 1.99.19 while trying to sort out the prompt
    support.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 15 May 2002 21:41:56 -0500

reportbug (1.99.19) unstable; urgency=low

  * Close more brown-paper-bag bugs.  (Closes: #147014, #147096)
  * Properly feed the subject line to MUAs.  (Closes: #147056)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 15 May 2002 20:41:55 -0500

reportbug (1.99.18) unstable; urgency=low

  * Fix missing colon in the wnpp code.  (Closes: #146862)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 13 May 2002 20:03:08 -0500

reportbug (1.99.17) unstable; urgency=low

  * First upload of reportbug 2 to unstable, since woody is now fully
    frozen.  Now requires Python 2.2.  (Closes: #127716)
    + This introduces a priority imbalance bug in unstable.  Since Python
      >= 2.2 will be the default Python for woody+1, this is a temporary
      situation.
    + Please see the changelog entries through 1.99.0 for changes from 1.50.
    + Various items were marked as fixed in experimental.
      (Closes: #113284, 135704)
  * Removed debugging info from output when using debsums.
  * Use full path when calling debsums.
  * Fix a buglet that left sendto unset.
  * Fix a bug in the bug script when .reportbugrc is not empty.
  * You now can only select each tag once.  (Closes: #146156)
    (Implemented in the text UI: ui.select_multiple)
  * Menu prompts are now displayed when stdout is redirected.
    (Closes: #145936)
  * Check packages.debian.org in addition to the status database when
    filing an ITP/RFP, as the status database may include false positives
    when the package is built locally but not in Debian.  (Closes: #146614)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 12 May 2002 22:10:17 -0500

reportbug (1.99.16) experimental; urgency=low

  * --configure didn't work in .15; fixed.
  * Relax the justification check for serious bugs.  (Closes: #144803)
  * Ignore $TMPDIR if it isn't a valid directory.  (Closes: #144472)
  * Note that LC_CTYPE is overridden by LC_ALL in Locale settings section.
    (The output was correct, as interpreted by libc.)  (Closes: #141610)
  * Added debsums support; enabled in the distributed reportbug.conf.
    (Closes: #142334)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 29 Apr 2002 21:39:06 -0500

reportbug (1.99.15) experimental; urgency=low

  * Integrated latest GNOME patch from Robin Putters.
    + Minor reworking to change ui.EXCEPTION into EXCEPTION.
    + Backed out the move of ui.handle_bts_query().  The GNOME frontend
      will need its own query routine.  For now, it raises NotImplemented.
  * debconf-show output will be included if available.  (See #142593)
  * Cleaned up the address rewriting stuff.
  * Massively sped up reportbug.get_package_info() by combining 2*DEPS
    regexps into 2 regexps.  This speeds up reporting a bug on "lsb" by
    almost a minute on a PIII-450.
  * Rewrote the option parser to use Optik.  The main user-visible effect
    is that reportbug --help is now a lot more useful.
  * Defined a new ui entry point: select_multiple.  It should allow the
    user to select multiple, nonexclusive options and return a list of the
    selected options.  (Currently not implemented in any ui module, but
    eventually will be used for tags.)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 21 Apr 2002 04:26:07 -0500

reportbug (1.99.14) experimental; urgency=low

  * Updates from 1.50
  * You can now report bugs in "kernel-image" and it will show a list of
    packages to choose from.  (This is the normal virtual package
    behavior, but I had to do some work to make it function because
    kernel-image is in the menu.)
  * Minor code cleanups to get some lines < 80 chars.

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  5 Apr 2002 08:47:13 -0600

reportbug (1.99.13) experimental; urgency=low

  * Fix source queries when the source package and binary package are the
    same (in this case, src_package is not set).
  * Cleanup wording of the "new release" message.
  * Add debian-policy to the virtual packages list.  (Closes: #139970)

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  1 Apr 2002 22:35:35 -0600

reportbug (1.99.12) experimental; urgency=low

  * Query on source packages when searching for bugs in the BTS by
    default.  (Closes: #138928)
  * Any editor that has "emacs" in its name will now jump to a line number;
    this avoids needing to add emacs32 when it comes out...
  * Broke up the bug handling script into a script and a presubj.
  * Include user configuration file in reports on reportbug.
  * Converted ui.select_options(message, 'yn'...) to
    ui.yes_no(message...); this will help make non-text UIs cleaner, and
    may eventually aid i18n support.  (This also cleaned up a lot of
    superfluous temporary variables in the code.)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 19 Mar 2002 23:32:33 -0600

reportbug (1.99.11) experimental; urgency=low

  * Updated to 1.49.
  * Consolidated the url opening functions.
  * Added incoming check.  (Closes: #86223)
  * Fixed tab completion of bug numbers.
  * Fixed weird bug involving packages_providing.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 18 Mar 2002 03:23:31 -0600

reportbug (1.99.10) experimental; urgency=low

  * Fix MUA setting in config files.  (Closes: #138313)
  * Fix MUA setting from command line.  (Closes: #138314)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 14 Mar 2002 22:07:04 -0600

reportbug (1.99.9) experimental; urgency=low

  * Integrated changes from 1.46-1.47.
  * Added support for a "virtual" severity: does-not-build
  * Check buildd.debian.org for does-not-build bugs.  (Closes: #137607)
  * Changed maintonly default to no on wishlist/minor bugs.
  * Some wnpp bugs don't require BTS queries.  (Closes: #138071)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 13 Mar 2002 13:07:13 -0600

reportbug (1.99.8) experimental; urgency=low

  * Integrated changes from 1.45.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 10 Mar 2002 06:03:23 -0600

reportbug (1.99.7) experimental; urgency=low

  * Removed debugging output from urllib calls.
  * Fixed calls to ewrite() in querybts

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  9 Mar 2002 22:09:02 -0600

reportbug (1.99.6) experimental; urgency=low

  * reportbug 1.99.5 implemented the option of sending a report directly
    to the maintainer if the package was not found in the BTS; I forgot to
    mention it in the changelog.  Mea culpa.  (See #135704, #135710;
    already closed.)
  * Include GNOME interface patch from Robin Putters, and add some
    work-arounds to the code to handle GNOME nicely.
  * Ripped out the urllib code and replaced it with urllib2 code.  This
    makes proxy authentication work in some circumstances, but it still
    needs additional work, particularly with bad proxy servers.

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  9 Mar 2002 02:21:40 -0600

reportbug (1.99.5) experimental; urgency=low

  * Checking for new versions can be disabled using --no-check-available
    or the parallel config option.
  * Added reportbug_exceptions.py for UI exception definitions.
  * Cull duplicate entries in the dependency output when both a real
    package and a virtual that is provided by that package exist.
    (e.g. packages with exim | mail-transport-agent no longer list exim
    twice if you have it installed.)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 26 Feb 2002 02:48:42 -0600

reportbug (1.99.4) experimental; urgency=low

  * Centralized MUA listing in reportbug.py.
  * Added checking for new versions via packages.debian.org.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 23 Feb 2002 19:10:06 -0600

reportbug (1.99.3) experimental; urgency=low

  * Integrated changes from 1.44.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 23 Feb 2002 02:27:40 -0600

reportbug (1.99.2) experimental; urgency=low

  * Remove MUA/MIME lameness filter.  (Closes: #133263)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 10 Feb 2002 15:44:24 -0600

reportbug (1.99.1) experimental; urgency=low

  * Fix postinst script (it tried to use python1.5,2.1).
  * Integrated changes from 1.43.
  * Tab completion of bug numbers is now supported in the text interface.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 10 Feb 2002 12:28:06 -0600

reportbug (1.99.0) experimental; urgency=low

  * Beginning of reportbug 2.0 rewrite.
  * Partially rewritten in Python 2.2 syntax.  More to come, no doubt.
  * Modules moved to /usr/share/reportbug to better comport with Debian's
    Python policy.
  * Cleaned up installation of Python modules.
  * Added operating mode support (expert/novice/standard).  (Closes: #121434)
  * First-time configuration added.  (Closes: #118176)
  * Don't worry, I'm working my way through the wishlist...

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  3 Feb 2002 03:31:42 -0600

reportbug (1.42) unstable; urgency=medium

  * I give up on sqrt(2)...
  * Wishlist items from here out will only be implemented in the
    (not-yet-released) experimental branch.
  * WNPP support now works with source and unknown packages.  (Closes: #131765)
  * No longer prompt when the subject was generated by the WNPP support.
    (Closes: #131100)
  * Silly me forgot that string.strip() gets rid of leading whitespace, so
    my implementation of #131472 didn't work.  Now it does, and it's been
    tested.  (Closes: #131472)
  * The mutt message has been defanged (for most, at least).  Subsequent
    reports of this issue will be merged with #131100.  You have been warned.
  * Added a diagnostic routine, per README.developers spec.
    (It also shows how to write one in something other than bash.)

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  1 Feb 2002 03:33:38 -0600

reportbug (1.41.1421356) unstable; urgency=medium

  * Use $EDITOR in preference to $VISUAL.  (Closes: #131610)
    This makes reportbug act like the man page claims it does.
  * Back off a bit on #131100, due to popular demand.  Just checking to
    see if anyone is actually using these packages...
  * Fix WNPP support to use source packages, not binary packages, when
    orphaning or RFA'ing a package.  (Closes: #131471)
  * Include the full description of an WNPP'd package.  (Closes: #131472)
  * Modified the prompt when the BTS browser is in standalone mode.
    (Closes: #129732)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 30 Jan 2002 21:41:46 -0600

reportbug (1.41.142135) unstable; urgency=low

  * It'd be nice if this were the last release for woody...
  * Handle .'s in the realname part of addresses correctly, as
    rfc822.quote() doesn't seem to work right.  (Closes: #127637)
  * Add message warning certain users not to attach stuff in external
    programs until debbugs is fixed to handle MIME correctly, at which
    time this message will look incredibly stupid.  "Fixes" my part of
    #131100 ("Chris should never have let people edit messages in programs
    that can attach MIME, and therefore is responsible for problems in
    debbugs.").  Alternate solution: disable --mutt.  Y'alls' choice.
  * Update copyright year in modified files.
  * Warn if subject > 60 characters.  (Closes: #129099)
  * Added security.debian.org to valid pseudopackages.  (Closes: #129889)
  * Warn if run with uid < 500.  (Closes: #128936)
    (I chose 500 since systems converted from other distributions may have
    real users with IDs >= 500.)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 27 Jan 2002 17:41:41 -0600

reportbug (1.41.14213) unstable; urgency=medium

  * The "hopefully we won't run out of double precision in sqrt(2)" release.
  * Work around lack of socket.fqdn() in Python 1.5.2 by swiping the
    routine from Python 2.1+ and backporting.  This only affects systems
    that didn't have a valid /etc/mailname, and thus would have died
    running reportbug (< 1.41.14) anyway. (Closes: #126867)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 30 Dec 2001 00:38:18 -0800

reportbug (1.41.1421) unstable; urgency=low

  * Ignore empty $EDITOR or $VISUAL.  (Closes: #126178)
  * Document $BROWSER.  (Closes: #125820)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 23 Dec 2001 01:35:31 -0600

reportbug (1.41.142) unstable; urgency=medium

  * Fix email specification bug.  (Closes: #125587)
  * s/mailserver/mail server/ in debian/control.  (Closes: #125308)
  * Fix bug #'s in changelog that were incorrect in last upload.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 17 Dec 2001 20:29:39 -0600

reportbug (1.41.14) unstable; urgency=low

  * Document template option.  (Closes: #124258)
  * Remove python-base from dependencies.  (Closes: #124014)
  * Help and version output now go to stdout.  (Closes: #124260)
  * Menu entries are now numbered in the text UI.  (Closes: #123975)
  * Bugs can be selected by a short number from the text BTS browser.
    (Closes: #118333)
  * Check /etc/email-addresses for an email address, if available.
  * Allow $DEBFULLNAME as an alternative for $DEBNAME.
  * If /etc/mailname doesn't exist, use socket.getfqdn() instead.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 16 Dec 2001 22:47:34 -0600

reportbug (1.41.1) unstable; urgency=medium

  * Added option '--template'.  (Closes: #123467)
  * Don't edit subject lines specified on the command line.
  * Search all packages, not just installed ones, when reporting a bug in a
    source package.  (Closes: #123672)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 12 Dec 2001 20:53:28 -0600

reportbug (1.41) unstable; urgency=medium

  * Ok, maybe we'll try a fourth crack.
  * Started a CVS repository for future development.  One of these decades
    I'll figure out enough CVS to actually maintain this branch with it
    too...
  * Followup-For now recognized as a pseudoheader.
    (Closes: self-discovered-bug)
  * Warn when the severity is downgraded by the severity lameness filter.
    (Closes: #122962)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 10 Dec 2001 02:49:05 -0600

reportbug (1.40) unstable; urgency=medium

  * Third crack at a final woody release.  The 1.x series will approach
    sqrt(2) asymptotically from here out.
  * Cleaned up .reportbugrc handling code even more.  As a bonus, 'bts'
    finally works as a config file option...
  * Suppress stderr diagnostics from dpkg --search.
  * Fix severity specification in rc files, for real this time.  A silly
    thinko was stopping it from working.  (Closes: #122539)
  * Fix crash when --file is specified and not found.  Also a side-effect
    of implementing #121707.  (Closes: #122648)
  * Explicitly warn the user that temporary files might be located in
    temporary directories, and thus might not persist.  (Closes: #122652)

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  6 Dec 2001 02:52:12 -0600

reportbug (1.39) unstable; urgency=medium

  * Fix stupidity in implementation of #121707.

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  2 Dec 2001 15:01:25 -0600

reportbug (1.38) unstable; urgency=low

  * Probably the last release for woody... see if you can break this one.
  * Upload of NMU of newt fixed problems with python-newt.
    (Closes: #119815, #120245)
  * Don't crash when severity is specified in .reportbugrc.
    (Closes: #121380)
  * Fix crasher in querybts -w introduced in 1.36.  (Closes: #121799)
  * If the specified package name looks like a filename, act like -f was
    specified.  (Closes: #121707)
  * You can now specify an editor with --editor (-e) or in .reportbugrc.
    (Closes: #121736)
  * Include a slightly-modified copy of bug's README.developers, to better
    document the per-package hook options.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 30 Nov 2001 17:28:21 -0600

reportbug (1.37) unstable; urgency=low

  * Handle Justification: serious better.  (Closes: #120631)
  * If a package name is Provided by another package on the system, and not
    installed itself, allow the user to select amongst the packages
    Providing it.  (For example, you can do "reportbug fetchmail" even if
    fetchmail-ssl is installed.)  (Closes: #121054)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 25 Nov 2001 01:47:26 -0600

reportbug (1.36) unstable; urgency=medium

  * The "reportbug has fan mail" release (see this week's LWN Letters page).
  * Work around #119815 by conflicting with python-newt 0.50.17-7.1.
  * In some weird situations, reportbug could bomb out with an exception
    if no package was specified.  (Closes: #119853)
  * The unversioned recommendation for python-newt is deliberate.
    This way an upgraded reportbug should work safely on a
    partially-upgraded potato system.  (Closes: #119142)
    (No python >> 1.5 features will be used until reportbug 2.0.)
  * Added source report support to querybts and reportbug.
    Use querybts --source or select a source package in reportbug.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 17 Nov 2001 20:41:39 -0600

reportbug (1.35) unstable; urgency=medium

  * Fix postinst to compile on Python 2.1 systems.  (Closes: #118574)
  * Recognize the mta option in config files.  (Closes: #118434)
  * $REPORTBUGEMAIL should now work.  (Closes: #118632)

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  8 Nov 2001 17:17:29 -0600

reportbug (1.34) unstable; urgency=low

  * Updated control file for new Python packaging.
    (Closes: #118185, #118329)

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  5 Nov 2001 03:13:06 -0600

reportbug (1.33) unstable; urgency=low

  * Improved the robustness of reportbug.get_source_package().
    Should fix #117102.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 25 Oct 2001 17:25:56 -0500

reportbug (1.32) unstable; urgency=low

  * New option: --mta.  Allows you to specify an alternate path for a
    sendmail clone; it must accept standard sendmail options.
    (Closes: #116751)
  * Don't clear the screen in querybts if using the text ui.
  * reportbug will run with any version of Python in the archive; however,
    there doesn't seem to be a clean way to handle this yet.  For now,
    depend on python1.5-base | python-base (<< 2.1) until this gets
    straightened out.
  * Downgraded python-newt to a (very strong) recommendation, since
    querybts can run without it.
  * Removed reference to Progeny Debian in the description.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 23 Oct 2001 21:21:13 -0500

reportbug (1.31) unstable; urgency=medium

  * Report detected email address before going through the BTS browser.
    (Closes: #115076)
  * Reenable smtphost code that I accidentally left disabled while
    debugging an unreproducible report.  (Closes: #114872)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 10 Oct 2001 00:45:13 -0500

reportbug (1.30) unstable; urgency=low

  * Avoid using nroff-like extensions on temporary files.
    (Closes: #114100)
  * Fix bug in reporting bugs in source packages.  (Closes: #114485)
  * You can now force reporting a bug in a source package, though
    generally most bugs should be reported against binary packages.
  * Changed Build-Depends to Build-Depends-Indep.  (Fixes lintian
    warning.)
  * Updated to DH_COMPAT=3.

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  7 Oct 2001 00:03:39 -0500

reportbug (1.29) unstable; urgency=low

  * Improve long description.  (Closes: #112301)
  * Reworked subject prepending code.  (Closes: #111653)
  * If a name of a source package is specified without a matching binary
    package, present a menu of binary packages based on that source
    package to the user, instead of giving up.  (Closes: #96146)
  * Corrected previous changelog entry's reference to the subject
    prepending code's ID number.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 20 Sep 2001 18:24:11 -0500

reportbug (1.28) unstable; urgency=medium

  * The "why can't Sony make a laptop keyboard that lasts more than six
    months?" release.
  * Only prepend the subject with the package name if it doesn't contain
    ": " in it already.  Useful for filing the "querybts: is lame" report.
    (Closes: #111653) **corrected**
  * Added 'Justification' to reportbug.PSEUDOHEADERS.
    (Closes: #111661)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 10 Sep 2001 11:01:13 -0500

reportbug (1.27) unstable; urgency=medium

  * Fix input validation bug.  (Closes: #111376)
  * querybts reminds users that # is a shell comment character if it
    doesn't detect a package name or bug number.  (Closes: #111491)
  * Release tags are omitted from the tags menu.  (Closes: #111414)
    (You can still specify them, however.)

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  6 Sep 2001 17:07:26 -0500

reportbug (1.26) unstable; urgency=low

  * Back out ITA patch.  (Closes: #110559, again.)
  * Tweaks to Branden's severity patch.
  * Include package name in report subjects, at least until debbugs starts
    doing it automatically.  (Closes: #110931)
  * Last two bits from Branden, though I took the liberty of making the
    code a bit more "Pythonic" :-)

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  4 Sep 2001 18:46:41 -0500

reportbug (1.25) unstable; urgency=low

  * Incorporate patch from Rob Bradford to add ITA support to reportbug.
    (Closes: #110559)
  * Add --package-version to man page.
  * Finish implementing the template support for ITPs.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 31 Aug 2001 22:10:20 -0500

reportbug (1.24) unstable; urgency=low

  * Incorporate patch from Branden Robinson to better handle serious+
    bugs.  (Closes: #110476)
  * Improve followup instructions.  (Closes: #107606)
  * New option --package-version allows specifying the version number to
    include in the report (and suppesses querying dpkg for package info).
    (Closes: #110150)
  * Include a template for ITP and RFP bodies.  (Closes: #107203)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 30 Aug 2001 21:19:50 -0500

reportbug (1.23) unstable; urgency=low

  * Improved qa group description.  (Closes: #107020)
  * Reworked the Linux-Mandrake BTS description.  (Closes: #107022)
  * Remove gratuitous padding from dependency info.  (Closes: #107029)
  * All the above thanks to Martin Michlmayr.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 30 Jul 2001 21:36:26 -0400

reportbug (1.22) unstable; urgency=low

  * Followups no longer prompt for tags.
  * Include package and version number in followups.  (Closes: #105813)
  * Better error message when you enter a bug number not listed.
    Note that you can enter any bug number at the "more info" prompt; this
    difference is intentional.  (Closes: #105929)
    (See #103398 for the rationale for this behavioral deviation.)
  * Improved error recovery.  (Closes: #106207)
  * Bug reports will now be written to $TMPDIR by default instead of
    /var/tmp, if necessary.
  * You can now write '-T none' (or --tags=none) to bypass the tags prompt
    entirely.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 23 Jul 2001 00:08:34 -0400

reportbug (1.21) unstable; urgency=high

  * Fix a dumb mistake in reportbug_ui_text introduced in the fix for
    #103054.  (Closes: #104017)

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  9 Jul 2001 00:19:47 -0500

reportbug (1.20) unstable; urgency=low

  * Add an X-Debbugs-CC header to wnpp ITP bugs.
  * Play nicely in the postinst if another version of Python is installed
    and is earlier in $PATH than /usr/bin.
  * Don't prompt for maintonly on wnpp bugs.

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  6 Jul 2001 09:15:44 -0500

reportbug (1.19) unstable; urgency=low

  * --include now works properly.  (Closes: #103291)
  * Added message about the '?' help option.  (Closes: #102257)
  * Only allow display of bugs that are in the list.  (Closes: #103054)
  * The Debian BTS is no longer mirrored; disable the mirror options.
    (Closes: #103398)

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  3 Jul 2001 18:33:59 -0500

reportbug (1.18) unstable; urgency=low

  * Improve description of "patch" tag.  (Closes: #99889)
  * Fix typo in description of the "serious" severity.  (Closes: #99756)
  * Include rudimentary text-file attachment support.  (Closes: #86906)
  * Added guug.de to supported systems.  (Closes: #99973)
  * Added support for archived bug reports to querybts.
    (Closes: #77424)
  * Fix deprecated use of global declaration after first use of a variable
    in a function; this would break reportbug in a future Python release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 17 Jun 2001 00:43:48 -0500

reportbug (1.17) unstable; urgency=low

  * Fix a crasher when the length of the subject of a report is greater
    than the width of the screen.  (Fixes #98167, but I reassigned it to
    python-newt so the underlying bug in the toolkit will be fixed.)
  * Fix a crasher when a filename being searched for contains colons.
    (Closes: #98421)
  * Suppress new dpkg messages.  (Closes: #98540)
  * Handle DNS failures more gracefully.  (Closes: #98328)
  * Improve signature handling when there are no pseudoheaders.
    (Closes: #99382)
  * Properly report locale settings.  (Closes: #98550)
  * Add -L option to make mailing list CC's easier.  (Closes: #98707)
  * Added tags support (and a -T option).  (Closes: #97275)

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  1 Jun 2001 23:54:33 -0500

reportbug (1.16) unstable; urgency=low

  * End-of-semester bugfix fun...
  * Fix documentation and program so --filename actually works as a long
    option.  (Closes: #95057)
  * Remove the discussion of querybts's option "-w" in reportbug.1
    (Closes: #95786)
  * Add explicit quit option to the internal BTS browser.  (Closes: #96589)
  * reportbug seems to run under Python 2.0 here; applied patch from
    Gordon Sadler to fix bug comparison.  (Closes: #95481)
  * Make sure allow_numbers is passed on in recursive calls to
    select_options() in reportbug_ui_text.  (Closes: #95553)
  * If unable to connect to the BTS, prompt for abort instead of just
    barrelling on through.  (Closes: #96005)
  * Include locale information in the System Information section of bug
    reports.  (Closes: #95805)
  * Include date of submission in displayed reports.  (Closes: #93733)
  * Include the bug report number in a pseudoheader in followup reports.
    (Closes: #93570)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 12 May 2001 01:21:05 -0500

reportbug (1.15) unstable; urgency=low

  * Port forward a fix from 0.54.1 in LDAP queries.
  * Fix description of the '-d' option in the help.  (Closes: #87821)
  * minor and wishlist bugs now prompt the submitter whether or not they
    should go to maintonly.  (Closes: #87122)
  * Better heuristic for non-existent packages when querying.
    (Closes: #86149)
  * Fix use of deprecated list.append(x,y) for list.append((x,y)).
    (Closes: #93159)
  * Ensure there is a prompt on followups to existing reports.
    (Closes: #88960)
  * Update long description to make it more useful in the context of being
    a "standard" package.

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  6 Apr 2001 22:48:01 -0500

reportbug (1.14) unstable; urgency=high

  * The root URL for the Debian BTS's CGI scripts has changed.  This
    probably breaks the version in stable horribly, so I may backport a
    fix for proposed-updates.  (Closes: #86032)
  * Rename 'helixcode' to 'ximian'; keep 'helixcode' as an alias for the
    Ximian bug tracking system.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 15 Feb 2001 16:12:45 -0600

reportbug (1.13) unstable; urgency=low

  * I guess 1.12 wasn't as horribly buggy as I thought it might be :-)
  * Fix reporting with packages that have ": " in their description, like
    gkrellm.  (Closes: #85275)

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  8 Feb 2001 12:08:31 -0600

reportbug (1.12) unstable; urgency=low

  * The "wait until a good version is in testing before breaking
    everything horribly" release.
  * User interface abstraction in progress... this version may be slightly
    more unstable than usual.  Currently installs reportbug_ui_text
    (working) and reportbug_ui_newt (not fully working for reportbug,
    but used by querybts).
  * For kicks, try querybts --ui=text.  If it breaks, both pieces are yours.
  * Remove dependency on whiptail; all querybts dialogs are now handled by
    python-newt.
  * Improvements in screen handling in querybts.  This should resolve the
    remaining issues with #82895.  (Closes: #82895)
  * Fix skip command in the reportbug browser when there is more than one
    page of bugs in the same category.  (Closes: #84327)
  * Looking at individual bug reports in reportbug now works a bit
    differently; you are now prompted if you want to give more info and
    can launch a browser to look at that bug.  (To put it another way: the
    functionality of querybts is merged in, even in text mode.  UI
    abstraction is our friend.)  Downside: a few more keypresses to look
    at lots of reports.
  * You can now quit while looking at a report in querybts.  (Closes: #62614)
  * redisplay now shows the last screenful, not just min(last_screenful,
    last_category).  Someone complained about this in an already-closed
    report (in addition to the main issue, which was resolved elsewhere).
  * Don't clear the screen in querybts if it exits without an exception.
  * pgp/gpg signing now omits the pseudoheaders from the signed section.
  * Report numbers with a leading # now really work in querybts.  Note that
    you'll have to escape (or quote) the # in many shells...
  * Remove some cruft from the source tree.
  * Incorporated support for the Progeny BTS.  Queries are not available
    (I have not written a GNATS query module), but report submission is.
  * -C command line option incorporated to specify the class of the report
    for gnats servers.
  * -S command line option allows either gnats or debbugs severities.
    These are mapped transparently to the severity appropriate for the
    specified BTS (i.e. wishlist on debbugs becomes non-critical for
    gnats; non-critical for gnats becomes normal for Debian).
  * The --bts option now overrides whatever's detected from the package
    info.  However, bts options in the rc files will not override that
    setting.  This seems like a reasonable default so Origin makes sense
    on Debian forks, who can set /etc/reportbug.conf to point to their BTS.
  * Updated TODO list to add some things that have been kicking around in
    my head.
  * If multiple packages match a file requested by the -f option, list the
    first 3 matching files for each package.
  * Old --quiet is now --report-quiet; removed short option.
  * New --quiet suppresses diagnostic output to stderr; nothing except
    prompts should be written to the screen by reportbug when this flag is
    specified.  Primarily for UI testing.
  * reportbug now has special prompt support for particular packages.
    This is particularly useful with pseudopackages like wnpp, wherein the
    severity of the report should be based on the subject (and the subject
    should include certain keywords).  (Note that this is different from
    the "included in package" prompt support, which has been supported for
    some time.)  Try reporting a wnpp bug to see what it does... who
    knows, you may even like it ;-)
  * Updated priority to 'standard'.

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  6 Feb 2001 09:58:01 -0600

reportbug (1.11) unstable; urgency=medium

  * Another fix to -B option.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 27 Jan 2001 18:21:24 -0600

reportbug (1.10) unstable; urgency=medium

  * Fix -B option when a package's status is not queried by reportbug.
    (Closes: #83552)
  * Somewhat better handling of bogus $http_proxy settings.  reportbug and
    querybts still fail with an exception, but it gives a hint why.  Also
    document the syntax even more explicitly in the man pages.  (Closes: #83301)
  * You can now do 'querybts #82843' (allowing a leading #).  (Closes: #82843)
  * If you're running querybts under Python 2.x, use the webbrowser module
    instead of our own internal logic.  (Closes: #83545)
  * Handle missing reports more gracefully.  (Closes: #83579)
  * List all addresses a report is sent to, not just those specified on the
    command line.  (Closes: #81609)
  * If you request more info on a bug, $PAGER will be used.
    (Closes: #82791, #48328)
  * reportbug now runs if readline cannot be imported.
  * Tab-completion is now supported at some prompts if the readline module
    can be imported.  This affects the severity prompt and the packages
    prompt at the moment.  (Closes: #81496, #82843)
  * Leading and trailing spaces on input are now stripped.  This shouldn't
    hurt anything, and makes tab completion behave nicely.
  * Complies to policy 3.2.1.0, no changes necessary.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 27 Jan 2001 00:41:34 -0600

reportbug (1.9) unstable; urgency=medium

  * Fix crasher in reportbug -f.  (Closes: #81060, #81134)
  * The -o option now overrides any mua setting.  (Closes: #81048)
  * reportbug no longer displays multiple screenfuls at once.
    (Closes: #48444)  Thanks to Shaleh for his suggested fix.
  * You can redisplay the last set of bugs listed too.  (Closes: #49154)

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  6 Jan 2001 21:21:31 -0600

reportbug (1.8) unstable; urgency=low

  * Revert time locale in reportbug.rfcdatestr() after calling strftime.
  * Try to find a file specified with -f before following symlinks.
    (Closes: #78583)
  * Quote the "real name" part of email addresses using rfc822.quote if
    necessary.
  * Accepts $REPORTBUGEMAIL as a possible From address; also, now the
    --email option (and email config file option) override any environment
    variables except $REPORTBUGEMAIL.  (Closes: #79976)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 21 Dec 2000 14:48:31 -0600

reportbug (1.7) unstable; urgency=low

  * Virtual packages list synchronized with
    http://www.debian.org/Bugs/pseudo-packages (Closes: #78489).

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  1 Dec 2000 21:55:10 -0600

reportbug (1.6) unstable; urgency=low

  * "Serious" severity was misnamed "severe," so people could not file
    serious bug reports.  (Closes: #78412)
  * Fix followup template bug.  (Closes: #78434)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 30 Nov 2000 20:18:06 -0600

reportbug (1.5) unstable; urgency=high

  * Rename local variable "system" to "bts".  (Closes: #78037, #78038)
  * Handle "mailto" submissions.
  * Support the updated bug severities list.
  * Followup support was fixed in 1.4.  (Closes: #71842)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 26 Nov 2000 18:18:38 -0600

reportbug (1.4) unstable; urgency=low

  * Happy Belated Thanksgiving.
  * Fix followup boilerplate for non-Debian BTSes.  (Closes: #76790)
  * Add "minor" severity, not that I can find any documentation of its
    existence...  (Closes: #76665)
  * #75137 was fixed in 1.1 (same as #68681, I think).  (Closes: #75137)
  * Remove support for the TDYC bug tracking system, since KDE2 is in
    Debian now and the BTS there has been shut down.  (Closes: #77335)
  * Add support for the Origin and Bugs headers.  (Closes: #76669)
    Origin probably works well, Bugs probably doesn't do what you want it
    to yet (it can report to the server, but I'm almost certain it won't
    query the right server).
  * BTSes found in /etc/dpkg/origins/* will be added to the BTS list
    automatically.  Any Bugs: line other than debbugs URLs will probably not
    work, however.
  * Some internal architecture support for reporting to GNATS.  It isn't
    all there yet, so unless you want to see tracebacks tread lightly.
  * #62338 is not a bug; see the -i option.  (Closes: #62338)
  * Incredible hackery to avoid weird issues when your cwd gets deleted in
    the middle of running reportbug.  (Closes: #77954)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 25 Nov 2000 01:03:55 -0600

reportbug (1.3) unstable; urgency=low

  * Fix mh/nmh reporting, thanks to a patch from Chris Danis.
    (Closes: #56773)
  * Fix prompt handling.  (Closes: #70048)

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  4 Sep 2000 11:52:31 -0500

reportbug (1.2) unstable; urgency=low

  * Remove "USERNAME" as an environment variable to use for the user's
    "real name", since some of the build tools seem to set it to `id -un`
    for some reason.
  * "manual" is not a valid pseudopackage for Debian; remove it.
    (Closes: #69624)
  * New option: --query-only.  (Closes: #69213)
  * 'querybts -w' now uses the CGI urls for a BTS, if available.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 27 Aug 2000 01:08:41 -0500

reportbug (1.1) unstable; urgency=high

  * The "I shoulda called it 0.99" release.
  * Fix stupid thinkos.  (Closes: #68667, #68672)
  * reportbug now thinks a package is installed unless it is in the states
    of 'config-files' (only) or 'not-installed'. (Closes: #68681)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  6 Aug 2000 23:17:30 -0500

reportbug (1.0) unstable; urgency=low

  * Jump to 1.0; I think the basic implementation is now stable.
  * Enabled "query-dpkg" for the Helix Code BTS, since they supply .debs.
  * LDAP is no longer the default system for communicating with the BTS.
    Config files changed accordingly.
  * '-l' means '--ldap' now, which actually makes more sense.
  * We now use the cgi interface to the Debian BTS if available.  This
    should eliminate most latency issues.

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  6 Aug 2000 04:08:00 -0500

reportbug (0.59) unstable; urgency=medium

  * Fix bug in LDAP queries.  (Closes: #68519, #68616)
  * Add virtual package 'wnpp'.  (Closes: #68608)

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  4 Aug 2000 12:48:02 -0500

reportbug (0.58) unstable; urgency=low

  * Added "helixcode" to the list of supported BTSes.
  * Set COLUMNS before calling dpkg; this is needed to play nicely with
    upcoming dpkg 1.7.  (Closes: #66746)
  * Rationalization of the debianbts and reportbug modules.  Only things
    specific to reportbug are in the reportbug module.  (Closes: #66323)
  * Exceptions in querybts now leave the terminal in a less inconsistent
    state.
  * Missing reports no longer crash querybts.  (Closes: #67870)
  * Packages that are removed, but still have config files, are now
    correctly detected.  (Closes: #67002)
  * Handle the functions documented in the bug package's
    /usr/share/doc/bug/README.developers.  (Closes: #59401)

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  1 Aug 2000 23:11:58 -0500

reportbug (0.57) unstable; urgency=low

  * Fix weird bug where LDAP database didn't get the whole bug report (see
    #25554 for an example).  (Closes: #65369).

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  8 Jun 2000 18:31:32 -0500

reportbug (0.56) unstable; urgency=low

  * Renamed "Ok" button to "Quit" in querybts. (Closes: #65008)
  * Renamed --bts-query (and --no-bts-query) to --query-bts (and
    --no-query-bts) to fix a option name conflict.  (Closes: #64939)
  * Also changed the corresponding rc file options for consistency.
    Look for "unrecognized token" messages.
  * Add various versions of emacs and xemacs to the list of programs
    reportbug knows how to move the cursor start position in.

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  1 Jun 2000 19:27:00 -0500

reportbug (0.55) unstable; urgency=low

  general stuff:
  * Lotsa fixes here...
  * Handle 407 "proxy authentication required" like 401 "authorization
    required" (Closes: #60445)
  * Handle empty bug bodies more gracefully.  (Closes: #63935)

  querybts stuff:
  * Renamed "cancel" as "quit" in querybts.  (Closes: #63167)
  * Fix the "cannot connect to BTS" terminal reset issue.  (Closes:
    #63443)
  * Handle missing subjects in HTTP bug lists.  (Closes: #64305)

  reportbug stuff:
  * The pager for changed config files actually works now.  (Closes: #60275)
  * Non-pseudoheaders are now acceptable in the pseudoheader section.
    (Closes: #62762, #63790)
  * Calls to raw_input() replaced with a local function that traps Ctrl-D
    and handles it gracefully.  (Closes: #62814)
  * Allow sending an empty bug report if you jump through enough hoops.
    (Closes: #63032)
  * 'i' now completely removed.  If you want to do what 'i' did, use 'm'
    in the BTS browser. (Closes: #63323)
  * I tried to work around #63970 ("weird behavior on sparc"), please test.
  * Don't fork 'tty' every time we print something.
  * Added logic to make it harder to submit a 'general' bug report, since
    I've been seeing a lot of (bogus instances of) them filed with
    reportbug lately.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 18 May 2000 11:30:01 -0500

reportbug (0.54) frozen unstable; urgency=low

  * The "Chris should never take a vacation" release.
  * Got rid of now-redundant "i" option in BTS browser.  (Closes: #59601)
  * Reporting bugs in virtual packages works again.  (Closes: #59946, #60136)
  * 'boot-floppies' is used instead of 'bootdisk' for the virtual package
    for the boot subsystem.  (Closes: #59773)
  * #59334 was fixed in 0.52 (Closes: #59334)
  * Implement basic HTTP authorization in the URLopener subclass (by
    cheating and using FancyURLopener instead).  (Closes: #59980)
  * Disabled bug template support; removed our example file.  An
    implementation of the more flexible system used by 'bug' will appear
    when I actually have some time to code.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 10 Mar 2000 18:39:12 -0800

reportbug (0.53) frozen unstable; urgency=medium

  * Fix LDAP bug listing when severity field is missing.  (Closes: #59430)

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  2 Mar 2000 09:53:11 -0600

reportbug (0.52) frozen unstable; urgency=low

  * Get an updated version into frozen, since 0.49-52 fix umpteen bugs.
    (Thanks to Josip Rodin for the suggestion.)
  * Improved long description.  (Closes: #59297)
  * Fix dopey typo in fix for #58230.  (Closes: #59298)
  * 'y' in the bug browser now drops you into the "provide more
    information" path.  (Closes: #59300)
  * These changes all thanks to Joey Hess.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 29 Feb 2000 18:11:15 -0600

reportbug (0.51) unstable; urgency=low

  * debianbts.py: Fix problem that can occur if an older version of the
    LDAP libraries is installed; also fix related problem that occurs if
    ldap module is not installed.  (Closes: #59161)
  * reportbug: add '--bts-query' option (Closes: #57790)
  * reportbug.py: add "bug details template" support to the package.  This
    supports providing a per-package set of instructions to the user that
    will (hopefully) help the maintainer track down the bug more easily.
    It uses a file /usr/share/doc/{package}/Debian.bugtemplate, which
    should contain some special instructions for the user.  A lame example
    of this template appears in this package.  (Closes: #58816)
  * reportbug: Added maintainer name to spam.  (Closes: #58230)
  * reportbug: You can now view the modified configuration files before
    deciding whether or not to send them.  (Closes: #57710)
  * debianbts.py: The date and the submitter are listed for bugs in the
    LDAP database.  (Closes: #57711)
  * Added build dependency; updated to Standards Version 3.1.1.0

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 27 Feb 2000 21:59:16 -0600

reportbug (0.50) unstable; urgency=low

  * debianbts.py: handle LDAP database entries without subjects.
    (Closes: #56663)
  * reportbug.py: handle EMAIL/DEBEMAIL properly if it contains a full
    "Real Name <user@host>".  (Closes: #56678)
  * Note that #56523 and #56678 have not shown up on the RC list; if they
    do, I will release a 0.48.1 containing those fixes only.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 30 Jan 2000 21:25:38 -0600

reportbug (0.49) unstable; urgency=low

  * reportbug: really fix race conditions.  (Closes: #56523)
    Thanks to Colin Phipps for the patch.
  * querybts: don't crash when a bug requested by number can't be
    found. (Closes: #56296)
  * querybts: don't go funky when launching a text-mode browser from a
    numbered report.
  * reportbug: disallowed sending the report if it's unmodified; tried to
    work around cases where the editor is backgrounded.  (Closes: #56339)
  * Added support for Mandrake's debbugs system (as "mandrake").
  * Close spurious bug report caused while submitter was testing bug fixes
    to #56523.  (Closes: #56521)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 28 Jan 2000 22:02:10 -0600

reportbug (0.48) unstable; urgency=low

  * Properly report forwarded bugs when using the LDAP database.
  * Interrupt in querybts actually works right, now.
  * Note that 'querybts -w' will show the full story behind a bug report
    in the man page.  Also added an option to launch a browser from the
    bug report page.  (Closes: #49156)
  * Fixed "missing screens when in xterm/rxvt" problem in querybts.
    (Closes: #49151)
  * Import readline to avoid problems with keyboard stuff.  (Closes: #51337)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 15 Jan 2000 12:25:22 -0600

reportbug (0.47) unstable; urgency=low

  * reportbug now works without python-ldap; downgrade python-ldap to a
    suggestion, since it brings in lots of bloat packages and is of
    priority extra.
  * Remove suggestion of mail-reader.  Specific mail readers
    (af, mutt, nmh, mh) permit extra features, but all of them don't.
  * Added word "new" to clean up a message.  (Closes: #54030)

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  4 Jan 2000 06:24:45 -0600

reportbug (0.46) unstable; urgency=low

  * Work-around apparent bug in python-ldap.  (Closes: #52459, #52467, #52474)
  * "Extra info" option in reportbug is now 'i', not 'x'.  (Closes: #52308)
  * You can now enter a bug number at the "Is the bug you found..."
    prompt. (Closes: #52309)
  * Cleaned up Ctrl-C exit from querybts.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 10 Dec 1999 23:57:25 -0600

reportbug (0.45) unstable; urgency=low

  * Declare dependency on whiptail.  (Really Closes: #51682)
  * Upgrade python-newt to dependency, since querybts seems ready for
    prime-time (despite a few cosmetic bugs).

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  6 Dec 1999 23:41:44 -0600

reportbug (0.44) unstable; urgency=low

  * Disable smtphost if mua is enabled.  (Closes: #50754)
  * Handle LDAP exceptions better, using new features in python-ldap 1.8-1.
    (Closes: #50780)
  * Always search /usr/sbin, /usr/bin, /sbin, and /bin when searching for
    a file in the user's path.  (Closes: #50623)
  * Specify full path for whiptail in querybts.  (Closes: #51682)

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  4 Dec 1999 15:28:20 -0600

reportbug (0.43) unstable; urgency=low

  * Back out change in 0.42 that broke reportbug if you didn't have a
    "real name".  (Closes: #50378)
  * Don't try to get input in find_package_for() if we don't have a TTY.
    Instead, list matching package names.  (Closes: #50622)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 19 Nov 1999 10:22:36 -0600

reportbug (0.42) unstable; urgency=low

  * You can now configure your email address, etc., using
    /etc/reportbug.conf or ~/.reportbugrc.
  * "Internal" mailer support.  (Closes: #50155)
  * You can now set a number of parameters on the command line that
    previously were set in the environment.
  * Fix bugs introduced when changing querybts to use the mirror list from
    the configuration file.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 14 Nov 1999 15:11:43 -0600

reportbug (0.41) unstable; urgency=low

  * Close LDAP connection after query module is no longer needed.
    (Closes: #49085)
  * querybts now supports entering a bug number at the command line.
    (Closes: #49155)
  * 'querybts -w' emulates the bugview script from "bug".  (Closes: #48360)
  * #48457 is due to the debbugs software, not reportbug, and is a feature
    of its nightly rebuild of its web pages.  (Closes: #48457)
  * querybts now respects the mirrors list from /etc/reportbug.conf
  * Reports that are too wide in querybts are now truncated at the right,
    instead of the left.  (Closes: #49150).

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 13 Nov 1999 14:04:53 -0600

reportbug (0.40) unstable; urgency=low

  * Much better message if querybts can't run because python-newt is not
    installed.  python-newt will become a dependency of the package when
    reportbug includes the newt interface too.  (Closes: #48792)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 31 Oct 1999 11:19:18 -0600

reportbug (0.39) unstable; urgency=low

  * Copes better with bad/missing input in the BTS query interface.
    (Closes: #48009)
  * Better exit messages than "Aborted."  (Closes: #48615)
  * If ^C is pressed to exit, get something better-looking than a Python
    stack dump.  (Closes: #48694)
  * Now include the (somewhat incomplete) querybts program; add
    appropriate suggestion for python-newt.  (Closes: #44805)
  * No longer dies if configuration files can't be opened.
  * More informative error message if a conf file can't be read.
    (Closes: #48710)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 30 Oct 1999 09:01:23 -0500

reportbug (0.38) unstable; urgency=low

  * Removed "fixed" from the severities menu.  You can still submit
    "fixed" bugs, but the option is now invisible.  (Closes: #47863)
  * You can submit more information about an outstanding bug from the
    query interface, using 'x' (for "extra information").
    (Closes: #47868)
  * Bug reports can be signed with either GnuPG (--gpg) or PGP (-pgp).
    You can also automatically do this (using /etc/reportbug.conf or
    ~/.reportbugrc) if desired (sign gpg|pgp).
    (cfr. "bug" wishlist item #45779)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 22 Oct 1999 02:13:59 -0500

reportbug (0.37) unstable; urgency=low

  * Handle BTSes with mirrors; use the config file to set the priority
    ordering if desired.  (No mirror listing will lead to the default
    behavior.)  (Closes: #47488)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 17 Oct 1999 23:34:10 -0500

reportbug (0.36) unstable; urgency=low

  * The "my feet really hurt from having to fix this standing at the
    terminal space at ALS" release.
  * Fix massively stupid thinko in 0.35. (Closes: #47533/#47538)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 16 Oct 1999 09:41:47 -0500

reportbug (0.35) unstable; urgency=low

  * The "I'm headed to ALS and therefore need to get my affairs in order"
    release.  (OK, so it's not as cool as the libc release names; sue me).
  * If a special package name format is used by a BTS, use that format
    string to form queries of that BTS.  Specifically, it will sort-of
    merge the results of a query for "package" and the formatted package
    name.  [This only affects the TDYC server at present, since it's the
    only one that uses these query strings.]  (Closes: #47396)
  * A preliminary console BTS browser has been written; however, I'm
    waiting on the new newt packages to move out of Incoming before
    including it.  (Does anyone know how/if it's possible to get a newt
    text box to scroll horizontally?  That's the biggest remaining
    obstacle to having a good interface.)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 15 Oct 1999 02:12:33 -0500

reportbug (0.34) unstable; urgency=low

  * Fixed sort order of bug lists returned from LDAP servers.
  * Re-read the edited file after the user says Yes.  This further
    addresses #46770.  (Closes: #46770)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 12 Oct 1999 18:37:18 -0500

reportbug (0.33) unstable; urgency=HIGH

  * Possible symlink exploits fixed. (Closes: #46958)
  * Started a TODO list.

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  8 Oct 1999 19:25:02 -0500

reportbug (0.32) unstable; urgency=low

  * Attempt to cope with editors started in the background (by searching
    for '&' in the EDITOR/VISUAL command line).  (Closes: #46770)

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  6 Oct 1999 23:34:53 -0500

reportbug (0.31) unstable; urgency=low

  * You can now disable LDAP access (--no-ldap).
  * Fallback to HTTP access if LDAP access generates an exception
    (i.e. if connection is refused by an LDAP server).

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  4 Oct 1999 19:22:59 -0500

reportbug (0.30) unstable; urgency=low

  * debianbts.py now supports LDAP queries; only the "Debian" BTS uses
    this feature so far.  This helps ensure that you are aware of the current
    state of the BTS.  (Further addresses #40115)  LDAP access to Debian
    seems faster, particularly for getting the text of reports.
  * Modules are now installed in /usr/lib/site-python (version-independent
    Python module directory in Debian).  This way other packages can use
    them (I think the API is more-or-less stable).
  * Proper message if you query a specific report and it's not available.

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  3 Oct 1999 22:22:36 -0500

reportbug (0.29) unstable; urgency=low

  * Fix postinst to compile the modules in the correct directory.
  * Update manpage to use 'X-Debbugs-CC' as the recommended --header
    parameter.  Note that other BTSes may use other headers.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 18 Sep 1999 23:32:31 -0500

reportbug (0.28) unstable; urgency=low

  * When not connected to a tty, default to print-only mode.
  * --output now cancels out --print.
  * If 'stty size' returns '0 0', set reasonable defaults.  (For use in
    emacs' M-x shell).
  * Shared files now in /usr/share/reportbug.
  * Changes to reportbug.realpath() to not fully resolve certain FHS
    directories that may be local symlinks.  (Closes: #44932)
    (These are top-level directories specified by FSSTND and FHS that
    may be symlinked by local administrators to distribute files over
    multiple filesystems.)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 12 Sep 1999 21:02:10 -0500

reportbug (0.27) unstable; urgency=low

  * Changed *.py to no longer start with #!; fixes two lintian warnings.
  * Copes much better when standard output is not a tty.  (Closes: #44437)
    This allows C-u M-! reportbug (options) in emacs to generate a nicely
    formatted report template.  Thanks to Francesco Potorti` for the
    report.

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  6 Sep 1999 16:04:12 -0500

reportbug (0.26) unstable; urgency=low

  * Now in full FHS compliance; upgraded to Standards-Version 3.0.1.1.
  * Uses symlinks in accordance with tech ctte. decision, as implemented
    by debhelper 2.0.40.

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  6 Sep 1999 01:29:24 -0500

reportbug (0.25) unstable; urgency=low

  * Code cleanups to make reportbug less Debian- and debbugs-centric.
  * Calls with -B {gnome,kde} bypass the Debian package manager and don't
    put the Debian release or architecture in the report.
  * Bugs sent to tdyc now have their package field append '-debian', to
    better reflect TDYC's tracking policies.  (Closes: #44000)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  5 Sep 1999 01:30:15 -0500

reportbug (0.24) unstable; urgency=low

  * Fixed a bug that made reportbug claim all conffiles were modified,
    even if they weren't. (Closes: #43871)
  * Now distinguishes between pseudo-headers and other headers (like
    X-Debian-CC:) in reports.  Pseudo-headers are reordered if necessary
    so they appear in the sequence: Package, Version, Severity, File.
    (Closes: #43868)
  * Fiddled around with the man page somewhat.  If it's 4 pages long, it's
    not "briefly" documenting anything anymore.

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  1 Sep 1999 00:31:42 -0500

reportbug (0.23) unstable; urgency=low

  * Add "listarchives" to the list of pseudo-packages that you can report
    bugs in.
  * Now supports --bts=gnome for the GNOME bug tracking system (a
    lightly-modified debbugs implementation).
  * debianbts.py now supports fetching individual bug reports, and
    reportbug provides an interface to this capability.  (Closes: #43219)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 30 Aug 1999 02:09:09 -0500

reportbug (0.22) unstable; urgency=low

  * Don't crash if we can't query the BTS. (Closes: #43056)
  * Now supports a simple rc file in /etc/reportbug.conf or ~/.reportbugrc
    (with the contents of the latter overriding the contents of the
    former).  See man page for details.  (Closes: #42774)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 16 Aug 1999 06:40:04 -0500

reportbug (0.21) unstable; urgency=low

  * reportbug.get_dependency_info() now actually acts sensibly; also
    doesn't crash if a package doesn't depend on anything else.
    (Closes: #42328)
  * Warn if you're reporting a bug in a non-existant package.
  * Don't crash if you're reporting a bug in a virtual package.

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  2 Aug 1999 18:35:28 -0500

reportbug (0.20) unstable; urgency=low

  * reportbug.get_package_info() was broken for packages with names
    containing regular expression metacharacters.  Thanks to Robert
    Vollmert for a patch.  (Closes: #42199)
  * Avoid truncating version numbers of packages.  Remove debugging info
    too.  (Closes: #42181)
  * Better prompts, including help.  Thanks to a suggestion from Achim
    Bohnet.  (Closes: #42087)
  * --version and --help no longer warn about the security implications of
    running reportbug as root.
  * Redesigned the configuration file handling system.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 30 Jul 1999 16:09:49 -0500

reportbug (0.19.1) unstable; urgency=low

  * Updated the man page to reflect current options for --bts.
  * Fixed --bts to reject bogus options.
  * --bts and --severity have new 'help' option.
  * -S (--severity) now in --help.
  * (Below were changes in the withdrawn 0.19:)
  * Mention $http_proxy on the man page. (Closes: #41982)
  * Provide info on packages providing virtual packages. (Closes: #42024)
  * Package listing reformatted to provide this info.  The provided
    package appears in brackets after the name.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 28 Jul 1999 03:55:12 -0500

reportbug (0.18) unstable; urgency=low

  * Generate a message for unreadable conf files instead of stopping with
    an exception.  (Closes: #41736)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 21 Jul 1999 22:40:56 -0500

reportbug (0.17) unstable; urgency=low

  * Fix really stupid bug introduced when fixing #41638. (Closes: #41704)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 21 Jul 1999 12:14:49 -0500

reportbug (0.16) unstable; urgency=low

  * Use "kde-debian" instead of "kde" for tdyc alias. (Closes: #41628)
  * "kde" now points to the KDE debbugs server. (Closes: #41629)
  * Don't lose other dependencies when pre-dependencies exist.
    (Closes: #41638).
  * Ignore $CC if it doesn't have an @ in it.  (Closes: #41641)
  * Thanks to Achim Bohnet for all of these reports.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 19 Jul 1999 18:39:53 -0500

reportbug (0.15) unstable; urgency=low

  * Remove extraneous diff file from source tree (introduced in 0.14).
  * Include a default severity level when prompted.  Suggestion by
    Antti-Juhani Kaijanaho. (Closes: #41332)
  * Support alternate debbugs servers, using new --bts (-B) option.
    Defaults to 'debian'; also supports 'tdyc' (or 'kde').  For
    example, to report a bug in kdebase use 'reportbug -B kde kdebase'.
    Feel free to add/suggest support for other debbugs servers.
    Suggestion by Achim Bohnet. (Closes: #41374)
  * greportbug is sorta getting there.  Any Gtk+ guru wanna tell me why my
    labels and option menus look like someone was drunk when they were
    aligned?  [See the source package...]

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 16 Jul 1999 03:14:26 -0500

reportbug (0.14) unstable; urgency=low

  * Add patch from Stephen Pitts to prompt for a severity level if none is
    specified on the command line.  (Closes: #41187)
  * Modify ewrite() to call sys.stderr.flush() after each call.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 12 Jul 1999 19:10:20 -0500

reportbug (0.13) unstable; urgency=low

  * Fix several thinkos in reportbug.get_changed_config_files()

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  4 Jul 1999 12:18:32 -0500

reportbug (0.12) unstable; urgency=high

  * Changed rfcdatestr() call to properly reference the reportbug module.
    (Closes: #40713)
  * Changed dependency back to python-base (>= 1.5.2-4).

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  4 Jul 1999 00:10:39 -0500

reportbug (0.11) unstable; urgency=low

  * Fixed man page to document --no-bts-query (-b).
  * Dependency modified until unstable picks up the python 1.5.2-4 upload
    for non-PowerPC architectures; avoid using versioned dependencies on
    packages obsoleted by 1.5.2-4 to make Gregor's life easier.
  * Alias sys.stderr.write() -> ewrite()
  * No greportbug yet (sorry X fans).

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 30 Jun 1999 01:02:04 -0500

reportbug (0.10) unstable; urgency=low

  * Changed several popen() calls to use the 'commands' module;
    makes for much cleaner code.
  * Changed dependency to "python-base (>= 1.5.2-4)"; avoids dependencies
    on obsolete python-{misc,net}.
  * If the package was found using --filename (-f), include that filename
    in the report header.
  * Properly handle the case where some, but not all, conffiles have been
    removed.
  * List outstanding bug reports on the package to help maintain sanity
    of developers; new option --no-bts-query (-b) added for offline use.
    (Closes: #40115)
  * Modularized somewhat in preparation for greportbug (hopefully in 0.11).
    + Common functions in /usr/lib/reportbug/*.py:
      - reportbug.py: local queries, resolving paths, outputting template
                      reports, etc.
      - debianbts.py: querying the BTS proper (nifty HTML parser).
      [These are compiled by the postinst.]
    + user interfaces import these modules as needed

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 25 Jun 1999 03:20:11 -0500

reportbug (0.9) unstable; urgency=low

  * You can now re-edit the bug report at the send-confirmation prompt.
  * --filename (-f) now searches the path first (to force using a file in
    the current directory, use './name').

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 15 Jun 1999 02:46:31 -0500

reportbug (0.8) unstable; urgency=low

  * Add menu entry, since it can be run with no arguments.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 14 Jun 1999 00:54:17 -0500

reportbug (0.7) unstable; urgency=low

  * Fix Bug#38862: reportbug does not (correctly) honour the -p option.
  * Close #38691; the description problem was addressed in reportbug 0.4.
  * Merged all the "NameError: mua" bugs together in the BTS.

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  5 Jun 1999 20:39:20 -0500

reportbug (0.6.1) unstable; urgency=low

  * Automate version number handling, based on debian/changelog
    (0.6 called itself 0.5).  0.6 is withdrawn accordingly.
  * The "NameError: mua" bug was fixed in 0.5; relevant bug reports have
    been closed.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 31 May 1999 16:13:11 -0500

reportbug (0.6) unstable; urgency=medium

  * You can now abbreviate bug severity levels (to first letter).
    Part of bug #38628 (the rest is reassigned to python-base).
  * Changed "file.close()" to "pipe.close()" at line 450; may fix bug
    #38637 (only affects people without /etc/debian_version).

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 31 May 1999 15:11:00 -0500

reportbug (0.5) unstable; urgency=medium

  * Fixed bug #38566 (Check $DEBEMAIL before $EMAIL; etc.)  Summary:
    . $DEBEMAIL will be used before $EMAIL for an address (i.e. x@y.org)
    . $DEBNAME or $NAME will be used before $USERNAME for the "real name"
      part of the address.  If neither is available, will use the real
      name from /etc/passwd.
  * Quoting of real names is now done in accordance with RFC 822.
  * Fixed bug that occurred if you didn't specify an MUA.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 30 May 1999 15:53:00 -0500

reportbug (0.4) unstable; urgency=low

  * Rearranged the code so options are processed before figuring out your
    email address.
  * Fixed bug #38541 (reportbug fails calling exim's /usr/sbin/sendmail).
  * Corollary: if your /usr/sbin/sendmail fails, the bug report will be
    saved as if you had no MTA.
  * Don't warn about sending configuration files if it's only because a
    conffile has been removed.
  * --filename (-f) option now handles files with symbolic links in their
    pathnames. (cfr. #23821 [bug])
  * --mutt (-M) option allows you to use mutt instead of an editor to file
    bug reports.  (cfr. #10837 [bug])
  * --af (-a) is similar, but uses the af mail reader.
  * --nmh and --mh (-n) is also similar, but uses the "comp" command from
    mh/nmh.
  * --mua allows you to do this with any mail reader that can edit draft
    messages specified on the command line.  (However, send me anything
    needed for other editors, please!)
  * New option: --version.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 30 May 1999 01:31:33 -0500

reportbug (0.3) unstable; urgency=low

  * Fixed a small typo in the copyright.
  * Now includes whatever your system thinks the date is in the bug
    report; may be helpful if you save the bug report and email it later.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 16 May 1999 00:02:58 -0500

reportbug (0.2) unstable; urgency=low

  * Changed virtual package date format to YYYY-MM-DD; per request from
    Jim Van Zandt on debian-devel.
  * Added a message to the report if modified configuration files were
    omitted at the user's request.
  * It's now always verbose; useful on slower systems (so you can tell
    it's actually working).
  * A few typo fixes.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 15 May 1999 09:14:25 -0500

reportbug (0.1) unstable; urgency=low

  * Initial Release.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 14 May 1999 05:38:23 -0500
